%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% This is file `iieej.cls',
%% 画像電子学会
%% All Rights Reserved (c)
%% by  T. Honda & S. Matsuzaki in SANBI printing Co., Ltd.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% revised by M. Kodama

\NeedsTeXFormat{pLaTeX2e}
\typeout{****************************************************************}
\ProvidesClass{iieej}
[2013/06/26 v2.01d]
\typeout{Standard pLaTeX class for \space(Imaging & Visual Computing)}
\typeout{The Journal of the Institute of 
Image Electronics Engineers of Japan}
\typeout{****************************************************************}
\typeout{\space\space<<<<<
iieej.cls based on jarticle
by SANBI Co., Ltd.
>>>>>
\space\space
}
\typeout{\space\space Revised by Mei KODAMA.}
\typeout{****************************************************************}

%%%% class options %%%%%%%%
%%%%%%%%%%%%%% by Honda %%%%
%%% \@lang=0 論文
%%%          \type=0 論文 
%%%          \type=1 ショートペーパー
%%%          \type=2 講座
%%%          \type=3 グループ紹介
%%% \@lang=1 English paper
%%% blind    査読モード
%%%%%%%%%%%%%% by Matsuzaki %%%
%%  Proof    版面確認
%%  usejistfm jisメトリック和文フォント(form ieicej.cls by uls)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%-------------------------------------------------------------
% 論文形式を追加する by Mei KODAMA v1.89
%-------------------------------------------------------------
% japanese : 1. ronbun, 2. shortronbun, 3. shiryouronbun,
%          : 4. shoutaironbun, 5. systemronbun 
% english  : epaper, eshortpaper, ematerialpaper, 
%          : einvitedpaper, esystempaper
% CCC
%\newcount\@LANG 


\newif\if@ronbun \@ronbuntrue
\newif\if@shortronbun \@shortronbunfalse
\newif\if@shiryouronbun \@shiryouronbunfalse
\newif\if@shoutaironbun \@shoutaironbunfalse
\newif\if@systemronbun \@systemronbunfalse
\newif\if@epaper \@epaperfalse
\newif\if@eshortpaper \@eshortpaperfalse
\newif\if@ematerialpaper \@ematerialpaperfalse
\newif\if@einvitedpaper \@einvitedpaperfalse
\newif\if@esystempaper \@esystempaperfalse

\newif\if@shikin \@shikinfalse
\renewcommand{\theequation}{(\@arabic\c@equation)}

\gdef\@epstype{eps/iieej_ronbun.eps}

\DeclareOption{ronbun}{\@ronbuntrue 
 \gdef\@epstype{eps/iieej_ronbun.eps} }
\DeclareOption{shortronbun}{\@ronbuntrue
\gdef\@epstype{eps/iieej_shortronbun.eps} }
\DeclareOption{shiryouronbun}{\@ronbuntrue
\gdef\@epstype{eps/iieej_shiryouronbun.eps} }
\DeclareOption{shoutaironbun}{\@ronbuntrue
\gdef\@epstype{eps/iieej_shoutaironbun.eps} }
\DeclareOption{systemronbun}{\@ronbuntrue
\gdef\@epstype{eps/iieej_systemronbun.eps} }
\DeclareOption{shikin}{\@shikintrue
\renewcommand{\theequation}{\@arabic\c@equation}
}

%-------------------------------------------
\DeclareOption{epaper}{\@epapertrue\@ronbunfalse
 \gdef\@epstype{eps/iieej_paper.eps}
}
\DeclareOption{eshortpaper}{\@epapertrue\@ronbunfalse
 \gdef\@epstype{eps/iieej_shortpaper.eps}
}
\DeclareOption{ematerialpaper}{\@epapertrue\@ronbunfalse
 \gdef\@epstype{eps/iieej_mpaper.eps}
}
\DeclareOption{einvitedpaper}{\@epapertrue\@ronbunfalse
 \gdef\@epstype{eps/iieej_invitedpaper.eps}
}
\DeclareOption{esystempaper}{\@epapertrue\@ronbunfalse
 \gdef\@epstype{eps/iieej_sdpaper.eps}
}
%-------------------------------------------

\newif\if@kousei \@kouseifalse
\newif\if@shokou \@shokoufalse
\newif\if@saikou \@saikoufalse

\gdef\@kouseitype{初校}

\DeclareOption{shokou}{\@shokoutrue\@kouseitrue
 \gdef\@kouseitype{kousei/shokou02.eps}
}
\DeclareOption{saikou}{\@saikoutrue\@kouseitrue
 \gdef\@kouseitype{kousei/saikou02.eps}
}

\def\kouseinumber#1{\gdef\@kouseinumber{#1}}

%\newcount\@secpenalty
%\@secpenalty = -300
%\newif\if@noskipsec  \@noskipsecfalse

\newcount\@lang
\let\decoration@title\relax

\newif\if@blind
\DeclareOption{blind}{\@blindtrue}

\DeclareOption{Japanese}{\@lang\z@}

\DeclareOption{English}{\@lang\@ne}
\DeclareOption{paper}{\def\type{0}}
\DeclareOption{shortpaper}{\def\type{1}}
\DeclareOption{kouza}{\def\type{2}}
\DeclareOption{group}{\def\type{3}\AtBeginDocument{\DeleteAuthorfootnote}}

\ExecuteOptions{Japanese,paper}
\ProcessOptions\relax

%%%%%%%%%%%%%% honda-je-2 end %%%%


% ------------------------------------------- 
%\typeout{\@LANG *******************}
\if@epaper
\newcommand{\refname}{References} 
\else 
\newcommand{\refname}{参考文献} 
\fi 
% ------------------------------------------- 


%%%%%%%%% matu
\newif\if@Proof \@Prooffalse%★
\DeclareOption{Proof}{\@Prooftrue}


\ExecuteOptions{Prooffalse}
%\ExecuteOptions{ProofCfalse}
\ProcessOptions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\newif\if@usejistfm \@usejistfmfalse
\DeclareOption{usejistfm}{\@usejistfmtrue}


\newif\if@letter \@letterfalse
\DeclareOption{letter}{\@lettertrue\@paperfalse
 \gdef\hd@type{レター}\gdef\tl@type{\@typeofletter}\gdef\@type{L}}

\newif\if@ShortPaper \@ShortPaperfalse%★
\DeclareOption{shortpaper}{\@ShortPapertrue}

\def\jtitle#1{\def\@jtitle{%
\if@ShortPaper
ショートペーパー：#1\else
論文：#1\fi
}}


\gdef\@HeadType{%
\ifnum\@lang=\z@
\ifcase\type
論文：
\or
ショートペーパー：
\or
講座：
\or
グループ紹介：
\else
\fi
\else
\fi
}




\def\etitle#1{\def\@etitle{#1}}


%%% 均等に関する
\newcommand{\kintou}[2]{%
\leavevmode
\hbox to #1{%
\kanjiskip=0pt plus 1fill minus 1fill
\xkanjiskip=\kanjiskip
#2%
}}



%%% from 藤田眞作氏 「化学者・生化学者のためのLaTeX (東京化学同人)
\def\pushtowall{\relax\leavevmode
\ifmmode\def\next{\mathpalette\mathpushw@ll}
\else\let\next\makepushw@ll \fi \next}
\def\finpushw@ll{\wd0=0pt \box0}
\def\makepushw@ll#1{\setbox0=\hbox{#1}\finpushw@ll}
\def\mathpushw@ll#1#2{\setbox0=\hbox{$\m@th#1{#2}$}\finpushw@ll}

%%  from 藤田眞作氏 jidou kintou LaTeXマクロの八衡 アジソンウェスレイ
%% 7字ドリ
\long\def\AUTHORkintouI#1{%
\settowidth{\@tempdima}{#1}%
\@AUTHORkintouI{\@tempdima}{#1}}

\long\def\@AUTHORkintouI#1#2{%
\ifdim#1<1.2zw \protect\kintou{7zw}{#2}\else%
\ifdim#1<2.4zw
     \protect\kintou{3zw}{#2}\else%
\ifdim#1<3.4zw
     \protect\kintou{5zw}{#2}\else%
\ifdim#1<4.4zw
     \protect\kintou{7zw}{#2}\else%
\ifdim#1<5.4zw
     \protect\kintou{7zw}{#2}\else%
\ifdim#1<6.4zw
     \protect\kintou{7zw}{#2}\else%
\ifdim#1<7.4zw
     \protect\kintou{7zw}{#2}\else%
%\ifdim#1<8.4zw
%     \protect\AUTHORkintouI{7zw}{#2}\else%
%\ifdim#1<9.4zw
%     \protect\AUTHORkintouI{7zw}{#2}\else%
%\ifdim#1<10.4zw
%     \protect\AUTHORkintouI{7zw}{#2}\else%
%\ifdim#1<11.4zw
%     \protect\AUTHORkintouI{7zw}{#2}\else%
%\hbox
%{\kanjiskip=0zw plus.4pt minus.5pt#2}%
{%\kanjiskip=0pt plus 1fill minus 1fill
%\xkanjiskip=\kanjiskip
#2}%
\fi\fi\fi\fi\fi\fi\fi%\fi\fi\fi\fi%
}





%% 5字ドリ
\long\def\SECTkintouI#1{%
\settowidth{\@tempdima}{#1}%
\@SECTkintouI{\@tempdima}{#1}}

\long\def\@SECTkintouI#1#2{%
\ifdim#1<1.2zw \protect\kintou{5zw}{#2}\else%
\ifdim#1<2.4zw
     \protect\kintou{5zw}{#2}\else%
\ifdim#1<3.4zw
     \protect\kintou{5zw}{#2}\else%
\ifdim#1<4.4zw
     \protect\kintou{5zw}{#2}\else%
\ifdim#1<5.4zw
     \protect\kintou{5zw}{#2}\else%
%\ifdim#1<6.4zw
%     \protect\kintou{7zw}{#2}\else%
%\ifdim#1<7.4zw
%     \protect\kintou{7zw}{#2}\else%
%\ifdim#1<8.4zw
%     \protect\SECTkintouI{7zw}{#2}\else%
%\ifdim#1<9.4zw
%     \protect\SECTkintouI{7zw}{#2}\else%
%\ifdim#1<10.4zw
%     \protect\SECTkintouI{7zw}{#2}\else%
%\ifdim#1<11.4zw
%     \protect\SECTkintouI{7zw}{#2}\else%
%\hbox
%{\kanjiskip=0zw plus.4pt minus.5pt#2}%
{%\kanjiskip=0pt plus 1fill minus 1fill
%\xkanjiskip=\kanjiskip
#2}%
\fi\fi\fi\fi\fi%\fi\fi%\fi\fi\fi\fi%
}


%%% center環境の調整
\def\Center{\topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
 \trivlist \centering\item\relax}
\def\endCenter{\endtrivlist}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%% parameter %%%%%%%%%
\unitlength=1mm
%\predisplaypenalty=0
%\predisplaypenalty=-10
\predisplaypenalty=0

%%%%%%%%%%%%%%%%%%%%%%%%








\newcounter{@paper}
\newif\if@landscape \@landscapefalse
\newcommand{\@ptsize}{}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagefalse
\hour\time \divide\hour by 60\relax
\@tempcnta\hour \multiply\@tempcnta 60\relax
\minute\time \advance\minute-\@tempcnta
\newif\if@stysize \@stysizefalse
\newif\if@enablejfam \@enablejfamtrue
\DeclareOption{a4paper}{\setcounter{@paper}{1}%
  \setlength\paperheight {297mm}%
  \setlength\paperwidth  {210mm}}
\DeclareOption{a5paper}{\setcounter{@paper}{2}%
  \setlength\paperheight {210mm}
  \setlength\paperwidth  {148mm}}
\DeclareOption{b4paper}{\setcounter{@paper}{3}%
  \setlength\paperheight {364mm}
  \setlength\paperwidth  {257mm}}
\DeclareOption{b5paper}{\setcounter{@paper}{4}%
  \setlength\paperheight {257mm}
  \setlength\paperwidth  {182mm}}
\DeclareOption{a4j}{\setcounter{@paper}{1}\@stysizetrue
  \setlength\paperheight {297mm}%
  \setlength\paperwidth  {210mm}}
\DeclareOption{a5j}{\setcounter{@paper}{2}\@stysizetrue
  \setlength\paperheight {210mm}
  \setlength\paperwidth  {148mm}}
\DeclareOption{b4j}{\setcounter{@paper}{3}\@stysizetrue
  \setlength\paperheight {364mm}
  \setlength\paperwidth  {257mm}}
\DeclareOption{b5j}{\setcounter{@paper}{4}\@stysizetrue
  \setlength\paperheight {257mm}
  \setlength\paperwidth  {182mm}}
\DeclareOption{a4p}{\setcounter{@paper}{1}\@stysizetrue
  \setlength\paperheight {297mm}%
  \setlength\paperwidth  {210mm}}
\DeclareOption{a5p}{\setcounter{@paper}{2}\@stysizetrue
  \setlength\paperheight {210mm}
  \setlength\paperwidth  {148mm}}
\DeclareOption{b4p}{\setcounter{@paper}{3}\@stysizetrue
  \setlength\paperheight {364mm}
  \setlength\paperwidth  {257mm}}
\DeclareOption{b5p}{\setcounter{@paper}{4}\@stysizetrue
  \setlength\paperheight {257mm}
  \setlength\paperwidth  {182mm}}
\if@compatibility
  \renewcommand{\@ptsize}{0}
\else
  \DeclareOption{10pt}{\renewcommand{\@ptsize}{0}}
\fi
\DeclareOption{11pt}{\renewcommand{\@ptsize}{1}}
\DeclareOption{12pt}{\renewcommand{\@ptsize}{2}}
\DeclareOption{landscape}{\@landscapetrue
  \setlength\@tempdima{\paperheight}%
  \setlength\paperheight{\paperwidth}%
  \setlength\paperwidth{\@tempdima}}
\DeclareOption{tombow}{%
  \tombowtrue \tombowdatetrue
  \setlength{\@tombowwidth}{.1\p@}%
  \@bannertoken{%
     \jobname\space:\space\number\year/\number\month/\number\day
      (\number\hour:\number\minute)}
  \maketombowbox}
\DeclareOption{tombo}{%
  \tombowtrue \tombowdatefalse
  \setlength{\@tombowwidth}{.1\p@}%
  \maketombowbox}
\DeclareOption{mentuke}{%
  \tombowtrue \tombowdatefalse
  \setlength{\@tombowwidth}{\z@}%
  \maketombowbox}
\DeclareOption{tate}{%
  \AtBeginDocument{\tate\message{《縦組モード》}%
                   \adjustbaseline}%
}
\DeclareOption{oneside}{\@twosidefalse}
\DeclareOption{twoside}{\@twosidetrue}
\DeclareOption{onecolumn}{\@twocolumnfalse}
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{titlepage}{\@titlepagetrue}
\DeclareOption{notitlepage}{\@titlepagefalse}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}}
\if@compatibility
\else
  \DeclareOption{disablejfam}{\@enablejfamfalse}
\fi
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
%\ExecuteOptions{a4paper,10pt,oneside,onecolumn,final}
%\ExecuteOptions{b5paper,10pt,twoside,twocolumn,final}
%\ExecuteOptions{a4paper,10pt,twoside,twocolumn,final}
%\ExecuteOptions{a4paper,11pt,twoside,twocolumn,final}
%\ExecuteOptions{a4paper,12pt,twoside,twocolumn,final}
\ExecuteOptions{a4paper,twoside,twocolumn,final}
\ProcessOptions\relax
%\input{jsize1\@ptsize.clo}
%\input{jsize12.clo}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newdimen\h
\h=0.25mm
\newdimen\JQ
 \JQ=0.7392507pt
\newdimen\Q
 \Q=0.71144pt
\newdimen\EM
 \EM=.03125em

%\expandafter\let\csname JY1/mc/m/n/10\endcsname\relax
%\expandafter\let\csname JY1/gt/m/n/10\endcsname\relax
%\expandafter\let\csname JY1/mc/m/n/12\endcsname\relax
%\expandafter\let\csname JY1/gt/m/n/12\endcsname\relax

%%%% font size



\if@usejistfm
\DeclareFontShape{JY1}{mc}{m}{n}{%
  <5>     sfixed * [5.1748] jis %  7Q \script
  <6>     sfixed * [6.6533] jis %  9Q \footnotesize
  <7>     sfixed * [7.3926] jis % 10Q \small
  <8>     sfixed * [8.1318] jis % 11Q \normalsize
  <9>     sfixed * [8.8711] jis % 12Q
  <10>    sfixed * [9.6104] jis % 13Q
  <10.95> sfixed * [11.089] jis % 15Q
  <12>    sfixed * [13.307] jis % 18Q
  <14.4>  sfixed * [14.785] jis % 20Q
  <17.28> sfixed * [17.742] jis % 24Q
  <20.74> sfixed * [20.699] jis % 28Q
  <24.88> sfixed * [23.656] jis % 32Q
  <->                       jis % 
}{}
\DeclareFontShape{JY1}{mc}{bx}{n}{%
  <5>     sfixed * [5.1748] jisg
  <6>     sfixed * [6.6533] jisg
  <7>     sfixed * [7.3926] jisg
  <8>     sfixed * [8.1318] jisg
  <9>     sfixed * [8.8711] jisg
  <10>    sfixed * [9.6104] jisg
  <10.95> sfixed * [11.089] jisg
  <12>    sfixed * [13.307] jisg
  <14.4>  sfixed * [14.785] jisg
  <17.28> sfixed * [17.742] jisg
  <20.74> sfixed * [20.699] jisg
  <24.88> sfixed * [23.656] jisg
  <->                       jisg
}{}
\DeclareFontShape{JY1}{gt}{m}{n}{%
  <5>     sfixed * [5.1748] jisg
  <6>     sfixed * [6.6533] jisg
  <7>     sfixed * [7.3926] jisg
  <8>     sfixed * [8.1318] jisg
  <9>     sfixed * [8.8711] jisg
  <10>    sfixed * [9.6104] jisg
  <10.95> sfixed * [11.089] jisg
  <12>    sfixed * [13.307] jisg
  <14.4>  sfixed * [14.785] jisg
  <17.28> sfixed * [17.742] jisg
  <20.74> sfixed * [20.699] jisg
  <24.88> sfixed * [23.656] jisg
  <->                       jisg
}{}
\DeclareFontShape{JY1}{gt}{bx}{n}{%
  <5>     sfixed * [5.1748] jisg
  <6>     sfixed * [6.6533] jisg
  <7>     sfixed * [7.3926] jisg
  <8>     sfixed * [8.1318] jisg
  <9>     sfixed * [8.8711] jisg
  <10>    sfixed * [9.6104] jisg
  <10.95> sfixed * [11.089] jisg
  <12>    sfixed * [13.307] jisg
  <14.4>  sfixed * [14.785] jisg
  <17.28> sfixed * [17.742] jisg
  <20.74> sfixed * [20.699] jisg
  <24.88> sfixed * [23.656] jisg
  <->                       jisg
}{}
\else
\DeclareFontShape{JY1}{mc}{m}{n}{%
  <5>     sfixed * [5.1748] min5  %  7Q
  <6>     sfixed * [6.6533] min6  %  9Q
  <7>     sfixed * [7.3926] min7  % 10Q
  <8>     sfixed * [8.1318] min8  % 11Q
  <9>     sfixed * [8.8711] min9  % 12Q
  <10>    sfixed * [9.6104] min10 % 13Q
  <10.95> sfixed * [11.089] min10 % 15Q
  <12>    sfixed * [13.307] min10 % 18Q
  <14.4>  sfixed * [14.785] min10 % 20Q
  <17.28> sfixed * [17.742] min10 % 24Q
  <20.74> sfixed * [20.699] min10 % 28Q
  <24.88> sfixed * [23.656] min10 % 32Q
  <->                       min10 % 
}{}
\DeclareFontShape{JY1}{mc}{bx}{n}{%
  <5>     sfixed * [5.1748] goth5
  <6>     sfixed * [6.6533] goth6
  <7>     sfixed * [7.3926] goth7
  <8>     sfixed * [8.1318] goth8
  <9>     sfixed * [8.8711] goth9
  <10>    sfixed * [9.6104] goth10
  <10.95> sfixed * [11.089] goth10
  <12>    sfixed * [13.307] goth10
  <14.4>  sfixed * [14.785] goth10
  <17.28> sfixed * [17.742] goth10
  <20.74> sfixed * [20.699] goth10
  <24.88> sfixed * [23.656] goth10
  <->                       goth10
}{}
\DeclareFontShape{JY1}{gt}{m}{n}{%
  <5>     sfixed * [5.1748] goth5
  <6>     sfixed * [6.6533] goth6
  <7>     sfixed * [7.3926] goth7
  <8>     sfixed * [8.1318] goth8
  <9>     sfixed * [8.8711] goth9
  <10>    sfixed * [9.6104] goth10
  <10.95> sfixed * [11.089] goth10
  <12>    sfixed * [13.307] goth10
  <14.4>  sfixed * [14.785] goth10
  <17.28> sfixed * [17.742] goth10
  <20.74> sfixed * [20.699] goth10
  <24.88> sfixed * [23.656] goth10
  <->                       goth10
}{}
\DeclareFontShape{JY1}{gt}{bx}{n}{%
  <5>     sfixed * [5.1748] goth5
  <6>     sfixed * [6.6533] goth6
  <7>     sfixed * [7.3926] goth7
  <8>     sfixed * [8.1318] goth8
  <9>     sfixed * [8.8711] goth9
  <10>    sfixed * [9.6104] goth10
  <10.95> sfixed * [11.089] goth10
  <12>    sfixed * [13.307] goth10
  <14.4>  sfixed * [14.785] goth10
  <17.28> sfixed * [17.742] goth10
  <20.74> sfixed * [20.699] goth10
  <24.88> sfixed * [23.656] goth10
  <->                       goth10
}{}
\fi



%% JY1 it
\DeclareFontShape{JY1}{mc}{m}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JY1}{mc}{bx}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{JY1}{gt}{m}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{JY1}{gt}{bx}{it}{<->ssub*gt/m/n}{}
%%
\DeclareFontShape{JY1}{mc}{b}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JY1}{mc}{eb}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JY1}{gt}{b}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JY1}{gt}{eb}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JY1}{gt}{ub}{it}{<->ssub*mc/m/n}{}
%% JT1 it
\DeclareFontShape{JT1}{mc}{m}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{mc}{bx}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{JT1}{gt}{m}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{JT1}{gt}{bx}{it}{<->ssub*gt/m/n}{}
%%
\DeclareFontShape{JT1}{mc}{b}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{mc}{eb}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{gt}{b}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{gt}{eb}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{gt}{ub}{it}{<->ssub*mc/m/n}{}
%% sc
\DeclareFontShape{JY1}{mc}{m}{sc}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{mc}{m}{sc}{<->ssub*mc/m/n}{}
%% n
\DeclareFontShape{JY1}{gt}{b}{n}{<->ssub*gt/m/n}{}
\DeclareFontShape{JT1}{gt}{b}{n}{<->ssub*gt/m/n}{}
%% sl
\DeclareFontShape{JY1}{mc}{bx}{sl}{<->ssub*gt/m/n}{}
\DeclareFontShape{JT1}{mc}{bx}{sl}{<->ssub*gt/m/n}{}
\DeclareFontShape{JY1}{mc}{m}{sl}{<->ssub*gt/m/n}{}
\DeclareFontShape{JT1}{mc}{m}{sl}{<->ssub*gt/m/n}{}

%\renewcommand{\normalsize}{%
%    \@setfontsize\normalsize\@viiipt{18.5\h}%
%  \abovedisplayskip3.75H  \@plus2\p@ \@minus3\p@
%  \abovedisplayshortskip 5H \@plus2\p@ \@minus5\p@%
%  \belowdisplayshortskip 3.75H \@plus3\p@ \@minus5\p@
%   \belowdisplayskip \abovedisplayskip
%   \let\@listi\@listI}
%%  \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
%%  \abovedisplayshortskip \z@ \@plus3\p@
%%  \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
%%   \belowdisplayskip \abovedisplayskip
%%   \let\@listi\@listI}
%\normalsize
%\newcommand{\small}{%
%  \@setfontsize\small\@viipt{11}%
%  \abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
%  \abovedisplayshortskip \z@ \@plus2\p@
%  \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
%  \def\@listi{\leftmargin\leftmargini
%              \topsep 4\p@ \@plus2\p@ \@minus2\p@
%              \parsep 2\p@ \@plus\p@ \@minus\p@
%              \itemsep \parsep}%
%  \belowdisplayskip \abovedisplayskip}
%\newcommand{\footnotesize}{%
%%  \@setfontsize\footnotesize\@viiipt{9.5}%
%  \@setfontsize\footnotesize\@vipt{9.5}%
%  \abovedisplayskip 6\p@ \@plus2\p@ \@minus4\p@
%  \abovedisplayshortskip \z@ \@plus\p@
%  \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
%  \def\@listi{\leftmargin\leftmargini
%              \topsep 3\p@ \@plus\p@ \@minus\p@
%              \parsep 2\p@ \@plus\p@ \@minus\p@
%              \itemsep \parsep}%
%  \belowdisplayskip \abovedisplayskip}
%%\newcommand{\scriptsize}{\@setfontsize\scriptsize\@viipt\@viiipt}
%\newcommand{\scriptsize}{\@setfontsize\scriptsize\@vpt\@vipt}
%\newcommand{\tiny}{\@setfontsize\tiny\@vpt\@vipt}
%\newcommand{\large}{\@setfontsize\large\@ixpt{19H}}%% = 12Q
%\newcommand{\Large}{\@setfontsize\Large\@xivpt{21}}
%\newcommand{\LARGE}{\@setfontsize\LARGE\@xviipt{25}}
%\newcommand{\huge}{\@setfontsize\huge\@xxpt{28}}
%\newcommand{\Huge}{\@setfontsize\Huge\@xxvpt{33}}

\renewcommand{\normalsize}{%
    %\@setfontsize\normalsize\@xpt{15}%
    %\@setfontsize\normalsize\@xpt{14}% % semai 
    \@setfontsize\normalsize\@xpt{15}% % semai 
  \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
  \abovedisplayshortskip \z@ \@plus3\p@
  \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}
\normalsize
\setbox0\hbox{\char\euc"A1A1}%
\setlength\Cht{\ht0}
\setlength\Cdp{\dp0}
\setlength\Cwd{\wd0}
\setlength\Cvs{\baselineskip}
\setlength\Chs{\wd0}
\newcommand{\small}{%
  %\@setfontsize\small\@ixpt{11}%
  %\@setfontsize\small\@ixpt{7.5}%
  %\@setfontsize\small\@ixpt{10}%
  \@setfontsize\small\@ixpt{11}%
  %\abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
  \abovedisplayskip 5.5\p@ \@plus3\p@ \@minus4\p@
  \abovedisplayshortskip \z@ \@plus2\p@
  \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
  \def\@listi{\leftmargin\leftmargini
              \topsep 4\p@ \@plus2\p@ \@minus2\p@
              \parsep 2\p@ \@plus\p@ \@minus\p@
              \itemsep \parsep}%
  \belowdisplayskip \abovedisplayskip}
\newcommand{\footnotesize}{%
  \@setfontsize\footnotesize\@viiipt{9.5}%
  \abovedisplayskip 6\p@ \@plus2\p@ \@minus4\p@
  \abovedisplayshortskip \z@ \@plus\p@
  \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
  \def\@listi{\leftmargin\leftmargini
              \topsep 3\p@ \@plus\p@ \@minus\p@
              \parsep 2\p@ \@plus\p@ \@minus\p@
              \itemsep \parsep}%
  \belowdisplayskip \abovedisplayskip}
\newcommand{\scriptsize}{\@setfontsize\scriptsize\@viipt\@viiipt}
\newcommand{\tiny}{\@setfontsize\tiny\@vpt\@vipt}
%\newcommand{\large}{\@setfontsize\large\@xiipt{17}}
%\newcommand{\Large}{\@setfontsize\Large\@xivpt{21}}
%\newcommand{\LARGE}{\@setfontsize\LARGE\@xviipt{25}}
%\newcommand{\huge}{\@setfontsize\huge\@xxpt{28}}
%\newcommand{\Huge}{\@setfontsize\Huge\@xxvpt{33}}
%\newcommand{\large}{\@setfontsize\large\@ixpt{12}}
\newcommand{\large}{\@setfontsize\large\@xipt{14}}  % saigo ha takasa
\newcommand{\Large}{\@setfontsize\Large\@xivpt{16}}
\newcommand{\LARGE}{\@setfontsize\LARGE\@xviipt{21}}
\newcommand{\huge}{\@setfontsize\huge\@xxpt{24}}
\newcommand{\Huge}{\@setfontsize\Huge\@xxvpt{28}}




\setlength\headheight{12\p@}
\setlength\headsep{4.5mm}
\setlength\topskip{1\Cht}
\setlength\footskip{6mm}%{30\p@}



\if@compatibility
  \setlength\maxdepth{4\p@}
\else
  \setlength\maxdepth{.5\topskip}
\fi
\if@compatibility
  \if@stysize
    \ifnum\c@@paper=2 % A5
      \if@landscape
        \setlength\textwidth{47\Cwd}
      \else
        \setlength\textwidth{28\Cwd}
      \fi
    \else\ifnum\c@@paper=3 % B4
      \if@landscape
        \setlength\textwidth{75\Cwd}
      \else
        \setlength\textwidth{60\Cwd}
      \fi
    \else\ifnum\c@@paper=4 % B5
      \if@landscape
        \setlength\textwidth{60\Cwd}
      \else
        \setlength\textwidth{37\Cwd}
      \fi
    \else % A4 ant other
      \if@landscape
        \setlength\textwidth{73\Cwd}
      \else
        \setlength\textwidth{47\Cwd}
      \fi
    \fi\fi\fi
  \else
    \if@twocolumn
      \setlength\textwidth{52\Cwd}
    \else
      \setlength\textwidth{327\p@}
    \fi
  \fi
\else
  \if@stysize
    \if@twocolumn
      \setlength\textwidth{.8\paperwidth}
    \else
      \setlength\textwidth{.7\paperwidth}
    \fi
  \else
    \setlength\@tempdima{\paperwidth}
    \addtolength\@tempdima{-2in}
    \setlength\@tempdimb{327\p@}
    \if@twocolumn
      \ifdim\@tempdima>2\@tempdimb\relax
        \setlength\textwidth{2\@tempdimb}
      \else
        \setlength\textwidth{\@tempdima}
      \fi
    \else
      \ifdim\@tempdima>\@tempdimb\relax
        \setlength\textwidth{\@tempdimb}
      \else
        \setlength\textwidth{\@tempdima}
      \fi
    \fi
  \fi
\fi
\@settopoint\textwidth
\if@compatibility
  \if@stysize
    \ifnum\c@@paper=2 % A5
      \if@landscape
        \setlength\textheight{17\Cvs}
      \else
        \setlength\textheight{28\Cvs}
      \fi
    \else\ifnum\c@@paper=3 % B4
      \if@landscape
        \setlength\textheight{38\Cvs}
      \else
        \setlength\textheight{57\Cvs}
      \fi
    \else\ifnum\c@@paper=4 % B5
      \if@landscape
        \setlength\textheight{22\Cvs}
      \else
        \setlength\textheight{35\Cvs}
      \fi
    \else % A4 and other
      \if@landscape
        \setlength\textheight{27\Cvs}
      \else
        \setlength\textheight{43\Cvs}
      \fi
    \fi\fi\fi
    \addtolength\textheight{\topskip}
  \else
  \setlength\textheight{578\p@}
  \fi
\else
  \if@stysize
    \setlength\textheight{.75\paperheight}
  \else
    \setlength\@tempdima{\paperheight}
    \addtolength\@tempdima{-2in}
    \addtolength\@tempdima{-1.5in}
    \divide\@tempdima\baselineskip
    \@tempcnta\@tempdima
    \setlength\textheight{\@tempcnta\baselineskip}
  \fi
\fi
\addtolength\textheight{\topskip}
\@settopoint\textheight
\if@compatibility
  \if@stysize
    \setlength\topmargin{-.3in}
  \else
    \setlength\topmargin{27\p@}
  \fi
\else
  \setlength\topmargin{\paperheight}
  \addtolength\topmargin{-\headheight}
  \addtolength\topmargin{-\headsep}
  \addtolength\topmargin{-\textheight}
  \addtolength\topmargin{-\footskip}
  \if@stysize
    \ifnum\c@@paper=2 % A5
      \addtolength\topmargin{-1.3in}
    \else
      \addtolength\topmargin{-2.0in}
    \fi
  \else
    \addtolength\topmargin{-2.0in}
  \fi
  \addtolength\topmargin{-.5\topmargin}
\fi
\@settopoint\topmargin
\if@twocolumn
  \setlength\marginparsep{10\p@}
\else
  \setlength\marginparsep{10\p@}
\fi
\setlength\marginparpush{5\p@}
\if@compatibility
    \if@twoside
      \setlength\oddsidemargin   {44\p@}
      \setlength\evensidemargin  {82\p@}
      \setlength\marginparwidth {107\p@}
    \else
     \setlength\oddsidemargin   {60\p@}
     \setlength\evensidemargin  {60\p@}
     \setlength\marginparwidth  {90\p@}
  \fi
  \if@twocolumn
     \setlength\oddsidemargin  {30\p@}
     \setlength\evensidemargin {30\p@}
     \setlength\marginparwidth {48\p@}
  \fi
  \if@stysize
    \if@twocolumn\else
      \setlength\oddsidemargin{0\p@}
      \setlength\evensidemargin{0\p@}
    \fi
  \fi
\else
  \setlength\@tempdima{\paperwidth}
  \addtolength\@tempdima{-\textwidth}
  \if@twoside
    \setlength\oddsidemargin{.4\@tempdima}
  \else
    \setlength\oddsidemargin{.5\@tempdima}
  \fi
  \addtolength\oddsidemargin{-1in}
  \setlength\evensidemargin{\paperwidth}
  \addtolength\evensidemargin{-2in}
  \addtolength\evensidemargin{-\textwidth}
  \addtolength\evensidemargin{-\oddsidemargin}
  \@settopoint\oddsidemargin % 1999.1.6
  \@settopoint\evensidemargin
  \if@twoside
    \setlength\marginparwidth{.6\@tempdima}
    \addtolength\marginparwidth{-.4in}
  \else
    \setlength\marginparwidth{.5\@tempdima}
    \addtolength\marginparwidth{-.4in}
  \fi
  \ifdim \marginparwidth >2in
    \setlength\marginparwidth{2in}
  \fi
  \@settopoint\marginparwidth
\fi
\setlength\footnotesep{6.65\p@}
\setlength{\skip\footins}{9\p@ \@plus 4\p@ \@minus 2\p@}

\setlength\floatsep    {1\Cvs \@plus 2\p@ \@minus 2\p@}
\setlength\textfloatsep{1\Cvs \@plus 2\p@ \@minus 4\p@}
\setlength\intextsep   {1\Cvs \@plus 2\p@ \@minus 2\p@}
\setlength\dblfloatsep    {1\Cvs \@plus 2\p@ \@minus 2\p@}
\setlength\dbltextfloatsep{1\Cvs \@plus 2\p@ \@minus 4\p@}


% itemize
\setlength\@fptop{0\p@ \@plus 1fil}
\setlength\@fpsep{8\p@ \@plus 2fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@ \@plus 1fil}
\setlength\@dblfpsep{8\p@ \@plus 2fil}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
\setlength\partopsep{2\p@ \@plus 1\p@ \@minus 1\p@}
%\def\@listi{\leftmargin\leftmargini
%  \parsep 4\p@ \@plus2\p@ \@minus\p@
%  \topsep 8\p@ \@plus2\p@ \@minus4\p@
%  \itemsep4\p@ \@plus2\p@ \@minus\p@}
%\let\@listI\@listi
%\@listi
%\def\@listii{\leftmargin\leftmarginii
%   \labelwidth\leftmarginii \advance\labelwidth-\labelsep
%   \topsep  4\p@ \@plus2\p@ \@minus\p@
%   \parsep  2\p@ \@plus\p@  \@minus\p@
%   \itemsep\parsep}
%\def\@listiii{\leftmargin\leftmarginiii
%   \labelwidth\leftmarginiii \advance\labelwidth-\labelsep
%   \topsep 2\p@  \@plus\p@\@minus\p@
%   \parsep\z@
%   \partopsep \p@ \@plus\z@ \@minus\p@
%   \itemsep\topsep}
\def\@listi{\leftmargin\leftmargini
  \parsep \p@ \@plus\p@ \@minus\p@
  \topsep 2\p@ \@plus\p@ \@minus\p@
  \itemsep\p@ \@plus\p@ \@minus\p@}
\let\@listI\@listi
\@listi
\def\@listii{\leftmargin\leftmarginii
   \labelwidth\leftmarginii \advance\labelwidth-\labelsep
   \topsep  \p@ \@plus\p@ \@minus\p@
   \parsep  \p@ \@plus\p@  \@minus\p@
   \itemsep\parsep}
\def\@listiii{\leftmargin\leftmarginiii
   \labelwidth\leftmarginiii \advance\labelwidth-\labelsep
   \topsep \p@  \@plus\p@\@minus\p@
   \parsep\z@
   \partopsep \p@ \@plus\z@ \@minus\p@
   \itemsep\topsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}
%%\endinput
%%
%% End of file `jsize10.clo'.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\if@stysize
  \setlength\columnsep{2\Cwd}
\else
  \setlength\columnsep{10\p@}
\fi
\setlength\columnseprule{0\p@}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand{\baselinestretch}{}
\setlength\parskip{0\p@ \@plus \p@}
\setlength\parindent{1\Cwd}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301





\setcounter{topnumber}{6}
\setcounter{bottomnumber}{5}
\setcounter{totalnumber}{11}
\setcounter{dbltopnumber}{5}
\renewcommand{\topfraction}{.95}
\renewcommand{\bottomfraction}{.95}
\renewcommand{\textfraction}{.05}
\renewcommand{\floatpagefraction}{.05}
\renewcommand{\dbltopfraction}{.95}
\renewcommand{\dblfloatpagefraction}{.05}





\def\ps@plain{\let\@mkboth\@gobbletwo
   \let\ps@jpl@in\ps@plain
   \let\@oddhead\@empty
   \def\@oddfoot{\reset@font\hfil\thepage\hfil}%
   \let\@evenhead\@empty
   \let\@evenfoot\@oddfoot}
\let\ps@jpl@in\ps@plain
\def\ps@headnombre{\let\@mkboth\@gobbletwo
    \let\ps@jpl@in\ps@headnombre
  %\def\@evenhead{\thepage\hfil}%
  \def\@evenhead{\hfil\thepage}%
  %\def\@oddhead{\hfil\thepage}%
  \def\@oddhead{\hfil\thepage}%
  \let\@oddfoot\@empty\let\@evenfoot\@empty}
\def\ps@footnombre{\let\@mkboth\@gobbletwo
    \let\ps@jpl@in\ps@footnombre
  %\def\@evenfoot{\thepage\hfil}%
  \def\@evenfoot{\hfil\thepage}%
  \def\@oddfoot{\hfil\thepage}%
  \let\@oddhead\@empty\let\@evenhead\@empty}




\newcount\year@cnt
\def\YEAR#1{\def\@tempa{#1}%
  \year@cnt=#1\gdef\@YEAR{#1}
\ifnum\@lang=\z@
 \gdef\hd@YEAR{\<（{\sf\the\year@cnt}）\<}\@Vol%
\else
 \gdef\hd@YEAR{{\bf(\the\year@cnt)}}\@Vol%
\fi
}



\newcount\vol@cnt
\def\@Vol{\vol@cnt=\the\year@cnt
% \advance \vol@cnt by -17\relax
 \advance \vol@cnt by -1971\relax
% \advance \vol@cnt by -3817\relax
  \gdef\@VOL{第{\sf\the\vol@cnt}巻}
  \gdef\@englishVOL{vol.\,{\bf\the\vol@cnt}}
}



%\def\vol#1{\vol@cnt=#1\gdef\@VOL{#1}%
%\def\@tempa{#1}%
%\year@cnt=\the\vol@cnt\advance \year@cnt by -1971\relax
%\gdef\hd@YEAR{\<（\the\year@cnt）\<}\@Vol%
%}





\def\no#1{\def\@tempa{#1}%
 \ifx\@tempa\empty \gdef\@no{第{\sf xx}号}\gdef\@englishno{{\bf no.\,xx}}\else \gdef\@no{第{\sf#1}号}\gdef\@englishno{{\bf no.\,#1}}\fi}




\def\@NUMwarning{\@latex@warning@no@line{No \noexpand\no given}
%\gdef\@no{xx}
}


\def\@MMM{AAAAAAAAA}

%\@ifundefined{@no}{\@NUMwarning}{\@MMM}


\if@Proof
 \def\@Rtop{\rlap{\smash{\rule[-\headsep]{0.05mm}{10mm}%
  \rule[-\headsep]{10mm}{0.05mm}}}}
 \def\@Ltop{\llap{\smash{\rule[-\headsep]{10mm}{0.05mm}%
  \rule[-\headsep]{0.05mm}{10mm}}}}
 \def\@Rbot{\rlap{\smash{\raisebox{1\footskip}
  {\rule[-10mm]{0.05mm}{10mm}\rule{10mm}{0.05mm}}}}}
 \def\@Lbot{\llap{\smash{\raisebox{1\footskip}
  {\rule{10mm}{0.05mm}\rule[-10mm]{0.05mm}{10mm}}}}}
\else
 \let\@Rtop\relax\let\@Ltop\relax\let\@Rbot\relax\let\@Lbot\relax
\fi



%\def\jtitle#1{\gdef\hd@title{論文：#1}\gdef\@jtitle{#1}}
%\def\hd@title{}


\if@twoside
  \def\ps@headings{%\let\ps@jpl@in\ps@headnombre
    \def\@oddfoot{\@Lbot\hfill\textsf{\thepage}\quad\@Rbot}
%\def\@evenfoot{\@Lbot\quad\textsf{\thepage}\hfill\@Rbot}
\def\@evenfoot{\@Lbot\hfill\textsf{\thepage}\quad\@Rbot}
    \def\@evenhead{\@Ltop\hfil%\leftmark
%\textbf{画像電子学会誌\hskip1zw\@VOL\hskip1zw\@no\hd@YEAR}\hfil%
%\textbf{画像電子学会誌\hskip1zw\@VOL\hskip1zw\@no\hd@YEAR}
\hfil%
\@Rtop}%

%    \def\@oddhead{\@Ltop\hfil\sf\textbf{\let\\\ignorespaces\@HeadType\hd@jtitle%\protect\hd@title%\@title%
    \def\@oddhead{\@Ltop\hfil
%\sf\textbf{\let\\\ignorespaces\@HeadType\hd@jtitle}
\hfil\@Rtop}%
%    \def\@oddhead{\@Ltop\hfil\sf\textbf{\@jtitle%\protect\hd@title%\@title%
%\rightmark
%}\hfil\@Rtop}%
    \let\@mkboth\markboth
    \def\sectionmark##1{\markboth{%
       \ifnum \c@secnumdepth >\z@ \thesection.\hskip1zw\fi
       ##1}{}
}%
    \def\subsectionmark##1{\markright{%
       \ifnum \c@secnumdepth >\@ne \thesubsection.\hskip1zw\fi
       ##1}}%
  }
%%%%%%%%%%%%%%%%%%%%%%最終ページ平行止め罫線の中央確認%%%%%%%%%%%%%%
\ifnum\@lang=\z@
%%%%% 和文用
  \def\ps@LASTPAGEheadings{%\let\ps@jpl@in\ps@headnombre
    \def\@oddfoot{\smash{\pushtowall{\hspace*{26.5\Cwd}\rule[-5.75mm]{.12mm}{\paperheight}}}\@Lbot\hfill\textsf{\thepage}\quad\@Rbot}
%\def\@evenfoot{\smash{\pushtowall{\hspace*{26.5\Cwd}\rule[-5.75mm]{.12mm}{\paperheight}}}\@Lbot\quad\textsf{\thepage}\hfill\@Rbot}
\def\@evenfoot{\smash{\pushtowall{\hspace*{26.5\Cwd}\rule[-5.75mm]{.12mm}{\paperheight}}}\@Lbot\hfill\textsf{\thepage}\quad\@Rbot}
    \def\@evenhead{\@Ltop\hfil%\leftmark
%\textbf{画像電子学会誌\hskip1zw\@VOL\hskip1zw\@no\hd@YEAR}\hfil%
%\textbf{画像電子学会誌\hskip1zw\@VOL\hskip1zw\@no\hd@YEAR}
\hfil%
\@Rtop}%
 %   \def\@oddhead{\@Ltop\hfil\sf\textbf{\let\\\ignorespaces\hd@jtitle%\protect\hd@title%\@title%
    \def\@oddhead{\@Ltop\hfil
%\sf\textbf{\let\\\ignorespaces\hd@jtitle}
\hfil\@Rtop}%
    \let\@mkboth\markboth
    \def\sectionmark##1{\markboth{%
       \ifnum \c@secnumdepth >\z@ \thesection.\hskip1zw\fi
       ##1}{}
}%
    \def\subsectionmark##1{\markright{%
       \ifnum \c@secnumdepth >\@ne \thesubsection.\hskip1zw\fi
       ##1}}%
  }
\else
%% English用
  \def\ps@LASTPAGEheadings{%\let\ps@jpl@in\ps@headnombre
    \def\@oddfoot{\smash{\pushtowall{\hspace*{26.5\Cwd}\rule[-5.75mm]{.12mm}{\paperheight}}}\@Lbot\hfill\textsf{\thepage}\quad\@Rbot}
%\def\@evenfoot{\smash{\pushtowall{\hspace*{26.5\Cwd}\rule[-5.75mm]{.12mm}{\paperheight}}}\@Lbot\quad\textsf{\thepage}\hfill\@Rbot}
\def\@evenfoot{\smash{\pushtowall{\hspace*{26.5\Cwd}\rule[-5.75mm]{.12mm}{\paperheight}}}\@Lbot\hfill\textsf{\thepage}\quad\@Rbot}
    \def\@evenhead{\@Ltop\hfil%\leftmark
\textbf{The Journal of the IIEEJ\ \@englishVOL\ \@englishno\hd@YEAR}\hfil%
\@Rtop}%
    \def\@oddhead{\@Ltop\hfil\textbf{\let\\\ignorespaces Paper\,:\,\hd@jtitle%\protect\hd@title%\@title%
%\rightmark
}\hfil\@Rtop}%
    \let\@mkboth\markboth
    \def\sectionmark##1{\markboth{%
       \ifnum \c@secnumdepth >\z@ \thesection.\hskip1zw\fi
       ##1}{}
}%
    \def\subsectionmark##1{\markright{%
       \ifnum \c@secnumdepth >\@ne \thesubsection.\hskip1zw\fi
       ##1}}%
  }
\fi%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  \def\ps@TITLEheadings{%\let\ps@jpl@in\ps@headnombre
    \def\@oddfoot{\@Lbot\hfill\textsf{\thepage}\quad\@Rbot}
%\def\@evenfoot{\@Lbot\quad\textsf{\thepage}\hfill\@Rbot}
\def\@evenfoot{\@Lbot\hfill\textsf{\thepage}\quad\@Rbot}
    \def\@evenhead{\@Ltop\hfil%\leftmark
\textbf{}\hfil%
\@Rtop}%

    \def\@oddhead{\@Ltop\hfil\sf\textbf{
}\hfil\@Rtop}%
%    \def\@oddhead{\@Ltop\hfil\sf\textbf{\@jtitle%\protect\hd@title%\@title%
%\rightmark
%}\hfil\@Rtop}%
    \let\@mkboth\markboth
    \def\sectionmark##1{\markboth{%
       \ifnum \c@secnumdepth >\z@ \thesection.\hskip1zw\fi
       ##1}{}
}%
    \def\subsectionmark##1{\markright{%
       \ifnum \c@secnumdepth >\@ne \thesubsection.\hskip1zw\fi
       ##1}}%
  }
%%%%%%%%%%%%%%%%%%%% English
  \def\ps@englishheadings{%\let\ps@jpl@in\ps@headnombre
    \def\@oddfoot{\@Lbot\hfill\textsf{\thepage}\quad\@Rbot}
%\def\@evenfoot{\@Lbot\quad\textsf{\thepage}\hfill\@Rbot}
\def\@evenfoot{\@Lbot\hfill\textsf{\thepage}\quad\@Rbot}
    \def\@evenhead{\@Ltop\hfil%\leftmark
\textbf{The Journal of the IIEEJ\ \@englishVOL\ \@englishno\hd@YEAR}\hfil%
\@Rtop}%

    \def\@oddhead{\@Ltop\hfil\textbf{\let\\\ignorespaces Paper\,:\,\hd@jtitle%\protect\hd@title%\@title%
%\rightmark
}\hfil\@Rtop}%
%    \def\@oddhead{\@Ltop\hfil\sf\textbf{\@jtitle%\protect\hd@title%\@title%
%\rightmark
%}\hfil\@Rtop}%
    \let\@mkboth\markboth
    \def\sectionmark##1{\markboth{%
       \ifnum \c@secnumdepth >\z@ \thesection.\hskip1zw\fi
       ##1}{}
}%
    \def\subsectionmark##1{\markright{%
       \ifnum \c@secnumdepth >\@ne \thesubsection.\hskip1zw\fi
       ##1}}%
  }
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\else % if not twoside
  \def\ps@headings{\let\ps@jpl@in\ps@headnombre
    \let\@oddfoot\@empty
    \def\@oddhead{{\rightmark}\hfil\thepage}%
    \let\@mkboth\markboth
  \def\sectionmark##1{\markright{%
     \ifnum \c@secnumdepth >\m@ne \thesection.\hskip1zw\fi
     ##1}}%
  }
\fi
\if@twoside
  \def\ps@bothstyle{\let\ps@jpl@in\ps@footnombre
    \def\@evenhead{\leftmark\hfil}% right page
    \def\@evenfoot{\thepage\hfil}% right page
    \def\@oddhead{\hfil\rightmark}% left page
    \def\@oddfoot{\hfil\thepage}% left page
  \let\@mkboth\markboth
  \def\sectionmark##1{\markboth{%
     \ifnum \c@secnumdepth >\z@ \thesection.\hskip1zw\fi
     ##1}{}}%
  \def\subsectionmark##1{\markright{%
     \ifnum \c@secnumdepth >\@ne \thesubsection.\hskip1zw\fi
     ##1}}%
  }
\else % if one column
  \def\ps@bothstyle{\let\ps@jpl@in\ps@footnombre
    \def\@oddhead{\hfil\rightmark}%
    \def\@oddfoot{\hfil\thepage}%
    \let\@mkboth\markboth
  \def\sectionmark##1{\markright{%
     \ifnum \c@secnumdepth >\m@ne \thesection.\hskip1zw\fi
     ##1}}%
  }
\fi
\def\ps@myheadings{\let\ps@jpl@in\ps@plain%
  \let\@oddfoot\@empty\let\@evenfoot\@empty
  %\def\@evenhead{\thepage\hfil\leftmark}%
  \def\@evenhead{\hfil\thepage\leftmark}%
  \def\@oddhead{{\rightmark}\hfil\thepage}%
  \let\@mkboth\@gobbletwo
  \let\sectionmark\@gobble
  \let\subsectionmark\@gobble
}
\if@compatibility
\newenvironment{titlepage}
    {%
     \if@twocolumn\@restonecoltrue\onecolumn
     \else\@restonecolfalse\newpage\fi
     \thispagestyle{empty}%
     \setcounter{page}\z@
    }%
    {\if@restonecol\twocolumn\else\newpage\fi
    }
\else
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\@ne
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
     \if@twoside\else
        \setcounter{page}\@ne
     \fi
    }
\fi
\def\p@thanks#1{\footnotemark
  \protected@xdef\@thanks{\@thanks
    \protect{\noindent$\m@th^\thefootnote$~#1\protect\par}}}
\if@titlepage
  \newcommand{\maketitle}{\begin{titlepage}%
  \let\footnotesize\small
  \let\footnoterule\relax
  \let\footnote\thanks
  \null\vfil
  \vskip 60\p@
  \begin{center}%
    {\LARGE \@title \par}%
    \vskip 3em%
    {\Large
     \lineskip .75em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
      \vskip 1.5em%
    {\large \@date \par}%       % Set date in \large size.
  \end{center}\par
  \@thanks\vfil\null
  \end{titlepage}%
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\p@thanks\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
  }%
\else
  \newcommand{\maketitle}{\par
  \begingroup
    \renewcommand{\thefootnote}{\fnsymbol{footnote}}%
    \def\@makefnmark{\hbox{\ifydir $\m@th^{\@thefnmark}$
      \else\hbox{\yoko$\m@th^{\@thefnmark}$}\fi}}%
     \long\def\@makefntext##1{\parindent 1em\noindent
       \hbox to1.8em{\hss$\m@th^{\@thefnmark}$}##1}%
    \if@twocolumn
      \ifnum \col@number=\@ne \@maketitle
      \else \twocolumn[\@maketitle]%
      \fi
    \else
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \fi
     \thispagestyle{jpl@in}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\p@thanks\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
  }
  \def\@maketitle{%
  \newpage\null
  \vskip 2em%
  \begin{center}%
  \let\footnote\thanks
    {\LARGE \@title \par}%
    \vskip 1.5em%
    {\large
      \lineskip .5em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
    \vskip 1em%
    {\large \@date}%
  \end{center}%
  \par\vskip 1.5em}
\fi
\if@titlepage
  \newenvironment{abstract}{%
      \titlepage
      \null\vfil
      \@beginparpenalty\@lowpenalty
      \begin{center}%
        {\bfseries\abstractname}%
        \@endparpenalty\@M
      \end{center}}%
      {\par\vfil\null\endtitlepage}
\else
  \newenvironment{abstract}{%
    \if@twocolumn
      \section*{\abstractname}%
    \else
      \small
      \begin{center}%
        {\bfseries\abstractname\vspace{-.5em}\vspace{\z@}}%
      \end{center}%
      \quotation
    \fi}{\if@twocolumn\else\endquotation\fi}
\fi
\setcounter{secnumdepth}{3}
\newcounter{part}
\newcounter{section}
\newcounter{subsection}[section]
\newcounter{subsubsection}[subsection]
\newcounter{paragraph}[subsubsection]
\newcounter{subparagraph}[paragraph]
\renewcommand{\thepart}{\@Roman\c@part}
\renewcommand{\thesection}{\@arabic\c@section.}
\renewcommand{\thesubsection}{\thesection\@arabic\c@subsection}
\renewcommand{\thesubsubsection}{%
   \thesubsection.\@arabic\c@subsubsection}
\renewcommand{\theparagraph}{%
   \thesubsubsection.\@arabic\c@paragraph}
\renewcommand{\thesubparagraph}{%
   \theparagrap/SRV03/work1/gazoden/matuh.\@arabic\c@subparagraph}
\newcommand{\part}{\par\addvspace{4ex}%
  \@afterindentfalse
  \secdef\@part\@spart}
\def\@part[#1]#2{%
  \ifnum \c@secnumdepth >\m@ne
    \refstepcounter{part}%
    \addcontentsline{toc}{part}{%
       \prepartname\thepart\postpartname\hspace{1zw}#1}%
  \else
    \addcontentsline{toc}{part}{#1}%
  \fi
  \markboth{}{}%
  {\parindent\z@\raggedright
   \interlinepenalty\@M\reset@font
   \ifnum \c@secnumdepth >\m@ne
     \Large\bfseries\prepartname\thepart\postpartname
     \par\nobreak
   \fi
   \huge\bfseries#2\par}%
  \nobreak\vskip3ex\@afterheading}
\def\@spart#1{{%
  \parindent\z@\raggedright
  \interlinepenalty\@M\reset@font
  \huge\bfseries#1\par}%
  \nobreak\vskip3ex\@afterheading}




%% 11字ドリ
\long\def\SECTkintou#1{%
\settowidth{\@tempdima}{#1}%
\@SECTkintou{\@tempdima}{#1}}

\long\def\@SECTkintou#1#2{%
\ifdim#1<1.2zw %\protect\kintou{7zw}
{#2}\else%
\ifdim#1<2.4zw
     \protect\kintou{3zw}{#2}\else%
\ifdim#1<3.4zw
     \protect\kintou{5zw}{#2}\else%
\ifdim#1<4.4zw
     \protect\kintou{5zw}{#2}\else%
%\ifdim#1<5.4zw
%     \protect\kintou{7zw}{#2}\else%
%\ifdim#1<6.4zw
%     \protect\kintou{7zw}{#2}\else%
%\ifdim#1<7.4zw
%     \protect\kintou{7zw}{#2}\else%
%\ifdim#1<8.4zw
%     \protect\SECTkintouI{7zw}{#2}\else%
%\ifdim#1<9.4zw
%     \protect\SECTkintouI{7zw}{#2}\else%
%\ifdim#1<10.4zw
%     \protect\SECTkintouI{7zw}{#2}\else%
%\ifdim#1<11.4zw
%     \protect\SECTkintouI{7zw}{#2}\else%
%\hbox
%{\kanjiskip=0zw plus.4pt minus.5pt#2}%
{%\kanjiskip=0pt plus 1fill minus 1fill
%\xkanjiskip=\kanjiskip
#2}%
\fi\fi\fi\fi%\fi\fi\fi%\fi\fi\fi\fi%
}




%%%%%%%%%%%%%%%%%%%%%%%%%% startsection %%%%%
\newdimen\MIDASIdimen
\newbox\@tempboxa
\newbox\@tempboxb

\newdimen\SECTht
\newdimen\SECTwd



\ifnum\@lang=\@ne
%%% 英文用 startsection

\def\@startsection#1#2#3#4#5#6{\if@noskipsec \leavevmode \fi
   \par \@tempskipa #4\relax
   \@afterindenttrue
   \ifdim \@tempskipa <\z@ \@tempskipa -\@tempskipa \@afterindentfalse\fi %% >
   \if@nobreak
    \everypar{}%
   \else
    \addpenalty\@secpenalty
     \ifnum #2=\@ne
       \vskip-\prevdepth \prevdepth\z@ \vskip\Cvs
       \advance\@tempskipa-\Cvs \vspace*{\@tempskipa}%
     \else
      \addvspace\@tempskipa
     \fi
   \fi
 \@ifstar{\@ssect{#3}{#4}{#5}{#6}}{\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}



\def\@sect#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
    \let\@svsec\@empty
  \else
    \refstepcounter{#1}%
    \protected@edef\@svsec{\@seccntformat{#1}\relax}%
  \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa>\z@
%%%%
 \setbox\@tempboxb\hbox{\large\sf#6{%
      \@hangfrom{%
%\hangindent=\wd\@tempboxa\hangafter=-10
\hskip #3\relax{\csname #2@font\endcsname \@svsec}}}}%\the\wd\@tempboxb
\setbox\SECTwd=\hbox{%
\begingroup\noindent
    #6{%
      \@hangfrom{%
%\hangindent=\wd\@tempboxa\hangafter=-10
\hskip #3\relax{\csname #2@font\endcsname \@svsec}}%あ%
       \interlinepenalty \@M %\@secjidori
\shortstack[l]{%
%\noindent\box\@tempboxa
\noindent
#8}\@@par}%
   \endgroup
}
%%%%
  \ifdim \wd\SECTwd > \columnwidth
%%%% 片段より長いときで、強制改行をしない場合
%    \begingroup
   \noindent%\parbox[t]{\columnwidth}
{\begingroup\noindent
      #6{%
        \@hangfrom{\hskip #3\relax\@svsec}%
          \interlinepenalty \@M 
\noindent\hangindent\wd\@tempboxb\hangafter=1
#8\@@par}%
    \endgroup}
\else
    \noindent\begingroup\noindent%\hfil
\hfil%
%%%% 片段より長いときで、強制改行をする場合
\ifdim\ht\SECTwd >\baselineskip
%%%%%%
\parbox[t]{\wd\SECTwd}{%
      #6{%\pushtowall{★★}%
        \@hangfrom{\hskip #3\relax\@svsec}%
          \interlinepenalty \@M
#8\@@par}\addvspace{.35\Cvs}}%
    \endgroup
%%%%%%
\else
%%%%%%
\parbox[t]{\wd\SECTwd}{%
      #6{%\pushtowall{@}%
        \@hangfrom{\hskip #3\relax\@svsec}%
          \interlinepenalty \@M
#8\@@par}}%
    \endgroup
%%%%%%
\fi
\fi
    \csname #1mark\endcsname{#7}%
    \addcontentsline{toc}{#1}{%
      \ifnum #2>\c@secnumdepth \else
        \protect\numberline{\csname the#1\endcsname}%
      \fi
      #7}%
  \else
    \def\@svsechd{%
      #6{\hskip #3\relax
      \@svsec #8}%
      \csname #1mark\endcsname{#7}%
      \addcontentsline{toc}{#1}{%
        \ifnum #2>\c@secnumdepth \else
          \protect\numberline{\csname the#1\endcsname}%
        \fi
        #7}}%
  \fi
  \@xsect{#5}}
\def\@xsect#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa>\z@
    \par \nobreak
    \vskip \@tempskipa
    \@afterheading
  \else
    \@nobreakfalse
    \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
       {\setbox\z@\lastbox}%
        \clubpenalty\@M
        \begingroup \@svsechd \endgroup
        \unskip
        \@tempskipa #1\relax
        \hskip -\@tempskipa
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
  \fi
  \ignorespaces}
\def\@seccntformat#1{\sf\csname the#1\endcsname\quad}


\def\@ssect#1#2#3#4#5{%
  \@tempskipa #3\relax
  \ifdim \@tempskipa>\z@
%%%
\setbox\SECTwd=\hbox{%
\begingroup\noindent
      #4{%
        \@hangfrom{\hskip #1}%
          \interlinepenalty \@M %
\shortstack[l]{
\noindent
#5}\@@par}%
    \endgroup
}
%%

%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  \ifdim \wd\SECTwd > \columnwidth
   \noindent%
{\begingroup
      #4{%
        \@hangfrom{\hskip #1}%
          \interlinepenalty \@M 
\noindent%\hangindent\wd\@tempboxb\hangafter=1
#5\@@par}%
    \endgroup}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\else
    \noindent\begingroup\hfil
      #4{%
        \@hangfrom{\hskip #1}%
          \interlinepenalty \@M \SECTkintouI{#5}\@@par}%
    \endgroup
\fi
  \else
    \def\@svsechd{#4{\hskip #1\relax #5}}%
  \fi
  \@xsect{#3}}




%\newif\if@afterindent \@afterindenttrue
%\def\@afterheading{%
%  \@nobreaktrue
%  \everypar{%
%    \if@nobreak
%      \@nobreakfalse
%      \clubpenalty \@M
%      \if@afterindent \else
%        {\setbox\z@\lastbox}%
%      \fi
%    \else
%      \clubpenalty \@clubpenalty
%      \everypar{}%
%    \fi}}
%\def\@hangfrom#1{\setbox\@tempboxa\hbox{{#1}}%
%      \hangindent \wd\@tempboxa\noindent\box\@tempboxa}

%%% 英文の\section は、数字 ヘルベ、文 ボールド
%%% 上下間隔を調整
 \newcommand{\section}{\@startsection{section}{1}{0zw}%
%   {.5\Cvs \@plus.1mm \@minus.1mm}%
%   {.85\Cvs \@plus.1mm \@minus.1mm}%
% v1.91
   {.7\Cvs \@plus.1mm \@minus.1mm}%
   {.4\Cvs \@plus.1mm \@minus.1mm}%
   {\reset@font\large%\slshape
%\bfseries%\FutogoXvi%\HelveXvi
%\gt\sffamily
\bfseries
\mathversion{bold}%
%\baselineskip20H
}}

\else
%%% 和文用 startsection
\def\@startsection#1#2#3#4#5#6{\if@noskipsec \leavevmode \fi
   \par \@tempskipa #4\relax
   \@afterindenttrue
   \ifdim \@tempskipa <\z@ \@tempskipa -\@tempskipa \@afterindentfalse\fi %% >
   \if@nobreak
    \everypar{}%
   \else
    \addpenalty\@secpenalty
     \ifnum #2=\@ne
       \vskip-\prevdepth \prevdepth\z@ \vskip\Cvs
       \advance\@tempskipa-\Cvs \vspace*{\@tempskipa}%
     \else
      \addvspace\@tempskipa
     \fi
   \fi
 \@ifstar{\@ssect{#3}{#4}{#5}{#6}}{\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}


\def\@sect#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
    \let\@svsec\@empty
  \else
    \refstepcounter{#1}%
    \protected@edef\@svsec{\@seccntformat{#1}\relax}%
  \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa>\z@
%%%%
 \setbox\@tempboxb\hbox{
\if@epaper
\large\bf
\else
\large\sf
\fi
#6{%
      \@hangfrom{%
%\hangindent=\wd\@tempboxa\hangafter=-10
\hskip #3\relax{\csname #2@font\endcsname \@svsec}}}}%\the\wd\@tempboxb
\setbox\SECTwd=\hbox{%
\begingroup\noindent
    #6{%
      \@hangfrom{%
%\hangindent=\wd\@tempboxa\hangafter=-10
\hskip #3\relax{\csname #2@font\endcsname \@svsec}}%あ%
       \interlinepenalty \@M %\@secjidori
\shortstack[l]{%
%\noindent\box\@tempboxa
\noindent
#8}\@@par}%
   \endgroup
}
%%%%
  \ifdim \wd\SECTwd > \columnwidth
%    \begingroup
   \noindent%\parbox[t]{\columnwidth}
{\begingroup\noindent
      #6{%
        \@hangfrom{\hskip #3\relax\@svsec}%
          \interlinepenalty \@M 
\noindent\hangindent\wd\@tempboxb\hangafter=1
#8\@@par}%
    \endgroup}
\else
    \noindent\begingroup\noindent\hfil
      #6{%
        \@hangfrom{\hskip #3\relax\@svsec}%
          \interlinepenalty \@M 
\SECTkintouI{#8}\@@par}%
    \endgroup
\fi
    \csname #1mark\endcsname{#7}%
    \addcontentsline{toc}{#1}{%
      \ifnum #2>\c@secnumdepth \else
        \protect\numberline{\csname the#1\endcsname}%
      \fi
      #7}%
  \else
    \def\@svsechd{%
      #6{\hskip #3\relax
      \@svsec #8}%
      \csname #1mark\endcsname{#7}%
      \addcontentsline{toc}{#1}{%
        \ifnum #2>\c@secnumdepth \else
          \protect\numberline{\csname the#1\endcsname}%
        \fi
        #7}}%
  \fi
  \@xsect{#5}}
\def\@xsect#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa>\z@
    \par \nobreak
    \vskip \@tempskipa
    \@afterheading
  \else
    \@nobreakfalse
    \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
       {\setbox\z@\lastbox}%
        \clubpenalty\@M
        \begingroup \@svsechd \endgroup
        \unskip
        \@tempskipa #1\relax
        \hskip -\@tempskipa
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
  \fi
  \ignorespaces}
\def\@seccntformat#1{
\if@epaper
\bf\csname the#1\endcsname\quad
\else
\sf\csname the#1\endcsname\quad
\fi
}

\def\@ssect#1#2#3#4#5{%
  \@tempskipa #3\relax
  \ifdim \@tempskipa>\z@
%%%
\setbox\SECTwd=\hbox{%
\begingroup\noindent
      #4{%
        \@hangfrom{\hskip #1}%
          \interlinepenalty \@M %
\shortstack[l]{
\noindent
#5}\@@par}%
    \endgroup
}
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  \ifdim \wd\SECTwd > \columnwidth
   \noindent%
{\begingroup
      #4{%
        \@hangfrom{\hskip #1}%
          \interlinepenalty \@M 
\noindent%\hangindent\wd\@tempboxb\hangafter=1
#5\@@par}%
    \endgroup}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\else
    \noindent\begingroup\hfil
      #4{%
        \@hangfrom{\hskip #1}%
          \interlinepenalty \@M 
\if@epaper
#5
\else
\SECTkintouI{#5}
\fi
\@@par}%
    \endgroup
\fi
  \else
    \def\@svsechd{#4{\hskip #1\relax #5}}%
  \fi
  \@xsect{#3}}


%%%%% 和文もカウンタはヘルべ、見出し文字はゴシック、欧文はボールド
%%% 上下間隔を調整
 \newcommand{\section}{\@startsection{section}{1}{0zw}%
 %  {.5\Cvs \@plus.1mm \@minus.1mm}%
 %  {.5\Cvs \@plus.1mm \@minus.1mm}%
 % v.91
   {.8\Cvs \@plus.1mm \@minus1mm}%
   {.4\Cvs \@plus.1mm \@minus1mm}%
   {\reset@font\large%\slshape
%\bfseries%\FutogoXvi%\HelveXvi
%\gt\sffamily
\bfseries
\mathversion{bold}%
%\baselineskip20H
}}

\fi %% startsection 切替え終わり



\newif\if@afterindent \@afterindenttrue
\def\@afterheading{%
  \@nobreaktrue
  \everypar{%
    \if@nobreak
      \@nobreakfalse
      \clubpenalty \@M
      \if@afterindent \else
        {\setbox\z@\lastbox}%
      \fi
    \else
      \clubpenalty \@clubpenalty
      \everypar{}%
    \fi}}
\def\@hangfrom#1{\setbox\@tempboxa\hbox{{#1}}%
      \hangindent \wd\@tempboxa\noindent\box\@tempboxa}




\ifnum\@lang=1
%%% English
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% !!!
%%% subsect
\def\@startsectionB#1#2#3#4#5#6{%
  \if@noskipsec \leavevmode \fi
  \par
  \@tempskipa #4\relax
  \@afterindenttrue
  \ifdim \@tempskipa <\z@
    \@tempskipa -\@tempskipa \@afterindentfalse
  \fi
  \if@nobreak
    \everypar{}%
  \else
    \addpenalty\@secpenalty
%%%%
     \ifnum #2=\@ne
       \vskip-\prevdepth \prevdepth\z@ \vskip\Cvs
       \advance\@tempskipa-\Cvs \vspace*{\@tempskipa}%
     \else
%%%
\addvspace\@tempskipa
    \fi
  \fi
  \@ifstar
    {\@ssectB{#3}{#4}{#5}{#6}}%
    {\@dblarg{\@sectB{#1}{#2}{#3}{#4}{#5}{#6}}}}

\def\@sectB#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
    \let\@svsecB\@empty
  \else
    \refstepcounter{#1}%
    \protected@edef\@svsecB{\@seccntformatB{#1}\relax}%
  \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa>\z@
    \begingroup
      #6{%
        \@hangfrom{\hskip #3\relax\@svsecB}%
          \interlinepenalty \@M #8\@@par}%
    \endgroup
    \csname #1mark\endcsname{#7}%
    \addcontentsline{toc}{#1}{%
      \ifnum #2>\c@secnumdepth \else
        \protect\numberline{\csname the#1\endcsname}%
      \fi
      #7}%
  \else
    \def\@svsechd{%
      #6{\hskip #3\relax
      \@svsecB #8}%
      \csname #1mark\endcsname{#7}%
      \addcontentsline{toc}{#1}{%
        \ifnum #2>\c@secnumdepth \else
          \protect\numberline{\csname the#1\endcsname}%
        \fi
        #7}}%
  \fi
  \@xsectB{#5}}
\def\@xsectB#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa>\z@
    \par \nobreak
    \vskip \@tempskipa
    \@afterheading
  \else
    \@nobreakfalse
    \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
       {\setbox\z@\lastbox}%
        \clubpenalty\@M
        \begingroup \@svsechd \endgroup
        \unskip
        \@tempskipa #1\relax
        \hskip -\@tempskipa
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
  \fi
  \ignorespaces}
\def\@seccntformatB#1{
\if@epaper
\bf
\else
\sf
\fi
\csname the#1\endcsname\quad}
\def\@ssectB#1#2#3#4#5{%
  \@tempskipa #3\relax
  \ifdim \@tempskipa>\z@
    \begingroup
      #4{%
        \@hangfrom{\hskip #1}%
          \interlinepenalty \@M #5\@@par}%
    \endgroup
  \else
    \def\@svsechdB{#4{\hskip #1\relax #5}}%
  \fi
  \@xsect{#3}}


\newcommand{\subsection}{\@startsectionB{subsection}{2}{1zw}%
%%   {1.5\Cvs \@plus.5\Cdp \@minus.2\Cdp}%
%%   {.5\Cvs \@plus.3\Cdp}%
%%   {.00001\Cvs \@plus.1mm \@minus.1mm}%
% v1.91b
   {.6\Cvs \@plus.1mm \@minus1mm}%
   {.00001\Cvs \@plus.1mm \@minus1mm}%
   %{\reset@font\normalsize\gt\bfseries}}
   {\reset@font\normalsize\gt\bfseries\baselineskip16H}}





\else
%% 日本語 Japanese
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% !!!
%%% subsect
\def\@startsectionB#1#2#3#4#5#6{%
  \if@noskipsec \leavevmode \fi
  \par
  \@tempskipa #4\relax
  \@afterindenttrue
  \ifdim \@tempskipa <\z@
    \@tempskipa -\@tempskipa \@afterindentfalse
  \fi
  \if@nobreak
    \everypar{}%
  \else
    \addpenalty\@secpenalty
%%%%
     \ifnum #2=\@ne
       \vskip-\prevdepth \prevdepth\z@ \vskip\Cvs
       \advance\@tempskipa-\Cvs \vspace*{\@tempskipa}%
     \else
%%%
\addvspace\@tempskipa
    \fi
  \fi
  \@ifstar
    {\@ssectB{#3}{#4}{#5}{#6}}%
    {\@dblarg{\@sectB{#1}{#2}{#3}{#4}{#5}{#6}}}}

\def\@sectB#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
    \let\@svsecB\@empty
  \else
    \refstepcounter{#1}%
    \protected@edef\@svsecB{\@seccntformatB{#1}\relax}%
  \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa>\z@
    \begingroup
      #6{%
        \@hangfrom{\hskip #3\relax\@svsecB}%
          \interlinepenalty \@M #8\@@par}%
    \endgroup
    \csname #1mark\endcsname{#7}%
    \addcontentsline{toc}{#1}{%
      \ifnum #2>\c@secnumdepth \else
        \protect\numberline{\csname the#1\endcsname}%
      \fi
      #7}%
  \else
    \def\@svsechd{%
      #6{\hskip #3\relax
      \@svsecB #8}%
      \csname #1mark\endcsname{#7}%
      \addcontentsline{toc}{#1}{%
        \ifnum #2>\c@secnumdepth \else
          \protect\numberline{\csname the#1\endcsname}%
        \fi
        #7}}%
  \fi
  \@xsectB{#5}}
\def\@xsectB#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa>\z@
    \par \nobreak
    \vskip \@tempskipa
    \@afterheading
  \else
    \@nobreakfalse
    \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
       {\setbox\z@\lastbox}%
        \clubpenalty\@M
        \begingroup \@svsechd \endgroup
        \unskip
        \@tempskipa #1\relax
        \hskip -\@tempskipa
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
  \fi
  \ignorespaces}
\def\@seccntformatB#1{
\if@epaper
\bf
\else
\sf
\fi
\csname the#1\endcsname\quad}
\def\@ssectB#1#2#3#4#5{%
  \@tempskipa #3\relax
  \ifdim \@tempskipa>\z@
    \begingroup
      #4{%
        \@hangfrom{\hskip #1}%
          \interlinepenalty \@M #5\@@par}%
    \endgroup
  \else
    \def\@svsechdB{#4{\hskip #1\relax #5}}%
  \fi
  \@xsect{#3}}


\newcommand{\subsection}{\@startsectionB{subsection}{2}{1zw}%
%%   {1.5\Cvs \@plus.5\Cdp \@minus.2\Cdp}%
%%   {.5\Cvs \@plus.3\Cdp}%
%   {.00001\Cvs \@plus.1mm \@minus.1mm}%
%   {.00001\Cvs \@plus.1mm \@minus.1mm}%
%   {.00001\Cvs \@plus.1mm \@minus.1mm}%
% v1.91b
   {.6\Cvs \@plus.1mm \@minus-1mm}%
   {.00001\Cvs \@plus.1mm \@minus.1mm}%
   %{\reset@font\normalsize\bfseries}}
   {\reset@font\normalsize\bfseries\baselineskip16H}}

\fi 
%%%%%% 切替え終わり





\newcommand{\subsubsection}{\@startsectionB{subsubsection}{3}{1zw}%
   {.00001\Cvs \@plus.1mm \@minus.1mm}%
   {.00001\Cvs \@plus.1mm \@minus.1mm}%
   {\reset@font\normalsize\bfseries}}
%   {1.5\Cvs \@plus.5\Cdp \@minus.2\Cdp}%
%   {.5\Cvs \@plus.3\Cdp}%
%   {\reset@font\normalsize\bfseries}}



\newcommand{\paragraph}{\@startsection{paragraph}{4}{\z@}%
   {3.25ex \@plus 1ex \@minus .2ex}%
   {-1em}%
   {\reset@font\normalsize\bfseries}}
\newcommand{\subparagraph}{\@startsection{subparagraph}{5}{\z@}%
   {3.25ex \@plus 1ex \@minus .2ex}%
   {-1em}%
   {\reset@font\normalsize\bfseries}}


\newcommand{\appendix}{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \renewcommand{\thesection}{{\bfseries 付\hskip1zw録}\hskip1zw\@Alph\c@section}%
  \setcounter{equation}{0}%
  \renewcommand{\theequation}{付A--\@arabic\c@equation}%

%
\renewcommand{\figurename}{付図A.\,}
\renewcommand{\thefigure}{\@arabic\c@figure}
\def\fnum@efigure{app.Fig.\,\thefigure}
  \setcounter{figure}{0}%
\renewcommand{\tablename}{付表A.\,}
\def\fnum@etable{app.Table~\thetable}
  \setcounter{table}{0}%
}


\if@twocolumn
  \setlength\leftmargini {2em}
\else
  \setlength\leftmargini {2.5em}
\fi
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv {.5em}
  \setlength\leftmarginvi{.5em}
\else
  \setlength\leftmarginv {1em}
  \setlength\leftmarginvi{1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand{\theenumi}{\@arabic\c@enumi}
\renewcommand{\theenumii}{\@alph\c@enumii}
\renewcommand{\theenumiii}{\@roman\c@enumiii}
\renewcommand{\theenumiv}{\@Alph\c@enumiv}
\newcommand{\labelenumi}{\theenumi.}
\newcommand{\labelenumii}{(\theenumii)}
\newcommand{\labelenumiii}{\theenumiii.}
\newcommand{\labelenumiv}{\theenumiv.}
\renewcommand{\p@enumii}{\theenumi}
\renewcommand{\p@enumiii}{\theenumi(\theenumii)}
\renewcommand{\p@enumiv}{\p@enumiii\theenumiii}

\renewenvironment{enumerate}
  {\ifnum \@enumdepth >\thr@@\@toodeep\else
   \advance\@enumdepth\@ne
   \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
   \list{\csname label\@enumctr\endcsname}{%
      \iftdir
         \ifnum \@listdepth=\@ne \topsep.5\normalbaselineskip
           \else\topsep\z@\fi
         \parskip\z@ \itemsep\z@ \parsep\z@
         \labelwidth1zw \labelsep.3zw
         \ifnum \@enumdepth=\@ne \leftmargin1zw\relax
           \else\leftmargin\leftskip\fi
         \advance\leftmargin 1zw
      \fi
         \usecounter{\@enumctr}%
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}

\renewenvironment{enumerate}
  {%% <
   \ifnum \@enumdepth >3\relax\@toodeep\else
    \advance\@enumdepth\@ne
    \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
    \list{\csname label\@enumctr\endcsname}{%
%     \leftmargin\z@
%     \labelwidth2zw
%     \labelsep1zw
%     \itemindent4zw
%     \listparindent1zw
     \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
     \clubpenalty-200
     \usecounter{\@enumctr}%
     \def\makelabel##1{\hss\llap{##1}}}%
    \fi}{\endlist}

\newcommand{\labelitemi}{\textbullet}
\newcommand{\labelitemii}{%
  \iftdir
     {\textcircled{~}}
  \else
     {\normalfont\bfseries\textendash}
  \fi
}
\newcommand{\labelitemiii}{\textasteriskcentered}
\newcommand{\labelitemiv}{\textperiodcentered}
\renewenvironment{itemize}
  {\ifnum \@itemdepth >\thr@@\@toodeep\else
   \advance\@itemdepth\@ne
   \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
   \expandafter
   \list{\csname \@itemitem\endcsname}{%
      \iftdir
         \ifnum \@listdepth=\@ne \topsep.5\normalbaselineskip
         %\ifnum \@listdepth=\@ne \topsep.1\normalbaselineskip
           \else\topsep\z@\fi
         \parskip\z@ \itemsep\z@ \parsep\z@
         %\parskip2pt \itemsep0em \parsep0em
         \labelwidth1zw \labelsep.3zw
         \ifnum \@itemdepth =\@ne \leftmargin1zw\relax
           \else\leftmargin\leftskip\fi
         \advance\leftmargin 1zw
      \fi
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}


\newenvironment{description}
  {\list{}{\labelwidth\z@ \itemindent-\leftmargin
   \iftdir
     \leftmargin\leftskip \advance\leftmargin3\Cwd
     \rightmargin\rightskip
     \labelsep=1zw \itemsep\z@
     \listparindent\z@ \topskip\z@ \parskip\z@ \partopsep\z@
%%%%%
\topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
%%%%
   \fi
\leftmargin\z@
  \itemindent-\leftmargin
\topsep\z@\parsep\z@\partopsep\z@\itemsep\z@\labelsep.5zw\listparindent1zw
           \let\makelabel\descriptionlabel}}{\endlist}

% itemize2 
\newenvironment{itemize2}
  {\list{}
{
\setlength{\itemindent}{0pt}
\setlength{\leftmargin}{2.5zw}
\setlength{\rightmargin}{0zw}
\setlength{\topsep}{2pt}
\setlength{\partopsep}{5pt}
\setlength{\labelsep}{.3zw}
\setlength{\labelwidth}{4zw}
\setlength{\itemsep}{2pt}
\setlength{\parsep}{0em}
\setlength{\listparindent}{0zw}
}
}{\endlist}






\newcommand{\descriptionlabel}[1]{%
   \hspace\labelsep\normalfont\bfseries #1}
\newenvironment{verse}
  {\let\\\@centercr
   \list{}{\itemsep\z@ \itemindent -1.5em%
           \listparindent\itemindent
           \rightmargin\leftmargin \advance\leftmargin 1.5em}%
           \item\relax}{\endlist}
\newenvironment{quotation}
  {\list{}{\listparindent 1.5em%
           \itemindent\listparindent
           \rightmargin\leftmargin
           \parsep\z@ \@plus\p@}%
           \item\relax}{\endlist}
\newenvironment{quote}
  {\list{}{\rightmargin\leftmargin}%
           \item\relax}{\endlist}



%%%%% from latex.ltx
\def \@floatboxreset {%
        \reset@font
        \small\baselineskip14H%%%=10Q X 14H 送り
        \@setminipage
}



\newcounter{figure}
\renewcommand{\thefigure}{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}

\def\fnum@efigure{Fig.\,\thefigure}
%\def\ext@efigure{lof}
\ifnum\@lang=1
\def\fnum@figure{Fig.\,\thefigure}
\else
\if@epaper
\def\fnum@figure{\figurename\,%\hskip.5zw
\thefigure}
\else
\def\fnum@figure{\figurename~%\hskip.5zw
\thefigure}
\fi
\fi


%%% キャプション図のアキ3mm (\abovecaptionskip1.25mmとしないと合わない)
\newenvironment{figure}
               {\abovecaptionskip1.25mm\belowcaptionskip\z@\aboveEcaptionskip4H\belowEcaptionskip\z@\let\center=\Center\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\abovecaptionskip1.25mm\belowcaptionskip\z@\aboveEcaptionskip4H\belowEcaptionskip\z@\let\center=\Center\capwidth.66\textwidth\@dblfloat{figure}}
               {\end@dblfloat}

\newcounter{table}
%\renewcommand{\thetable}{\ifnum\c@chapter>\z@\thechapter.\fi\@arabic\c@table}
\renewcommand{\thetable}{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}

\ifnum\@lang=1
\def\fnum@table{Table~\thetable}
\else
\def\fnum@table{\tablename~\thetable}
\fi

\def\fnum@etable{Table~\thetable}


\newenvironment{table}
               {\abovecaptionskip\z@\belowcaptionskip1mm\aboveEcaptionskip\z@\belowEcaptionskip5H\let\center=\Center\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}


\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}


%%% \ecaption 用
\newlength\aboveEcaptionskip
\newlength\belowEcaptionskip
\setlength\aboveEcaptionskip{10\p@}
\setlength\belowEcaptionskip{0\p@}



%%%
\def\KAIgyo{\protect\\}


\def\caption{%
   \ifx\@captype\@undefined
     \@latex@error{\noexpand\caption outside float}\@ehd
     \expandafter\@gobble
   \else
     \refstepcounter\@captype
     \expandafter\@firstofone
   \fi
   {\@dblarg{\@caption\@captype}}%
}

\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \iftdir\sbox\@tempboxa{#1\hskip1zw#2}%
    \else\sbox\@tempboxa{#1: #2}%
  \fi
  \ifdim \wd\@tempboxa >\hsize
    \iftdir #1\hskip1zw#2\relax\par
      \else #1: #2\relax\par\fi
  \else
    \global \@minipagefalse
    \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}





%\newdimen\CAPkeisan
%\setbox\CAPkeisan=\hbox{{\small\textgt\fontfamily{phv}\fontseries{m}\selectfont\thefigure}\hskip1zw}

\newdimen\capwidth
%\capwidth=183pt%253H% \advance \capwidth by -\wd\CAPkeisan  %★ 10Q X 253H
% henkou 
\capwidth=230pt%253H% \advance \capwidth by -\wd\CAPkeisan  %★ 10Q X 253H


\ifnum\@lang=1
\typeout{# lang mode(sanbi) lang=1}
\long\def\@makecaption#1#2{\reset@font\small\baselineskip14\h%
\vskip\abovecaptionskip 
 \setbox\@tempboxa\hbox{{\small\gt%
\bfseries%
%\fontfamily{phv}\fontseries{m}\selectfont
#1\hskip1zw}\shortstack[l]{#2}}%
 \@tempdima\ht\@tempboxa \advance \@tempdima \dp\@tempboxa
 \setbox\@tempboxb\hbox{{\small\gt%
\bfseries%
%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw}%% <<
%\capwidth=253H
%\capwidth=24zw 
%\addtolength{\capwidth}{-\wd\@tempboxb}
 \ifdim \@tempdima > \baselineskip
  \ifdim \wd\@tempboxa > \capwidth
   \hfil\parbox[t]{\capwidth}{\small\baselineskip14\h\hangindent\wd\@tempboxb 
    {\small\gt%
\bfseries%
%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw #2}%\vskip2\@Q
  \else
   \hfil\parbox[t]{\wd\@tempboxa}{\small%\gt
\baselineskip14\h\hangindent\wd\@tempboxb
{\small\gt%
\bfseries%
%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw #2}%\vskip2\@Q
  \fi
 \else %% <
  \ifdim \wd\@tempboxa > \capwidth
   \hfil\parbox[t]{\capwidth}{\small%\gt
\baselineskip14\h\hangindent\wd\@tempboxb% 
    {\small\gt%
\bfseries%
%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw #2}%
  \else
   \setbox\@tempboxb\hbox{#2}%
   \ifdim \wd\@tempboxb < 4.5zw %% >
    \hbox to\hsize{\hfil {\small\gt%
\bfseries%
%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw#2\hfil}%
   \else
%    \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
{\hfil\box\@tempboxa\hfil}\vskip-4H
   \fi
  \fi
 \fi
\vskip\belowcaptionskip
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\else
%\typeout{# lang mode(sanbi) lang=0}
\long\def\@makecaption#1#2{\reset@font\small\baselineskip14\h%
\vskip\abovecaptionskip 
% v1.91a
\if@epaper
  \setbox\@tempboxa\hbox{{\small\gt\bfseries%
#1\hskip1zw}\shortstack[l]{#2}}%
\else
  \setbox\@tempboxa\hbox{{\small\gt%\bfseries
\fontfamily{phv}\fontseries{m}\selectfont#1\hskip1zw}\shortstack[l]{#2}}%
\fi
 \@tempdima\ht\@tempboxa \advance \@tempdima \dp\@tempboxa
\if@epaper
  \setbox\@tempboxb\hbox{{\small\gt\bfseries
#1}\hskip1zw}%% <<
\else
 \setbox\@tempboxb\hbox{{\small\gt%\bfseries
\fontfamily{phv}\fontseries{m}\selectfont#1}\hskip1zw}%% <<
\fi
%\capwidth=253H
%\capwidth=24zw 
%\addtolength{\capwidth}{-\wd\@tempboxb}
 \ifdim \@tempdima > \baselineskip
  \ifdim \wd\@tempboxa > \capwidth
\if@epaper
   \hfil\parbox[t]{\capwidth}{\small\baselineskip14\h\hangindent\wd\@tempboxb 
    {\small\gt\bfseries
%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw #2}%\vskip2\@Q
\else
   \hfil\parbox[t]{\capwidth}{\small\baselineskip14\h\hangindent\wd\@tempboxb 
    {\small\gt%\bfseries
\fontfamily{phv}\fontseries{m}\selectfont#1}\hskip1zw #2}%\vskip2\@Q
\fi
  \else
   \hfil\parbox[t]{\wd\@tempboxa}{\small%\gt
\baselineskip14\h\hangindent\wd\@tempboxb
\if@epaper
{\small\gt\bfseries
%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw #2}%\vskip2\@Q
\else
%{\small\gt%\bfseries
%\fontfamily{phv}\fontseries{m}\selectfont#1}\hskip1zw #2}%\vskip2\@Q
\fi
  \fi
 \else %% <
  \ifdim \wd\@tempboxa > \capwidth
\if@epaper
   \hfil\parbox[t]{\capwidth}{\small%\gt
\baselineskip14\h\hangindent\wd\@tempboxb% 
%% koko
%ggggggg
    {\small\gt\bfseries
%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw #2}%
\else
   \hfil\parbox[t]{\capwidth}{\small%\gt
\baselineskip14\h\hangindent\wd\@tempboxb% 
    {\small\gt%\bfseries
\fontfamily{phv}\fontseries{m}\selectfont#1}\hskip1zw #2}%
\fi
  \else
   \setbox\@tempboxb\hbox{#2}%
   \ifdim \wd\@tempboxb < 4.5zw %% >
\if@epaper
    \hbox to\hsize{\hfil {\small\gt\bfseries
%\fontfamily{phv}\fontseries{m}\selectfont
%#1}aaaaaa\hskip1zw#2\hfil}%
#1}\hskip1zw#2\hfil}%
\else
    \hbox to\hsize{\hfil {\small\gt%\bfseries
\fontfamily{phv}\fontseries{m}\selectfont#1}\hskip1zw#2\hfil}%
\fi
   \else
%    \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
{\hfil\box\@tempboxa\hfil}\vskip-4H
   \fi
  \fi
 \fi
\vskip\belowcaptionskip
}
\fi


\if@epaper
\else
\fi





\long\def\@caption#1[#2]#3{\bgroup\let\\\KAIgyo%
  \par
  \addcontentsline{\csname ext@#1\endcsname}{#1}%
    {\protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}%
  \begingroup%
    \@parboxrestore
    \if@minipage
      \@setminipage
    \fi
    \small%%%
    \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
  \endgroup\egroup}






%%% \ecaption 
\long\def\@makeecaption#1#2{\reset@font\small\baselineskip14\h%
\vskip\aboveEcaptionskip 
 \setbox\@tempboxa\hbox{{\small\gt\bfseries#1\hskip1zw}\shortstack[l]{#2}}%
 \@tempdima\ht\@tempboxa \advance \@tempdima \dp\@tempboxa
 \setbox\@tempboxb\hbox{{\small\gt\bfseries#1}\hskip1zw}%% <<
%\capwidth=253H
%\capwidth=24zw 
%\addtolength{\capwidth}{-\wd\@tempboxb}
 \ifdim \@tempdima > \baselineskip
  \ifdim \wd\@tempboxa > \capwidth
   \hfil\parbox[t]{\capwidth}{\small\baselineskip14\h\hangindent\wd\@tempboxb 
    {\small\gt\bfseries#1}\hskip1zw #2}%\vskip2\@Q
  \else
   \hfil\parbox[t]{\wd\@tempboxa}{\small%\gt\bfseries
\baselineskip14\h\hangindent\wd\@tempboxb
{\small\gt\bfseries#1}\hskip1zw #2}%\vskip2\@Q
  \fi
 \else %% <
  \ifdim \wd\@tempboxa > \capwidth
   \hfil\parbox[t]{\capwidth}{\small%\gt
\baselineskip14\h\hangindent\wd\@tempboxb% 
    {\small\gt\bfseries#1}\hskip1zw #2}%
  \else
   \setbox\@tempboxb\hbox{#2}%
   \ifdim \wd\@tempboxb < 4.5zw %% >
    \hbox to\hsize{\hfil {\small\gt\bfseries#1}\hskip1zw#2\hfil}%
   \else
    \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
   \fi
  \fi
 \fi
\vskip\belowEcaptionskip
}



\long\def\@ecaption#1[#2]#3{\bgroup\let\\\KAIgyo%
  \par
  \addcontentsline{\csname ext@#1\endcsname}{#1}%
    {\protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}%
  \begingroup
    \@parboxrestore
    \if@minipage
      \@setminipage
    \fi
    \small%%%
    \@makeecaption{\csname fnum@e#1\endcsname}{\ignorespaces #3}\par
  \endgroup\egroup}




\long\def\ecaption{%
%% \addtocounter{figure}{-1}
   \ifx\@captype\@undefined
     \@latex@error{\noexpand\ecaption outside float}\@ehd
     \expandafter\@gobble
   \else
%     \refstepcounter\@captype%%%% Fig と 図 が連動しないようにする
     \expandafter\@firstofone
   \fi
   {\@dblarg{\@ecaption\@captype}}%
}











\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{.5zw}%{6\p@}%%% 半角アキとした
\setlength\arrayrulewidth{.12mm}%{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.12mm}%{.4\p@}
%\renewcommand{\theequation}{\@arabic\c@equation}
%\renewcommand{\theequation}{(\@arabic\c@equation)}

%%\renewcommand{\theequation}{\@arabic\c@equation}

\if@enablejfam
  \DeclareSymbolFont{mincho}{JY1}{mc}{m}{n}
  \DeclareSymbolFontAlphabet{\mathmc}{mincho}
  \SetSymbolFont{mincho}{bold}{JY1}{gt}{m}{n}
  \DeclareMathAlphabet{\mathgt}{JY1}{gt}{m}{n}
  \reDeclareMathAlphabet{\mathrm}{\@mathrm}{\@mathmc}
  \reDeclareMathAlphabet{\mathbf}{\@mathbf}{\@mathgt}
  \jfam\symmincho
\else
  \DeclareRobustCommand{\mathmc}{%
    \@latex@error{Command \noexpand\mathmc invalid with\space
       `disablejfam' class option.}\@eha
  }
  \DeclareRobustCommand{\mathgt}{%
    \@latex@error{Command \noexpand\mathgt invalid with\space
       `disablejfam' class option.}\@eha
  }
\fi
\DeclareOldFontCommand{\mc}{\normalfont\mcfamily}{\mathmc}
\DeclareOldFontCommand{\gt}{\normalfont\gtfamily}{\mathgt}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*{\cal}{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*{\mit}{\@fontswitch\relax\mathnormal}
\setcounter{tocdepth}{3}
\newcommand{\@pnumwidth}{1.55em}
\newcommand{\@tocrmarg}{2.55em}
\newcommand{\@dotsep}{4.5}
\newdimen\toclineskip
\setlength\toclineskip{\z@}
\newdimen\@lnumwidth
\def\numberline#1{\hbox to\@lnumwidth{#1\hfil}}
\def\@dottedtocline#1#2#3#4#5{%
  \ifnum #1>\c@tocdepth \else
    \vskip\toclineskip \@plus.2\p@
    {\leftskip #2\relax \rightskip \@tocrmarg \parfillskip -\rightskip
     \parindent #2\relax\@afterindenttrue
     \interlinepenalty\@M
     \leavevmode
     \@lnumwidth #3\relax
     \advance\leftskip \@lnumwidth \hbox{}\hskip -\leftskip
     {#4}\nobreak
     \leaders\hbox{$\m@th \mkern \@dotsep mu.\mkern \@dotsep mu$}%
     \hfill\nobreak
     \hb@xt@\@pnumwidth{\hss\normalfont \normalcolor #5}%
     \par}%
  \fi}
\def\addcontentsline#1#2#3{%
  \protected@write\@auxout
    {\let\label\@gobble \let\index\@gobble \let\glossary\@gobble
\@temptokena{\thepage}}%
    {\string\@writefile{#1}%
       {\protect\contentsline{#2}{#3}{\the\@temptokena}}}%
}
\newcommand{\tableofcontents}{%
  \section*{\contentsname
    \@mkboth{\contentsname}{\contentsname}%
  }\@starttoc{toc}%
}
\newcommand*{\l@part}[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty{\@secpenalty}%
    \addvspace{2.25em \@plus\p@}%
    \begingroup
    \parindent\z@\rightskip\@pnumwidth
    \parfillskip-\@pnumwidth
    {\leavevmode\large\bfseries
     \setlength\@lnumwidth{4zw}%
     #1\hfil\nobreak
     \hbox to\@pnumwidth{\hss#2}}\par
    \nobreak
    \if@compatibility
    \global\@nobreaktrue
    \everypar{\global\@nobreakfalse\everypar{}}%
    \fi
     \endgroup
  \fi}
\newcommand*{\l@section}[2]{%
  \ifnum \c@tocdepth >\z@
    \addpenalty{\@secpenalty}%
    \addvspace{1.0em \@plus\p@}%
    \begingroup
      \parindent\z@ \rightskip\@pnumwidth \parfillskip-\rightskip
      \leavevmode\bfseries
      \setlength\@lnumwidth{1.5em}%
      \advance\leftskip\@lnumwidth \hskip-\leftskip
      #1\nobreak\hfil\nobreak\hbox to\@pnumwidth{\hss#2}\par
    \endgroup
  \fi}
\newcommand*{\l@subsection}   {\@dottedtocline{2}{1.5em}{2.3em}}
\newcommand*{\l@subsubsection}{\@dottedtocline{3}{3.8em}{3.2em}}
\newcommand*{\l@paragraph}    {\@dottedtocline{4}{7.0em}{4.1em}}
\newcommand*{\l@subparagraph} {\@dottedtocline{5}{10em}{5em}}
\newcommand{\listoffigures}{%
    \section*{\listfigurename
  \@mkboth{\listfigurename}{\listfigurename}}%
  \@starttoc{lof}%
}
\newcommand*{\l@figure}{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand{\listoftables}{%
    \section*{\listtablename
  \@mkboth{\listtablename}{\listtablename}}%
  \@starttoc{lot}%
}
\let\l@table\l@figure
\newdimen\bibindent
\setlength\bibindent{1.5em}
\newcommand{\newblock}{\hskip .11em\@plus.33em\@minus.07em}

\newenvironment{thebibliography}[1]
{\section*{\refname\@mkboth{\refname}{\refname}}%
%\footnotesize\baselineskip13H
\footnotesize\baselineskip16H
   \list{\@biblabel{\@arabic\c@enumiv}}%
        {\settowidth\labelwidth{\@biblabel{#1}}%
\topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
         \leftmargin\labelwidth
         \advance\leftmargin\labelsep
%v1.91
%\setlength\itemsep{0.15zh}
\setlength\itemsep{0.15zh}
\setlength\baselineskip{11pt}
%
         \@openbib@code
         \usecounter{enumiv}%
         \let\p@enumiv\@empty
         \renewcommand\theenumiv{\@arabic\c@enumiv}}%
   \sloppy
   \clubpenalty4000
   \@clubpenalty\clubpenalty
   \widowpenalty4000%
   \sfcode`\.\@m}
  {\def\@noitemerr
    {\@latex@warning{Empty `thebibliography' environment}}%
   \endlist}
\def\@biblabel#1{#1)}
\let\@openbib@code\@empty



\newdimen\mathindent
\AtEndOfClass{\mathindent2zw}% \leftmargini
\renewcommand\[{\relax
                \ifmmode\@badmath
                \else
   \topsep\abovedisplayskip
%                 \parsep  4\p@ \@plus2\p@ \@minus\p@
%                 \topsep  8\p@ \@plus2\p@ \@minus4\p@
%                 \itemsep 4\p@ \@plus2\p@ \@minus\p@
                  \begin{trivlist}%
                    \@beginparpenalty\predisplaypenalty
                    \@endparpenalty\postdisplaypenalty
                    \item[]\leavevmode
                    \hb@xt@\linewidth\bgroup $\m@th\displaystyle %$
                      \hskip\mathindent\bgroup
                \fi}
\renewcommand\]{\relax
                \ifmmode
                      \egroup $\hfil% $
                    \egroup
                  \end{trivlist}%
                \else \@badmath
                \fi}
\renewenvironment{equation}%
    {\@beginparpenalty\predisplaypenalty
     \@endparpenalty\postdisplaypenalty
     \refstepcounter{equation}%
   \topsep\abovedisplayskip
%     \parsep  4\p@ \@plus2\p@ \@minus\p@
%     \topsep  8\p@ \@plus2\p@ \@minus4\p@
%     \itemsep 4\p@ \@plus2\p@ \@minus\p@
     \trivlist \item[]\leavevmode
       \hb@xt@\linewidth\bgroup $\m@th% $
         \displaystyle
         \hskip\mathindent}%
        {$\hfil % $
         \displaywidth\linewidth\hbox{\@eqnnum}%
       \egroup
     \endtrivlist}
\renewenvironment{eqnarray}{%
    \stepcounter{equation}%
%    \parsep  4\p@ \@plus2\p@ \@minus\p@
%    \topsep  8\p@ \@plus2\p@ \@minus4\p@
%    \itemsep 4\p@ \@plus2\p@ \@minus\p@
%    \itemsep 10\p@ \@plus2\p@ \@minus\p@
   \topsep\abovedisplayskip
    \partopsep\z@
    \def\@currentlabel{\p@equation\theequation}%
    \global\@eqnswtrue\m@th
    \global\@eqcnt\z@
    \tabskip\mathindent
    \let\\=\@eqncr
    \setlength\abovedisplayskip{\topsep}%
    \ifvmode
      \addtolength\abovedisplayskip{\partopsep}%
    \fi
    \addtolength\abovedisplayskip{\parskip}%
    \setlength\belowdisplayskip{\abovedisplayskip}%
    \setlength\belowdisplayshortskip{\abovedisplayskip}%
    \setlength\abovedisplayshortskip{\abovedisplayskip}%
    $$\everycr{}\halign to\linewidth% $$
    \bgroup
    \hspace*{-0.3cm}
      \hskip\@centering
      %$\displaystyle\tabskip\z@skip{##}$\@eqnsel&%
      %AA $\displaystyle\tabskip\z@skip{##}$\@eqnsel&% % AA hajime
      \small $\displaystyle\tabskip\z@skip{##}$\@eqnsel&%
%      \global\@eqcnt\@ne \hskip.8\arraycolsep \hfil${##}$\hfil&%
%      \global\@eqcnt\tw@ \hskip.8\arraycolsep
  %     \global\@eqcnt\@ne \hfil AA ${##}$\hfil&% % AA owari
       \global\@eqcnt\@ne \hfil ${##}$\hfil&%
       \global\@eqcnt\tw@ 
%       \global\@eqcnt\@ne \hfil${##}$\hfil&%
%       \global\@eqcnt\tw@ 
%      \global\@eqcnt\@ne \hskip-.8\arraycolsep \hfil${##}$\hfil&%
%      \global\@eqcnt\tw@ \hskip-.8\arraycolsep
        $\displaystyle{##}$\hfil \tabskip\@centering&%
      \global\@eqcnt\thr@@
        \hb@xt@\z@\bgroup\hss##\egroup\tabskip\z@skip\cr}%
      {\@@eqncr
    \egroup
    \global\advance\c@equation\m@ne$$% $$
    \@ignoretrue
    }
%%\endinput
%%
%% End of file `fleqn.clo'.

% smallfont
%\def\@eqnnum{{\normalfont \normalcolor (\theequation)\hspace*{1zw}}}
%\def\@eqnnum{{\small \normalcolor (\theequation)\hspace*{1zw}}}
\def\@eqnnum{{\small \normalcolor \theequation\hspace*{1zw}}}


%
% affiliation width setting
%
% v1.91f
%\newcommand{\@affiwidth}{165mm}
\newcommand{\@affiwidth}{155mm}
%\newcommand{\@affiwidthen}{165mm}
%\newcommand{\@affiwidthen}{150mm}
%\newcommand{\@affiwidthen}{175mm}
\newcommand{\@affiwidthen}{155mm}
%\newcommand{\@affimarkwidth}{5mm}
\newcommand{\@affimarkwidth}{8mm}
% v1.91i
\newcommand{\@spaceaffimark}{0mm} % FFF
\newcommand{\@spaceenaffimark}{-5mm} % FFF




%## citesort.sty ##%%
%% from "citesort.sty", a little customized
\newcount\@minsofar
\newcount\@min
\newcount\@cite@temp
\def\@citex[#1]#2{%
\if@filesw \immediate \write \@auxout {\string \citation {#2}}\fi
\@tempcntb\m@ne \let\@h@ld\relax \def\@citea{}%
\@min\m@ne%
\@cite{%
  \@for \@citeb:=#2\do {\@ifundefined {b@\@citeb}%
    {\@h@ld\@citea\@tempcntb\m@ne{\bfseries ?}%
    \@warning {Citation `\@citeb ' on page \thepage \space undefined}}%
{\@minsofar\z@ \@for \@scan@cites:=#2\do {%
  \@ifundefined{b@\@scan@cites}%
    {\@cite@temp\m@ne}
    {\@cite@temp\number\csname b@\@scan@cites \endcsname \relax}%
\ifnum\@cite@temp > \@min% select the next one to list
    \ifnum\@minsofar = \z@
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\else
    \ifnum\@cite@temp < \@minsofar
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\fi\fi\fi}\@tempcnta\@min
  \ifnum\@minsofar > \z@ % some more
    \advance\@tempcnta\@ne
    \@min\@minsofar
    \ifnum\@tempcnta=\@minsofar %   Number follows previous--hold on to it
      \ifx\@h@ld\relax
        \edef \@h@ld{\@citea\csname b@\@scan@copy\endcsname}%
%      \else \edef\@h@ld{\ifmmode{)?(}\else)?(\fi
%      \else \edef\@h@ld{\ifmmode{)?}\else)?\fi
%      \else \edef\@h@ld{\ifmmode{)?}\else)aaa\fi
%      \else \edef\@h@ld{\ifmmode{)?}\else)?\fi
      \else\edef\@h@ld{%
% v1.91a
\if@epaper \ifmmode{)--}\else)--\fi
\else \ifmmode{)〜}\else)〜\fi
\fi
       \csname b@\@scan@copy\endcsname}%
      \fi
    \else \@h@ld\@citea\csname b@\@scan@copy\endcsname
          \let\@h@ld\relax
  \fi % no more
\fi}%
%\def\@citea{),\penalty\@highpenalty\,(}}\@h@ld}{#1}}
\def\@citea{),\penalty\@highpenalty}}\@h@ld}{#1}}
%% end of citesort.sty

%\def\@cite#1#2{\leavevmode\unskip
%  \ifnum\lastpenalty=\z@\penalty\@highpenalty\fi% highpenalty before
%  \,({\multiply\@highpenalty 3 #1%             % triple-highpenalties within
%      \if@tempswa,\penalty\@highpenalty\ #2\fi % and before note.
%    })\spacefactor\@m}


\def\@cite#1#2{\leavevmode\unskip
  \ifnum\lastpenalty=\z@\penalty\@highpenalty\fi% highpenalty before
\hskip-.25\xkanjiskip$^{\mbox
{%\footnotesize\rm\mc%
%\scriptsize({\multiply\@highpenalty 3 #1%             %
%  triple-highpenalties within
\scriptsize{\multiply\@highpenalty 3#1%             % triple-highpenalties within
      \if@tempswa,\penalty\@highpenalty%\ 
#2\fi % and before note.
    })}}$\spacefactor\@m\hskip-.25\xkanjiskip}







\newenvironment{theindex}
  {\if@twocolumn\@restonecolfalse\else\@restonecoltrue\fi
   \columnseprule\z@ \columnsep 35\p@
   \twocolumn[\section*{\indexname}]%
   \@mkboth{\indexname}{\indexname}%
   \thispagestyle{jpl@in}\parindent\z@
   \parskip\z@ \@plus .3\p@\relax
   \let\item\@idxitem}
  {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand{\@idxitem}{\par\hangindent 40\p@}
\newcommand{\subitem}{\@idxitem \hspace*{20\p@}}
\newcommand{\subsubitem}{\@idxitem \hspace*{30\p@}}
\newcommand{\indexspace}{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\renewcommand{\footnoterule}{%
  \kern-3\p@
  \hrule width .4\columnwidth
  \kern 2.6\p@}
\newcommand\@makefntext[1]{\parindent 1em
  \noindent\hbox to 1.8em{\hss\@makefnmark}#1}



%%%%%%%
    \def\@makefnmark{\hbox{\ifydir
\scriptsize%\fontsize{7Q}{10H}\selectfont
%\raisebox{0mm}
{$\m@th^
{\@thefnmark)}$}%
      \else\hbox{\yoko$\m@th^
{\@thefnmark)}$}\fi}}%

\renewcommand{\footnoterule}{%\kern10mm%
  \kern.125\Cvs%-\footskip%-.35in%3\p@ %% 本文と脚注のアキ
  \hrule height .12mm width \columnwidth
  \kern 0mm%%%% 罫線と脚注文字の上は4Hあき
}

%\@addtoreset{footnote}{chapter}


\renewcommand\@makefntext[1]{\footnotesize\baselineskip13\h\parindent 2.25mm
\setlength{\leftmargin}{11H}\advance\linewidth
-\leftmargin
\advance\@totalleftmargin\leftmargin
  \@setpar{{\@@par}}%
  \parshape 1 \@totalleftmargin \linewidth
  \ignorespaces
  \noindent\leavevmode%\hspace*{-3mm}%
%\hbox to3mm
{%\hfill%{-1.25zw}
%\fontsize{9Q}{13H}\selectfont
%\raisebox{0mm}
{$\m@th%^
{\@thefnmark)}$}\hskip0mm}%\hskip3mm%1zw
%\leavevmode\hangindent=3zw\hangafter=-17
#1}






\newif\if西暦 \西暦false
\def\西暦{\西暦true}
\def\和暦{\西暦false}
\newcount\heisei \heisei\year \advance\heisei-1988\relax
\def\today{{%
  \iftdir
    \if西暦
      \kansuji\number\year 年
      \kansuji\number\month 月
      \kansuji\number\day 日
    \else
      平成\ifnum\heisei=1 元年\else\kansuji\number\heisei 年\fi
      \kansuji\number\month 月
      \kansuji\number\day 日
    \fi
  \else
    \if西暦
      \number\year~年
      \number\month~月
      \number\day~日
    \else
      平成\ifnum\heisei=1 元年\else\number\heisei~年\fi
      \number\month~月
      \number\day~日
    \fi
  \fi}}
\newcommand{\prepartname}{第}
\newcommand{\postpartname}{部}
\newcommand{\contentsname}{目 次}
\newcommand{\listfigurename}{図 目 次}
\newcommand{\listtablename}{表 目 次}

%\ifnum\@lang=1
%\newcommand{\refname}{References}
%\else
%\newcommand{\refname}{参考文献}
%\fi

% v1.91a
\if@epaper
\newcommand{\indexname}{Index}
\newcommand{\figurename}{Fig.}
\newcommand{\tablename}{Table}
\newcommand{\appendixname}{Appendix}
\newcommand{\abstractname}{Summary}
\else
\newcommand{\indexname}{索 引}
\newcommand{\figurename}{図}
\newcommand{\tablename}{表}
\newcommand{\appendixname}{付 録}
\newcommand{\abstractname}{概 要}
\fi
\pagestyle{plain}
\pagenumbering{arabic}
\raggedbottom
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi
\if@twoside
  \@mparswitchtrue
\else
  \@mparswitchfalse
\fi



%%%%%% 最終ページの平行止め 10ミリあき
\if@Proof
%%%% 平行止めの中央確認線が出る
 \def\Newpage{%
\thispagestyle{LASTPAGEheadings}%
\@ifnextchar[%% ]
  {\adj@Newpage}{\noadj@Newpage}%
 }
 \def\adj@Newpage[#1]{%
  \ifvmode
   \noindent
   \@lastpagerule[#1]%
   \newpage
  \else
   \linebreak\@lastpagerule[#1]\newpage\noindent
   \ignorespaces
  \fi
 }
 \def\noadj@Newpage{%
  \ifvmode 
   \noindent
   \@lastpagerule
   \newpage
  \else
   \linebreak\@lastpagerule\newpage\noindent
   \ignorespaces
  \fi
 }%
 \def\@lastpagerule{\@ifnextchar[%% ]
  {\v@lastpagerule}{\f@lastpagerule}}
 \def\v@lastpagerule[#1]{%
  \mbox{}\hfill
  \smash{\lower#1\hbox to \z@{\hss\hbox to \hsize{\hbox to
\textwidth{\hss
   \pushtowall{\hskip5mm\rule[-5.75mm]{.12mm}{10mm}}%
   \rule[-5.75mm]{70mm}{.12mm}%
   \pushtowall{\hskip-5mm\rule[-5.75mm]{.12mm}{10mm}}%
\raisebox{-5mm}{\pushtowall{10mmアキ}}%
\hss}\hss}}}%[4.25mm]でベースライン、10mmアキだから 10-4.25mm
 }
 \def\f@lastpagerule{%
  \mbox{}\hfill
  \smash{\hbox to \z@{\hss\hbox to \hsize{\hbox to \textwidth{\hss
%%   \rule[-5.75mm]{70mm}{.12mm}%
   \pushtowall{\hskip5mm\rule[-5.75mm]{.12mm}{10mm}}%
   \rule[-5.75mm]{70mm}{.12mm}%
   \pushtowall{\hskip-5mm\rule[-5.75mm]{.12mm}{10mm}}%
\raisebox{-5mm}{\pushtowall{10mmアキ}}%
\hss}\hss}}}%
 }
\else
%%%% 平行止めの中央確認線が出ない
 \def\Newpage{\@ifnextchar[%% ]
  {\adj@Newpage}{\noadj@Newpage}%
 }
 \def\adj@Newpage[#1]{%
  \ifvmode
   \noindent
   \@lastpagerule[#1]%
   \newpage
  \else
   \linebreak\@lastpagerule[#1]\newpage\noindent
   \ignorespaces
  \fi
 }
 \def\noadj@Newpage{%
  \ifvmode 
   \noindent
   \@lastpagerule
   \newpage
  \else
   \linebreak\@lastpagerule\newpage\noindent
   \ignorespaces
  \fi
 }%
 \def\@lastpagerule{\@ifnextchar[%% ]
  {\v@lastpagerule}{\f@lastpagerule}}
 \def\v@lastpagerule[#1]{%
  \mbox{}\hfill
  \smash{\lower#1\hbox to \z@{\hss\hbox to \hsize{\hbox to \textwidth{\hss
   \rule[-5.75mm]{70mm}{.12mm}\hss}\hss}}}%[4.25mm]でベースライン、10mmアキだから 10-4.25mm
 }
 \def\f@lastpagerule{%
  \mbox{}\hfill
  \smash{\hbox to \z@{\hss\hbox to \hsize{\hbox to \textwidth{\hss
   \rule[-5.75mm]{70mm}{.12mm}\hss}\hss}}}%
 }
\fi
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  T.Honda 
%     Title macro
%

%%%%
%%%%画像電子学会パッケージ
%%%%（和文・英文統合）
%%%%2005/02/23 v.0.1a 
%%%%2005/02/24 v.0.1b blind実装

%\NeedsTeXFormat{pLaTeX2e}
%\ProvidesPackage{honda-je-2}[2005/02/23 v.0.1a Sanbi]

%\newcount\@lang
%\let\decoration@title\relax


%\newif\if@blind
%\DeclareOption{blind}{\@blindtrue}

%\DeclareOption{Japanese}{\@lang\z@}
%\DeclareOption{English}{\@lang\@ne}
%\DeclareOption{paper}{\def\type{0}}
%\DeclareOption{shortpaper}{\def\type{1}}



%\ExecuteOptions{Japanese,paper}
%\ProcessOptions\relax

\ifnum\@lang=\z@
   \ifcase\type
%%%%%%%%%%%%%%%%%%%% matu
%      \def\decoration@title{\fbox{論文}}
\def\decoration@title{%
\if@kousei
\vbox
%to2\Cvs{\leavevmode\smash{\raisebox{-8.5mm}{\includegraphics[clip]{eps/iieej_ronbun.eps}}}%
%to2\Cvs{\leavevmode\smash{\raisebox{-8.5mm}{\includegraphics[height=8mm,clip]{eps/iieej_ronbun.eps}}}%
to2\Cvs{
\leavevmode\smash
{\raisebox{-8.5mm}{
\includegraphics[height=8mm,clip]{\@epstype} 
%\hfill 
}}%
%\smash{\raisebox{-5.25mm}{\pushtowall{\hspace*{-10mm}\fontsize{16Q}{20H}\selectfont\gt 論文}}}
%\vfill
\hfill 
%\hskip7cm
{
\raisebox{-8.5mm}{
\includegraphics[height=8mm,clip]{\@kouseitype}}
\kern-67pt\raisebox{-6.0mm}{{\large\sf \@kouseinumber}}
}
\vfill
}%
\else
\vbox
%to2\Cvs{\leavevmode\smash{\raisebox{-8.5mm}{\includegraphics[clip]{eps/iieej_ronbun.eps}}}%
%to2\Cvs{\leavevmode\smash{\raisebox{-8.5mm}{\includegraphics[height=8mm,clip]{eps/iieej_ronbun.eps}}}%
to2\Cvs{\leavevmode\smash{\raisebox{-8.5mm}{
\includegraphics[height=8mm,clip]{\@epstype}}}%
%\smash{\raisebox{-5.25mm}{\pushtowall{\hspace*{-10mm}\fontsize{16Q}{20H}\selectfont\gt 論文}}}
\vfill}%
\fi
}
\or
\def\decoration@title{%
\vbox
%to2\Cvs{\leavevmode\smash{\raisebox{-8.5mm}{\includegraphics[clip]{eps/iieej_shortronbun.eps}}}%
to2\Cvs{\leavevmode\smash{\raisebox{-8.5mm}{\includegraphics[height=8mm,clip]{eps/iieej_shortronbun.eps}}}%
%\smash{\raisebox{-5.25mm}{\pushtowall{\hspace*{-33mm}\fontsize{16Q}{20H}\selectfont\gt ショートペーパー}}}\vfill}%
}%
%%
\or
\def\decoration@title{%
%\vbox to2\Cvs{\hspace*{-1mm}\includegraphics[clip]{eps/iieej_kouza.eps}%
\vbox to2\Cvs{\hspace*{-1mm}\includegraphics[height=8mm,clip]{eps/iieej_kouza.eps}%
%\smash{\raisebox{3.25mm}{\pushtowall{\hspace*{-11.5mm}\fontsize{16Q}{20H}\selectfont\gt
%講座}}}\vfill}%
}
\or
\def\decoration@title{%
%\vbox to3\Cvs{\includegraphics[clip]{eps/iieej_groupshoukai.eps}%
\vbox to3\Cvs{\includegraphics[height=8mm,clip]{eps/iieej_groupshoukai.eps}%
%\smash{\raisebox{3.5mm}{\pushtowall{\hspace*{-12mm}\fontsize{16Q}{20H}\selectfont\gt }}}\vfill}%
}
%%%%%%%%%%%%%%%%%%% matu
   \fi
\else
   \ifcase\type
%      \def\decoration@title{\fbox{paper}}
\def\decoration@title{%
\vbox to2\Cvs{\hspace*{-1mm}\includegraphics[clip]{eps/logo-english.eps}%
\smash{\raisebox{3mm}{\pushtowall{\hspace*{-14.25mm}\fontsize{16Q}{20H}\selectfont\bfseries Paper}}}\vfill}%
}%%%%%%%%%%%%%%%%%%%% matu
   \fi
\fi




%\ifcase\@lang\relax
%\input{honda.sty}
%\input{honda2.sty}
%\else
%\input{honda-e.sty}
%\input{honda2-e.sty}
%\fi
%\endinput

%%%%和文用タイトル・著者紹介
%%%%タイトル

%%%論文タイトル入力用マクロ
%%%\jtitle[opt]{jtitle}
%%%optは柱用文字列，titleは和文タイトル
%%%
%%%\etitle{etitle}
%%%etitleは欧文タイトル

%%\def\jtitle#1{\def\@jtitle{#1}}
\def\jtitle{\@dblarg{\jtitle@}}
\def\jtitle@[#1]#2{%
   \def\hd@jtitle{#1}%
   \def\@jtitle{#2}%
}

\def\etitle#1{\def\@etitle{#1}}

%%%%%%%%%%%%%%%%%%%%

%%%
%%%\author
%%% #1 : 会員種別
%%% #2 : 和文著者名
%%% #3 : 欧文著者名
%%% #4 : ラベル(カンマ区切りで複数可)
%%%
%%%会員種別は \type@1，\type@2，\type@3，・・・
%%%和文著者名は \jauthor@1，\jauthor@2，\jauthor@3，・・・
%%%欧文著者名は \eauthor@1，\eauthor@2，\eauthor@3，・・・
%%%ラベルは \author@labels@1，\author@labels@2，・・・
%%%に保存される．
%%%ただし，ラベルは空白なしのCSV形式となる
%%%
%%%\author*とすると，和文の文字取りの処理を行わない
%%%外字など特殊ケース用

\newcount\author@num
\author@num\z@


\newif\if@manual@jauthor

\def\author{%
   \@ifstar{\@manual@jauthortrue\author@}{\@manual@jauthorfalse\author@}
}%


\def\sanitize@jauthor{%
   \expandafter\let\expandafter\unprocessed@jauthor
      \csname jauthor@\the\author@num\endcsname
   \expandafter\split@jname@space\unprocessed@jauthor\@nil
}


\def\author@#1#2#3#4{%
   \advance\author@num\@ne
   \@namedef{type@\the\author@num}{#1}
   \@namedef{jauthor@\the\author@num}{#2}
   \@namedef{eauthor@\the\author@num}{#3}
   \expandafter\edef\csname author@labels@\the\author@num\endcsname
      {\zap@space#4 \@empty}%
%%%%%%%和文著者名の加工
   \if@manual@jauthor\else
      \sanitize@jauthor
   \fi
%%%%%%%欧文著者名の加工（名はそのまま，姓は大文字化，ハイフン禁止）
   \sanitize@eauthor
}

\def\sanitize@eauthor{%
   \expandafter\let\expandafter\unprocessed@eauthor
      \csname eauthor@\the\author@num\endcsname
   \expandafter\split@ename@space\unprocessed@eauthor\@nil
}

\def\split@ename@space#1 #2\@nil{%
   \edef\personal{#1}%
   \def\family{#2}%
   \expandafter\edef\csname eauthor@\the\author@num\endcsname{%
%      \mbox{\personal}\space\mbox{\uppercase{\family}}}
      \mbox{\personal} \mbox{\uppercase{\family}}}
}%



\def\split@jname@space#1 #2\@nil{%
   \def\family{#1}%
   \edef\personal{#2}%
%%%%%%%%%%%%%%%%%
   \count@\z@
   \expandafter\@tfor\expandafter\temp\expandafter:\expandafter=%
      \family\do{\advance\count@\@ne}%
   \ifnum\count@<4\relax
      \ifnum\count@=1\relax
        \edef\family{\hbox to3zw{\family\hss}}%1文字
      \else
        \edef\family{\hbox to3zw{\kanjiskip0pt plus1fil minus1fil\family}}%
        %%%2，3文字
      \fi
   \else
        \edef\family{\hbox{\family}}%%4文字以上
   \fi
%%%%%%%%%%%%%%%%%
   \count@\z@
   \expandafter\@tfor\expandafter\temp\expandafter:\expandafter=%
      \personal\do{\advance\count@\@ne}%
   \ifnum\count@<4\relax
      \ifnum\count@=1\relax
        \edef\personal{\hbox to3zw{\hss\personal}}%1文字
      \else
        \edef\personal{\hbox to3zw{\kanjiskip0pt plus1fil minus1fil\personal}}%
        %%%2，3文字
      \fi
   \else
        \edef\personal{\hbox{\personal}}%%4文字以上
   \fi
%%%%%%%%%%%%%%%%%
   \expandafter\edef\csname jauthor@\the\author@num\endcsname{%
      \mbox{\family}\hskip1zw\mbox{\personal}}%
}%




%%%
%%%\affiliate
%%% #1 : ラベル
%%% #2 : 和文所属
%%% #3 : 欧文所属
%%%
%%% すでに使われたラベルが再び使われるとエラーとなる
%%% ラベルは以下のように管理される
%%%
%%% ラベルが <LABEL> であるとき
%%% ラベル番号 \affiliate@label@<LABEL>
%%% 和文所属 \affiliate@j@<LABEL>
%%% 欧文所属 \affiliate@e@<LABEL>
%%% ラベル番号<n>のラベル \affiliate@label@<n>

\newcount\affiliate@num
\affiliate@num\z@

\let\elt@affiliate\relax

\def\affiliate#1#2#3{%
   \advance\affiliate@num\@ne
   \expandafter\ifx\csname affiliate@label@#1\endcsname\relax
      \expandafter\edef\csname affiliate@label@#1\endcsname
         {\the\affiliate@num}
      \@namedef{affiliate@j@#1}{#2}
      \@namedef{affiliate@e@#1}{#3}
   \else
      \def\definedlabel{#1}%
      \redefined@affiliate@label@error%
   \fi
%%%%%%%%%%%%
   \@namedef{affiliate@label@\the\affiliate@num}{#1}
}

%%%
%%%ラベルの多重定義のエラー
%%%

\def\redefined@affiliate@label@error{%
   \GenericError{\space\space\space\@spaces\@spaces\@spaces}%
       {iieej class Error^^J
        所属ラベル``\definedlabel''はすでに定義されています^^J
        違うラベルを使ってください}{マニュアルを見てください}{\@eha}%
}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%
%%%欧文出力のための処理
%%%

%%%(1) 同じラベルが連続してるもののグループをつくる
%%%
%%%例 \authorによるラベルが
%%%
%%%著者番号       1  2 3 4 5 6  7   8
%%%ラベル        A,B A A B C A  A  A,B
%%%
%%%のときは 
%%%
%%%   ``A,B'' ``A'' ``B'' ``C'' ``A'' ``A,B''
%%%
%%%にグルーピングし，最初から連番をふる．
%%%さらに，それに対応する著者番号を対応させる
%%%
%%%所属のグループ      1      2     3     4     5      6
%%%ラベル           ``A,B'' ``A'' ``B'' ``C'' ``A'' ``A,B''
%%%著者番号            1     2,3    4     5    6,7     8
%%%
%%%このようにして，著者の順番をかえずに，所属ごとのグループにまとめる．
%%%
%%%アルゴリズム
%%%
%%%著者がn人，ラベルが L_1，L_2，・・・， L_nとする
%%%
%%% loop r=1 to n 
%%% if L_r = L_{r+1}
%%% then 
%%%      F' = F,r    ;   x  ,...,  r   : 対応する著者(番号)
%%% else ; process L_r
%%%      F' = F,r    ;   x  ,...,  r
%%%      g=g+1
%%%      G@g  = Lr F'
%%%      reset F'
%%% fi
%%% r = r+1
%%% repeat

\newcount\eaffiliate@group@num

\let\@templist\@empty

\def\addtemplist#1{%
        \ifx\@templist\@empty
             \edef\@templist{#1}%
         \else
             \edef\@templist{\@templist,#1}%
         \fi
}


\def\make@eaffiliate@group{%
   \count@\z@
   \loop\ifnum\count@<\author@num\relax
      \advance\count@\@ne
      \@tempcnta\count@
      \@tempcntb\count@
      \advance\@tempcntb\@ne
      \expandafter\let\expandafter\current@label
         \csname author@labels@\the\@tempcnta\endcsname
      \expandafter\let\expandafter\next@label
         \csname author@labels@\the\@tempcntb\endcsname
      \ifx\current@label\next@label
          \addtemplist{\the\count@}%
      \else
         \addtemplist{\the\count@}%
         \advance\eaffiliate@group@num\@ne
         \expandafter\edef
            \csname eaffiliate@group@\the\eaffiliate@group@num\endcsname
               {{\current@label}{\@templist}}
         \let\@templist\@empty
      \fi
   \repeat
}

%%%(2) 同じラベル内で同じ会員種別が連続するかを調べ，
%%%新たなリストを作成する
%%%
%%%例 eaffiliate@group@1 が {A}{1,2,3,4,5} であり，
%%%著者1，2がm，3がn，4がm，5がnであるとする
%%%このとき，
%%% list@eaffiliate@group@1
%%% {A}{\mem@elt{1,2}{ms}\mem@elt{3}{n}\mem@elt{4}{n}\mem@elt{5}{m}}
%%%を生成する．
%%%これを全ての eaffiliate@group@ に対して行う

\let\mem@elt\relax

\def\make@member@list{%
   \count@\z@
   \loop\ifnum\count@<\eaffiliate@group@num
      \advance\count@\@ne
      \expandafter\edef\expandafter\temp@label\expandafter{%
         \expandafter\noexpand\expandafter\@firstoftwo
         \csname eaffiliate@group@\the\count@\endcsname}%
      \edef\egroup@label{\temp@label}
      \expandafter\let\csname list@eaffiliate@group@\the\count@\endcsname\@empty
      \reduce@eaffiliate@group%%内部で\count@を共有する
   \repeat
}

\def\processed@author@num{0}%%

\let\temp@\@empty

\def\reduce@eaffiliate@group{%
   \expandafter\edef\expandafter\temp@author\expandafter{%
      \expandafter\noexpand\expandafter\@secondoftwo
      \csname eaffiliate@group@\the\count@\endcsname}
   \edef\egroup@author{\temp@author}
   \@tempcnta\z@%%現在の所属グループに属する著者の人数
   \@for\temp:=\egroup@author\do{\global\advance\@tempcnta\@ne}%
   \@tempcntb\z@
   \let\@templist\@empty
   \@for\temp:=\egroup@author\do{%
      \advance\@tempcntb\@ne%%%処理中の著者の，現在の所属グループ内での番号
      \edef\current@author@type{\csname type@\temp\endcsname}%%%現在処理中の著者の種別
      \advance\@tempcntb\@ne
      \ifnum\@tempcntb>\@tempcnta%%%現在処理中の著者の次の著者の種別
         \let\next@author@type\relax%%ただし，現在処理中の著者が
      \else%%%%%%%%%%%%%%%%%%%%%%%%%%%現在の所属グループの最後の場合は\relaxにする
         \bgroup
            \count@\temp\relax
            \advance\count@\@ne
            \edef\x{\edef\noexpand\next@author@type{\csname type@\the\count@\endcsname}}
         \expandafter\egroup\x
      \fi
      \advance\@tempcntb\m@ne
%%%%ここまでの操作で，
%%%%\current@author@typeに現在の会員種別
%%%%\next@author@typeに次の会員種別
%%%%ただし，現在の会員がその所属グループの最後の場合は，\next@author@typeは\relax
%%%%
      \ifx\current@author@type\next@author@type
         \def\temp@{s}%
         \edef\@templist{\@templist,\temp}%
      \else
         \edef\temp@{\current@author@type\temp@}%
         \edef\@templist{\@templist,\temp}%
         \expandafter\remove@first@comma\expandafter\@templist\@templist\@nil
         %%%%\@templistに同じ所属グループで同じ会員種別である会員の番号が入る
         \expandafter\edef\csname list@eaffiliate@group@\the\count@\endcsname{%
            \csname list@eaffiliate@group@\the\count@\endcsname
            \mem@elt{\@templist}{\temp@}%
            }%
         \let\@templist\@empty
         \let\temp@\@empty
      \fi
%%%%%%%%%%%%%%%%%%%%%
   }%
%%%%%%%以上の操作で
%%%%%%%\mem@elt{1,2}{ms}\mem@elt{3}{n}\mem@elt{4}{n}\mem@elt{5}{m}
%%%%%%%ができあがり，次の操作でラベルを付ける．
   \expandafter\edef\csname list@eaffiliate@group@\the\count@\endcsname{%
      {\egroup@label}%
      {\csname list@eaffiliate@group@\the\count@\endcsname}%
      }%
}


\def\remove@first@comma#1#2#3\@nil{\edef#1{#3}}%

%%%(3) 生成されたリストから出力する
%%%
%%%例：
%%%{A}{\mem@elt{1,2}{ms}\mem@elt{3}{n}\mem@elt{4}{m}\mem@elt{5}{n}}
%%%A => \affiliate@e@A 所属の欧文名称
%%%\mem@eltは\eauthor@1，\eauthor@2 などの著者欧文名
%%%及び所属タイプを出力するマクロに再定義
%%%

\def\output@egroup{%
   \count@\z@
   \loop\ifnum\count@<\eaffiliate@group@num
      \advance\count@\@ne
      %\output@each@group % moto
      \output@eauthor@group % moto
      %\output@eauthor@list % moto
   \repeat}%


\def\output@each@group{%
   \expandafter\edef\expandafter\temp@label\expandafter{%
      \expandafter\noexpand\expandafter\@firstoftwo
      \csname list@eaffiliate@group@\the\count@\endcsname}%
   \edef\egroup@label{\temp@label}%
   \expandafter\edef\expandafter\temp@author@and@type\expandafter{%
      \expandafter\noexpand\expandafter\@secondoftwo
      \csname list@eaffiliate@group@\the\count@\endcsname}%
   \edef\egroup@author@and@type{\temp@author@and@type}%
   \@tempcnta\z@
%%%%%%%%%%%%%%%%%\egroup@author@and@typeにいくつの\mem@eltがあるか数える
   \bgroup
      \count@\z@
      \def\mem@elt##1##2{\advance\count@\@ne}%
      \egroup@author@and@type
      \edef\x{\edef\noexpand\number@mem@elt{\the\count@}}%
   \expandafter\egroup\x
%%%%%%%%%%%%%%%%%
   \def\mem@elt##1##2{%
      \@tempcntb\z@
      \@for\temp:=##1\do{%
         \advance\@tempcntb\@ne
         \ifnum\temp=\author@num
            and\ %
         \fi
         \csname eauthor@\temp\endcsname
         \comma@or@space@after@eauthor
      }%
%%%%%%%%%非会員の場合は種別を表示しない(本当にそうするか?)
      \edef\temp@{\@firstoftwo##2\relax}%
%      \typeout{--------------\meaning\temp@}
      \if n\temp@\else
       \advance\@tempcnta\@ne
       (\csname ##2@member\endcsname)%,\space%%%
       \comma@or@space@after@emember
      \fi
%%%%%%%%%
   }%
%%%%%%%%%%%%%%%%%
   \egroup@author@and@type%(\csname affiliate@e@\egroup@label\endcsname)%
%%%%%%%%%%%%%%%%%
   \bgroup%
   \count@\z@%
   \@for\tempa:=\egroup@label\do{\advance\count@\@ne}%
   \edef\tempb{\the\count@}%
   \count@\z@%
   \@for\tempa:=\egroup@label\do{%
       \advance\count@\@ne%
       \ifnum\count@=\tempb\relax%
          (\csname affiliate@e@\tempa\endcsname)%
       \else%
          (\csname affiliate@e@\tempa\endcsname,)\ %
      \fi%
   }%
   \egroup%
%%%%%%%%%%%%%%%%%
   \comma@or@piriod@after@eafiiliate
   \let\mem@elt\relax
}

\def\comma@or@piriod@after@eafiiliate{%
   \ifnum\count@=\eaffiliate@group@num
     % .%%最後はピリオド %% toru
   \else
      %,\space%%途中はカンマ・スペース
      ,\,\,\,%%途中はカンマ・スペース
   \fi}

\def\comma@or@space@after@eauthor{%
   \ifnum\@tempcntb=\@tempcnta
      %\space%%最後はスペース
      {\space}%%最後はスペース
   \else
      %,\space%%途中はカンマ・スペース
      ,\,\,\,%%途中はカンマ・スペース
   \fi}


\def\comma@or@space@after@emember{%
   \ifnum\@tempcnta=\number@mem@elt%%\@tempcnta
      {\space}%%最後はスペース
   \else
      %,\space%%途中はカンマ・スペース
      ,\,\,\,%%途中はカンマ・スペース
   \fi}


% ----------------------- 
\def\output@eauthor@group{%
   \expandafter\edef\expandafter\temp@label\expandafter{%
      \expandafter\noexpand\expandafter\@firstoftwo
      \csname list@eaffiliate@group@\the\count@\endcsname}%
   \edef\egroup@label{\temp@label}%
   \expandafter\edef\expandafter\temp@author@and@type\expandafter{%
      \expandafter\noexpand\expandafter\@secondoftwo
      \csname list@eaffiliate@group@\the\count@\endcsname}%
   \edef\egroup@author@and@type{\temp@author@and@type}%
   \@tempcnta\z@
%%%%%%%%%%%%%%%%%\egroup@author@and@typeにいくつの\mem@eltがあるか数える
   \bgroup
      \count@\z@
      \def\mem@elt##1##2{\advance\count@\@ne}%
      \egroup@author@and@type
      \edef\x{\edef\noexpand\number@mem@elt{\the\count@}}%
   \expandafter\egroup\x
%%%%%%%%%%%%%%%%%
   \def\mem@elt##1##2{%
      \@tempcntb\z@
      \@for\temp:=##1\do{%
         \advance\@tempcntb\@ne
         \ifnum\temp=\author@num
            and\ %
         \fi
         \csname eauthor@\temp\endcsname
         \comma@or@space@after@eauthor
      }%
%%%%%%%%%非会員の場合は種別を表示しない(本当にそうするか?)
      \edef\temp@{\@firstoftwo##2\relax}%
%      \typeout{--------------\meaning\temp@}
      \if n\temp@\else
       \advance\@tempcnta\@ne
       (\csname ##2@member\endcsname)%,\space%%% % moto
       %(\csname ##2@member\endcsname)%,\space%%% % moto
       %{\it \csname ##2@member\endcsname, IIEEJ}%,\space%%%
       %{\it \csname ##2@member\endcsname,\,IIEEJ}%,\space%%%
      % {\it (\csname ##2@member\endcsname,\,IIEEJ)}%,\space%%%
       \comma@or@space@after@emember
      \fi
%%%%%%%%%
   }%
%%%%%%%%%%%%%%%%%
   \egroup@author@and@type%(\csname affiliate@e@\egroup@label\endcsname)%
%%%%%%%%%%%%%%%%%
   \bgroup%
   \count@\z@%
   \@for\tempa:=\egroup@label\do{\advance\count@\@ne}%
   \edef\tempb{\the\count@}%
   \count@\z@%
   \@for\tempa:=\egroup@label\do{%
       \advance\count@\@ne%
%       \ifnum\count@=\tempb\relax%
%          (\csname affiliate@e@\tempa\endcsname)%
%       \else%
%          (\csname affiliate@e@\tempa\endcsname,)\ %
%      \fi%
   }%
   \egroup%
%%%%%%%%%%%%%%%%%
   % \comma@or@piriod@after@eafiiliate % kokoni affiliate irenai 
   % \comma@or@piriod@after@eafiiliate
   \let\mem@elt\relax
}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%タイトル 和文の処理

\def\output@jaffiliate@mark#1{%
   \edef\label@list{\csname author@labels@#1\endcsname}%
   \count@\z@
   \@tempcnta\z@
   \@for\temp:=\label@list\do{\advance\count@\@ne}%
   \null\@textsuperscript{%
      \@for\temp:=\label@list\do{%
         \advance\@tempcnta\@ne%
         \makedagger{\csname affiliate@label@\temp\endcsname}%
         \ifnum\@tempcnta=\count@%
            \relax%
         \else%
            %,%
            %\ %
            \,%
         \fi%
      }%
   }%
}%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%タイトル 和文の処理

\def\output@eeaffiliate@mark#1{%
   %\edef\label@list{\csname author@labels@#1\endcsname}%
   \edef\label@list{\csname author@labels@#1\endcsname}%
   \count@\z@
   \@tempcnta\z@
   \@for\temp:=\label@list\do{\advance\count@\@ne}%
   \null\@textsuperscript{%
      \@for\temp:=\label@list\do{%
         \advance\@tempcnta\@ne%
         \makedagger{\csname affiliate@label@\temp\endcsname}%
         \ifnum\@tempcnta=\count@%
            \relax%
         \else%
           %\ifnum\count@=\@tempcntb%
           %   AA
           %\fi
           % B,%
           %,%
           %\ %
           \,%
         \fi%
      }%
   }%
}%


\def\makedagger#1{%
   \bgroup%
      \@tempcnta\z@
      \@whilenum\@tempcnta<#1\do{${\dagger}$\advance\@tempcnta\@ne}%
   \egroup%
}%



\def\output@one@author#1{%
   \csname jauthor@#1\endcsname
   \output@jaffiliate@mark{#1}%
   \edef\tempmember{\csname \csname type@#1\endcsname @jmember\endcsname}%
%   \<（\csname \csname type@#1\endcsname @jmember\endcsname）\<
   \ifx\tempmember\@empty\relax\else
      {\jmember@font\hbox{\kern-.5zw（\tempmember）\kern-.5zw}}%
   \fi
   %\hfill%
}

\def\output@one@authoren#1{%
   \csname eauthor@#1\endcsname
   \output@eeaffiliate@mark{#1}%
   \edef\tempmember{\csname \csname type@#1\endcsname @emember\endcsname}%
%   \<（\csname \csname type@#1\endcsname @jmember\endcsname）\<
   \ifx\tempmember\@empty\relax\else
     %{\emember@font\hbox{\kern-.5zw（\tempmember）\kern-.5zw}}%
     %{\emember@font\hbox{\kern-.1zw ( {\it \tempmember} )\kern-.1zw}}%
     %{\emember@font\hbox{ ( {\it \tempmember} )}}%
     {\emember@font\hbox{\kern.06zw({\it \tempmember}\kern0.10zw)\kern-.05zw}}%
     %% {\it \emember@font\hbox{,\,\,\tempmember,\,IIEEJ}}%
   \fi
   %\hfill%
}

\def\output@one@eauthor#1{%
   \csname eauthor@#1\endcsname
   \output@eeaffiliate@mark{#1}%
   \edef\tempmember{\csname \csname type@#1\endcsname @emember\endcsname}%
%   \<（\csname \csname type@#1\endcsname @jmember\endcsname）\<
   \ifx\tempmember\@empty\relax\else
      {\emember@font\hbox{\kern-.5zw（\tempmember）\kern-.5zw}}%
   \fi
   %\hfill%
}


%\iffalse
%\def\measure@output@one@author#1{%
%   \csname jauthor@#1\endcsname
%   \output@jaffiliate@mark{#1}%
%   %\hfill%
%}%
%
%\let\list@length@jauthor\@empty
%\let\elt@length@jauthor\relax
%\fi

\let\authortable@preamble\@empty

% jauthor
\def\make@content@jauthor{%
   \bgroup
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   \let\output@one@author\relax
   \let\mbox\relax
   \let\parbox\relax
   \let\hspace\relax
   \def\content@jauthor{\@empty}%
   \count@\z@
   \ifnum\author@num<\num@jauthor@oneline%%1列の人数未満のとき
      \loop\ifnum\count@<\author@num
         \advance\count@\@ne
         \ifnum\count@=\author@num
  %          \edef\content@jauthor{\content@jauthor\mbox{\output@one@author{\the\count@}}}%
            \edef\content@jauthor{\content@jauthor\mbox{\output@one@author{\the\count@}}}%
            \xdef\authortable@preamble{\authortable@preamble c@{}}%
         \else
            \edef\content@jauthor{\content@jauthor\mbox{%
                   \output@one@author{\the\count@}}\hspace*{\authorsep}&}%
            \xdef\authortable@preamble{\authortable@preamble c@{}}%
         \fi
      \repeat
         \xdef\content@jauthor{\content@jauthor\noexpand\\}%
%         \typeout{>>>>>>\meaning\content@jauthor}%
%%%%%%%%%%%%%
%%%%%%%%%%%ここに \num@jauthor@oneline 人以上のケース
   \else%%%1列の人数以上のとき
      \@tempcnta\author@num
      \@tempcntb\author@num
      %\@tempcntc\author@num
      \divide\@tempcnta\num@jauthor@oneline\relax
      \edef\jtitle@row{\the\@tempcnta}%%%行数-1
      \multiply\@tempcnta\num@jauthor@oneline\relax
      \advance\@tempcntb-\@tempcnta
%      \edef\jtitle@row{\the\@tempcnta}%%%行数-1
      \edef\jtitle@remained{\the\@tempcntb}%%%最終行の人数
%      \typeout{>>>>>>\jtitle@row::\jtitle@remained}%
%%%%%%%%%%%%%%%%%%%%%%%表示用のプリアンブル作成
      \loop\ifnum\count@<\num@jauthor@oneline
         \advance\count@\@ne
         \xdef\authortable@preamble{\authortable@preamble l@{}}%
      \repeat
%%%まず，1行分ずつ\jtitle@row行生成する 
      \count@\z@
      \let\\\relax
      \@whilenum\count@<\jtitle@row\relax\do{%
        \@tempcnta\count@
        \@tempcntb\z@
        \multiply\@tempcnta\num@jauthor@oneline\relax
        \loop\ifnum\@tempcntb<\num@jauthor@oneline
           \advance\@tempcntb\@ne
           \advance\@tempcnta\@ne
           \ifnum\@tempcntb=\num@jauthor@oneline\relax
              \xdef\content@jauthor{%
                  \content@jauthor\hbox{\output@one@author{\the\@tempcnta}}\\}%
           \else
              \xdef\content@jauthor{%
                  \content@jauthor\hbox{\output@one@author{\the\@tempcnta}\hspace*{\authorsep}}&}%
           \fi
        \repeat
%        \typeout{---------}%
        \advance\count@\@ne
      }%
%%%%%%%%%%%最後の行
      \@tempcnta\jtitle@row
      \multiply\@tempcnta\num@jauthor@oneline\relax
      \count@\z@
      \loop\ifnum\count@<\jtitle@remained\relax
         \advance\count@\@ne
         \advance\@tempcnta\@ne
         \ifnum\count@=\jtitle@remained
           \xdef\content@jauthor{%
           \content@jauthor\hbox{\output@one@author{\the\@tempcnta}}\\}%
         \else
           \xdef\content@jauthor{%
           \content@jauthor\hbox{\output@one@author{\the\@tempcnta}}\hspace*{\authorsep}&}%
         \fi 
      \repeat
%%%%%%%%%%%
   \fi%
   \egroup
}%


%---------------------------------------
% eauthor
%---------------------------------------
\def\make@content@eauthor{%
   \bgroup
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   \let\output@one@authoren\relax
   \let\mbox\relax
   \let\parbox\relax
   \let\hspace\relax
   \def\content@eauthor{\@empty}%
   \count@\z@
   \ifnum\author@num<\num@eauthor@oneline%%1列の人数未満のとき
      \loop\ifnum\count@<\author@num
         \advance\count@\@ne
       %  \ifnum\count@=1
       %    % AA
       %    \hspace*{2.2cm}
       %    \hspace*{1.0cm}
       %  \fi
         \ifnum\count@=\author@num
            \edef\content@eauthor{\content@eauthor\mbox{%
                 \output@one@authoren{\the\count@}}}%
            \xdef\authortable@preamble{\authortable@preamble c@{}}%
         \else
            \edef\content@eauthor{\content@eauthor\mbox{%
                 \output@one@authoren{\the\count@}}\hspace*{\authorsep}&}%
            \xdef\authortable@preamble{\authortable@preamble c@{}}%
         \fi
      \repeat
         \xdef\content@eauthor{\content@eauthor\noexpand\\}%
%         \typeout{>>>>>>\meaning\content@eauthor}%
%%%%%%%%%%%%%
%%%%%%%%%%%ここに \num@eauthor@oneline 人以上のケース
   \else%%%1列の人数以上のとき
      \@tempcnta\author@num
      \@tempcntb\author@num
      \divide\@tempcnta\num@eauthor@oneline\relax
      \edef\etitle@row{\the\@tempcnta}%%%行数-1
      \multiply\@tempcnta\num@eauthor@oneline\relax
      \advance\@tempcntb-\@tempcnta
%      \edef\etitle@row{\the\@tempcnta}%%%行数-1
      \edef\etitle@remained{\the\@tempcntb}%%%最終行の人数
%      \typeout{>>>>>>\etitle@row::\etitle@remained}%
%%%%%%%%%%%%%%%%%%%%%%%表示用のプリアンブル作成
      \loop\ifnum\count@<\num@eauthor@oneline
         \advance\count@\@ne
         \xdef\authortable@preamble{\authortable@preamble l@{}}%
      \repeat
%%%まず，1行分ずつ\etitle@row行生成する 
      \count@\z@
      \let\\\relax
      \@whilenum\count@<\etitle@row\relax\do{%
        \@tempcnta\count@
        \@tempcntb\z@
        \multiply\@tempcnta\num@eauthor@oneline\relax
        \loop\ifnum\@tempcntb<\num@eauthor@oneline
           \advance\@tempcntb\@ne
           \advance\@tempcnta\@ne
           \ifnum\@tempcntb=\num@eauthor@oneline\relax
              \xdef\content@eauthor{%
                  \content@eauthor\hbox{\output@one@authoren{\the\@tempcnta}}\\}%
           \else
              \xdef\content@eauthor{%
                \content@eauthor\hbox{%
                \output@one@authoren{\the\@tempcnta}\hspace*{\authorsep}}&}%
           \fi
        \repeat
%        \typeout{---------}%
        \advance\count@\@ne
      }%
%%%%%%%%%%%最後の行
      \@tempcnta\etitle@row
      \multiply\@tempcnta\num@eauthor@oneline\relax
      \count@\z@
      \loop\ifnum\count@<\etitle@remained\relax
         \advance\count@\@ne
         \advance\@tempcnta\@ne
         \ifnum\count@=\etitle@remained
           \xdef\content@eauthor{%
           \content@eauthor\hbox{\output@one@authoren{\the\@tempcnta}}\\}%
         \else
           \xdef\content@eauthor{%
           \content@eauthor\hbox{%
             \output@one@authoren{\the\@tempcnta}}\hspace*{\authorsep}&}%
         \fi 
      \repeat
%%%%%%%%%%%
   \fi%
   \egroup
}%

%---------------------------------------
% eauthor2
%---------------------------------------
\def\make@content@eauthor2{%
   \bgroup
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   \let\output@one@authoren\relax
   \let\mbox\relax
   \let\parbox\relax
   \let\hspace\relax
   \def\content@eauthor2{\@empty}%
   \count@\z@
   %
   \ifnum\author@num<\num@eauthor@oneline%%1列の人数未満のとき
      \loop\ifnum\count@<\author@num
         \advance\count@\@ne
         \ifnum\count@=\author@num
            %\edef\content@eauthor2{\content@eauthor2\mbox{\output@one@authoren{\the\count@}}}%
           \edef\content@eauthor2{\content@eauthor2\mbox{%
             \output@one@authoren{\the\count@}}\hfill}%
           \xdef\authortable@preamble{\authortable@preamble c@{}}%
         \else
           \edef\content@eauthor2{\content@eauthor2\mbox{%
           %\output@one@authoren{\the\count@}}\hspace*{\authorsep}&}%
           %\output@one@authoren{\the\count@}} }%
           \output@one@authoren{\the\count@}}
           % , 
           ,\,\,\,\,\,% v1.89
            }%
           \xdef\authortable@preamble{\authortable@preamble c@{}}%
         \fi
      \repeat
         \xdef\content@eauthor2{\content@eauthor2\noexpand\\}%
%         \typeout{>>>>>>\meaning\content@eauthor2}%
%%%%%%%%%%%%%
%%%%%%%%%%%ここに \num@eauthor@oneline 人以上のケース
   %
   \else%%%1列の人数以上のとき
   %
   % v1.89
   \ifnum\author@num=\num@eauthor@oneline%%1列の人数が同じとき
     \loop\ifnum\count@<\author@num
         \advance\count@\@ne
         \ifnum\count@=\author@num
           \edef\content@eauthor2{\content@eauthor2\mbox{%
             \output@one@authoren{\the\count@}}\hfill}%
           \xdef\authortable@preamble{\authortable@preamble c@{}}%
         \else
           \edef\content@eauthor2{\content@eauthor2\mbox{%
           \output@one@authoren{\the\count@}},\,\,\,\,\,}%
           \xdef\authortable@preamble{\authortable@preamble c@{}}%
         \fi
      \repeat
         \xdef\content@eauthor2{\content@eauthor2\noexpand\\}%
   \else

      \@tempcnta\author@num
      \@tempcntb\author@num
      \divide\@tempcnta\num@eauthor@oneline\relax
      \edef\etitle@row{\the\@tempcnta}%%%行数-1
      \multiply\@tempcnta\num@eauthor@oneline\relax
      \advance\@tempcntb-\@tempcnta
      \edef\etitle@remained{\the\@tempcntb}%%%最終行の人数
%      \typeout{>>>>>>\etitle@row::\etitle@remained}%
%%%%%%%%%%%%%%%%%%%%%%%表示用のプリアンブル作成
      \loop\ifnum\count@<\num@eauthor@oneline
         \advance\count@\@ne
         \xdef\authortable@preamble{\authortable@preamble l@{}}%
      \repeat
%%%まず，1行分ずつ\etitle@row行生成する 
      \count@\z@
      \let\\\relax
      \@whilenum\count@<\etitle@row\relax\do{%
        \@tempcnta\count@
        \@tempcntb\z@
        \multiply\@tempcnta\num@eauthor@oneline\relax
        \loop\ifnum\@tempcntb<\num@eauthor@oneline
           \advance\@tempcntb\@ne
           \advance\@tempcnta\@ne
           \ifnum\@tempcntb=\num@eauthor@oneline\relax

            \ifnum\author@num=\@tempcnta
              \xdef\content@eauthor2{%
              \content@eauthor2\hbox{%
              \output@one@authoren{\the\@tempcnta}}
              \,\\}% % kaigyou
            \else
              \xdef\content@eauthor2{%
              \content@eauthor2\hbox{%
              \output@one@authoren{\the\@tempcnta}}
              %v1.91f
              \kern-3pt,\,\\}% ,+ kaigyou
            \fi

           \else
              \xdef\content@eauthor2{%
             % \content@eauthor2\hbox{\output@one@authoren{\the\@tempcnta}\hspace*{\authorsep}}&}%
              %\content@eauthor2\hbox{\output@one@authoren{\the\@tempcnta}}A}%
            \content@eauthor2\hbox{%
            \output@one@authoren{\the\@tempcnta}},\,\,\,\,\,}%
% GGG
           \fi
        \repeat
%        \typeout{---------}%
        \advance\count@\@ne
      }%
%%%%%%%%%%%最後の行
      \@tempcnta\etitle@row
      \multiply\@tempcnta\num@eauthor@oneline\relax
      \count@\z@
      \loop\ifnum\count@<\etitle@remained\relax
         \advance\count@\@ne
         \advance\@tempcnta\@ne
         \ifnum\count@=\etitle@remained
           \xdef\content@eauthor2{%
   % jidou kaigyou 
           %\content@eauthor2\hbox{\output@one@authoren{\the\@tempcnta}}\\}%
           %\content@eauthor2\hbox{BB \output@one@authoren{\the\@tempcnta}}\\}%
            %\content@eauthor2\hbox{and\ \output@one@authoren{\the\@tempcnta}}\\}%
% saigo
        % saigo ga oneline no num to chigaeba shita 
          %\content@eauthor2\hbox{and\ GGG%
          %\output@one@authoren{\the\@tempcnta}}\hfill\\}%
           \content@eauthor2\hbox{%
             %v1.91f
             ,\ \ %
             \output@one@authoren{\the\@tempcnta}}\hfil\\}%
         \else
           %\content@eauthor2\hbox{\output@one@authoren{\the\@tempcnta}}\hspace*{\authorsep}&}%
           %\content@eauthor2\hbox{\output@one@authoren{\the\@tempcnta}},\,\,}%
           \ifnum\count@=1
             \xdef\content@eauthor2{%
             \content@eauthor2\hbox{\output@one@authoren{\the\@tempcnta}}}%
           \else
             \xdef\content@eauthor2{%
             %\content@eauthor2\hbox{,\,\,\output@one@authoren{\the\@tempcnta}}}%
             %v1.91f
             %\content@eauthor2\hbox{,\,\,\,\,\,\output@one@authoren{\the\@tempcnta}}}%
             \content@eauthor2\hbox{,\,\,\,\,\,\output@one@authoren{\the\@tempcnta}}}%
           \fi
         \fi 
     %
      \repeat
%%%%%%%%%%%
   \fi% % v1.89
   \fi%
   % 人数のifnum
   \egroup
}%

%------------------------------------

% FFF

\let\affiliate@content\@empty

%\def\make@affiliate@content{%
%\bgroup
%\@tempcnta\z@
%\loop\ifnum\@tempcnta<\affiliate@num
%   \advance\@tempcnta\@ne 
%   \let\\\relax
%   \let\makedagger\relax
%   \edef\temp@{%
%      %\makedagger{\the\@tempcnta}&%
%      %\csname affiliate@j@\csname affiliate@label@\the\@tempcnta\endcsname\endcsname\\}
%      \makedagger{\the\@tempcnta}\,%
%\csname affiliate@j@\csname
%affiliate@label@\the\@tempcnta\endcsname\endcsname\,%\  
%         \ifnum\@tempcnta=\affiliate@num%
%            \relax%
%         \else%
%            %,%
%            ,\ \ %
%         \fi%
%}
%   \xdef\affiliate@content{\affiliate@content\temp@}%
%\repeat%
%\egroup
%}
%%

% v1.91h
\newbox\afcheck
\newbox\aflinea
\newbox\aflineaa
\newbox\afconta
\newbox\afcontb
\newbox\afwidth
\newcount\afline
\newcount\afcount
\let\af@cont\@empty
\let\af@cont@pre\@empty
\let\af@check\@empty
\let\af@check@pre\@empty
%\newbox\tempc@

\def\make@affiliate@content{%
\bgroup
\@tempcnta\z@
\afline=\affiliate@num%
\afcount=0 % \advance \afcount by 1
\loop\ifnum\@tempcnta<\affiliate@num
   \advance\@tempcnta\@ne 
   \let\\\relax
   \let\makedagger\relax
   \edef\temp@{%
      %\makedagger{\the\@tempcnta}&%
      %\csname affiliate@j@\csname affiliate@label@\the\@tempcnta\endcsname\endcsname\\}
      \makedagger{\the\@tempcnta}\,%
\csname affiliate@j@\csname
affiliate@label@\the\@tempcnta\endcsname\endcsname\,%\  
         \ifnum\@tempcnta=\affiliate@num%
            \relax%
         \else%
            %,%
            ,\ \ %
         \fi%
   }
   \edef\tempb@{%
      %\makedagger{\the\@tempcnta}\,\csname affiliate@j@\csname
      %\makedagger{\the\@tempcnta}\,\csname affiliate@j@\csname
      %\hbox to \@affimarkwidth{\hfil\makedagger{\the\@tempcnta}\,}\,\csname affiliate@j@\csname
      % v1.91i
      \hbox to \@affimarkwidth{\hfil\makedagger{\the\@tempcnta}\,}\csname affiliate@j@\csname
      affiliate@label@\the\@tempcnta\endcsname\endcsname\,%\  
      \ifnum\@tempcnta=\affiliate@num%
        \relax%
      \else%
        ,\ \ %
      \fi%
   }
%   \edef\tempc@{%
%      \makedagger{\the\@tempcnta}&\,\csname affiliate@j@\csname
%      affiliate@label@\the\@tempcnta\endcsname\endcsname\,%\  
%      \ifnum\@tempcnta=\affiliate@num%
%        \relax%
%      \else%
%        ,\ \ %
%      \fi%
%   }
   \advance \afcount by 1%
   \xdef\af@check@pre{\af@check}%
   \xdef\af@check{\af@check\tempb@}%
   \xdef\af@cont@pre{\af@cont}%
   \xdef\af@cont{\af@cont\tempb@}%
   \global\setbox\afcheck=\hbox{[\af@check]}%
   \global\setbox\afconta=\hbox{[\af@cont]}%
   %\global\setbox\afwidth=\hbox to 165mm{\ }% meyasu % FFF
   \global\setbox\afwidth=\hbox to \@affiwidth{\ }% meyasu
   %\global\setbox\afcontb=\hbox to 165mm{\ }% meyasu
   %\{\the\wd\afcheck\ [\the\afcount] $<$ %\box\aflinea \ 
   %\the\wd\afwidth\ \}\\%\box\aflinea \ 
   \ifdim \wd\afcheck < \wd\afwidth%
     %o.k.\af@check\par
     %o.k.[\af@cont]
   \else%
     %\xdef\af@check@pre{\af@check@pre \\}%
     \xdef\af@check{\tempb@}%
     \global\setbox\afcheck=\hbox{[\af@check]}%
     %\the\wd\afcheck% 
     \xdef\af@cont{\af@cont@pre\\\tempb@}%
     %\af@check@pre \par
     %koeta\af@check \par
     %[\af@cont]
   \fi%
   %\par
   %\xdef\af@cont{\tempb@}%

   \global\setbox\aflinea=\hbox{[\box\aflinea\tempb@]}%
   %\the\wd\aflinea\ [\the\afline]%\box\aflinea \ 
   \global\setbox\aflineaa=\hbox{[\box\aflineaa\tempb@ ]}%
   %\the\wd\aflineaa\ \box\aflineaa \ 
   \xdef\affiliate@content{\affiliate@content\temp@}%
\repeat%
\egroup
}
%

\let\enaffiliate@content\@empty

% v1.91h_2
\newbox\enafcheck
\newbox\enaflinea
\newbox\enaflineaa
\newbox\enafconta
\newbox\enafcontb
\newbox\enafwidth
\newcount\enafline
\newcount\enafcount
\let\enaf@cont\@empty
\let\enaf@cont@pre\@empty
\let\enaf@check\@empty
\let\enaf@check@pre\@empty

\def\make@enaffiliate@content{%
\bgroup
\@tempcnta\z@
\enafline=\affiliate@num
\enafcount=0
\loop\ifnum\@tempcnta<\affiliate@num
   \advance\@tempcnta\@ne 
   \let\\\relax
   %\let\relax
   %\let \relax
   \let\makedagger\relax
%   \edef\temp@{%
%      \makedagger{\the\@tempcnta}&%
%      \csname affiliate@e@\csname affiliate@label@\the\@tempcnta\endcsname\endcsname\\}
   \edef\temp@{%
      \makedagger{\the\@tempcnta}\,%
      \csname affiliate@e@\csname
      affiliate@label@\the\@tempcnta\endcsname\endcsname\,%\  
      %\comma@or@piriod@after@eafiiliate
         %\makedagger{\csname affiliate@label@\temp\endcsname}%
         %\ifnum\@tempcnta=\count@%
         \ifnum\@tempcnta=\affiliate@num%
            \relax%
         \else%
            %,%
            ,\ \ %
         \fi%
   }
   \edef\tempb@{%
      %\makedagger{\the\@tempcnta}\,\csname affiliate@e@\csname
      %\hbox to 5mm{\hfill\makedagger{\the\@tempcnta}\,}\,\csname affiliate@e@\csname
      %\hbox to \@affimarkwidth{\hfil\makedagger{\the\@tempcnta}\,}\,\csname affiliate@e@\csname
      % v1.91i
      \hbox to \@affimarkwidth{\hfil\makedagger{\the\@tempcnta}\,}\csname affiliate@e@\csname
      affiliate@label@\the\@tempcnta\endcsname\endcsname\,%\  
      \ifnum\@tempcnta=\affiliate@num%
        \relax%
      \else%
        ,\ \ %
      \fi%
   }
   \advance \enafcount by 1%
   \xdef\enaf@check@pre{\enaf@check}%
   \xdef\enaf@check{\enaf@check\tempb@}%
   \xdef\enaf@cont@pre{\enaf@cont}%
   \xdef\enaf@cont{\enaf@cont\tempb@}%
   \global\setbox\enafcheck=\hbox{[\enaf@check]}%
   \global\setbox\enafconta=\hbox{[\enaf@cont]}%
   \global\setbox\enafwidth=\hbox to \@affiwidthen{\ }% meyasu % FFF
   \ifdim \wd\enafcheck < \wd\enafwidth%
   \else%
     \xdef\enaf@check{\tempb@}%
     \global\setbox\enafcheck=\hbox{[\enaf@check]}%
     \xdef\enaf@cont{\enaf@cont@pre\\\tempb@}%
   \fi%
   \global\setbox\enaflinea=\hbox{[\box\enaflinea\tempb@]}%
   %\the\wd\aflinea\ [\the\afline]%\box\aflinea \ 
   \global\setbox\enaflineaa=\hbox{[\box\enaflineaa\tempb@ ]}%
   %\the\wd\aflineaa\ \box\aflineaa \ 
   \xdef\enaffiliate@content{\enaffiliate@content\temp@}%
\repeat%
\egroup
}
%




\newif\if@manualauthor

\def\setManualAuthor{%
   \@manualauthortrue
}%


\def\MakeAuthorTable#1{\setManualAuthor
\newcount\manual@author@cnt
\def\author{\@ifstar{\s@author}{\s@author}}
\def\s@author##1##2##3##4{%
   \global\advance\manual@author@cnt\@ne
   \output@one@author{\the\manual@author@cnt}%
}%
\def\author@table{#1}%
}

%% CCC
\if@epaper
% ----------------------------------------------
  \typeout{英語論文用タイトルで出力}
  \typeout{Output The Title of English Paper}
% ----------------------------------------------
\fi
\if@ronbun
% ----------------------------------------------
  \typeout{日本語論文用タイトルで出力}
% ----------------------------------------------
\fi

%% CCC
% v1.90
% ronbun で判定。paperはelseの条件となる。
% ----------------------------------------------
%  \typeout{日本語論文用タイトルで出力}
% ----------------------------------------------
\def\maketitle{%
\@ifundefined{@no}{\@NUMwarning}{\relax}
%%%%%%%%和文表記の出力
% ----------------------------------------------
\if@ronbun
% ----------------------------------------------
\twocolumn[%
%%%%%%%%%%%%%%%%
\bgroup
\@ifundefined{decoration@title}%
   {\vskip2\baselineskip}%
   {\@tempdima2\baselineskip
    \setbox\z@=\hbox{\decoration@title}%
    \advance\@tempdima-\ht\z@
    \advance\@tempdima-\dp\z@
    \copy\z@\nointerlineskip
    \vskip\@tempdima}
\egroup
%----------------------------------- jtitle 
\vskip\jtitletopskip
{\jtitle@font
\offinterlineskip
\begin{center@title}
%\hskip1.2cm
\renewcommand{\arraystretch}{0.8}
\begin{tabular}{@{}l@{}}
\@jtitle
\end{tabular}
\end{center@title}
}%
\par
\vskip\jtitleauthorskip
\noindent
%%%%%%%%%%%%%%%
\if@manualauthor
\setbox\z@=\vbox{\jauthor@font
\def\authorsep{2zw}%
\tabcolsep\authorsep\relax
\tabcolsep.5\tabcolsep
\begin{center@title}
\author@table
\end{center@title}
}%
\if@blind
\phantom{\copy\z@}%
\else
\copy\z@
\fi
%%\prevdepth0pt
%%%%%%%%%%%%%%
\else
\setbox\z@=\vbox{\jauthor@font
\def\authorsep{2zw}%
\make@content@jauthor
\begin{center@title}
\begin{tabular}{@{}\authortable@preamble}%
\content@jauthor%
\end{tabular}%
\end{center@title}%
}%
%%
\if@blind
\phantom{\copy\z@}%
\else
\copy\z@
\fi
%%\prevdepth0pt
\fi
\vskip\jauthoraffiliateskip
\setbox\z@=\vbox{
% v1.91f
%\jaffiliate@font
%\fontsize{11\JQ}{18H}\selectfont
\fontsize{11\JQ}{16H}\selectfont
\make@affiliate@content
\begin{center@title}
% v1.91f <-
  \newlength{\affiy}
  \settowidth{\affiy}{\affiliate@content}
  % YYY
  \ifdim \affiy > \@affiwidth
     %\begingroup
     %\begin{tabular}{p{\@affiwidth}}
     %\affiliate@content %% see FFF % koko.
     %\end{tabular}\\
     % v1.91h
     %{\bf 
     \hspace{\@spaceaffimark}%
     \begin{tabular}{l}
     \af@cont%
     \end{tabular}
     %}
     %\copy\boxa@\\
  \else
     \begin{tabular}{l}
     \affiliate@content %% see FFF % koko.
     \end{tabular}
     %\begin{tabular}{l}
     %\af@cont%
     %\end{tabular}
  \fi
% -> v1.91f
%\begin{tabular}{r}%
%aaaa \affiliate@content
%\end{tabular}%
\end{center@title}
}%
\if@blind
\phantom{\copy\z@}%
\else
\copy\z@
\fi
\vskip\eauthoraffiliateskip
%\vskip3pt
\vskip5pt
%----------------------------------- etitle 
{\etitle@font
\offinterlineskip
\begin{center@title}
\renewcommand{\arraystretch}{1.5}
\begin{tabular}{@{}l@{}}
\@etitle
\end{tabular}
\end{center@title}
}%
\vskip\etitleauthorskip
%%\noindent
%%%%%%%%%%%
%% 英文著者
%% E-Author
\setbox\z@=\vbox{
\eauthor@font
\def\authorsep{0zw}%
\make@content@eauthor2
\begin{center@title}
\begin{tabular}{l}%
\content@eauthor2%2
\end{tabular}%
\end{center@title}
}%
\if@blind
\phantom{\copy\z@}%
\else
\copy\z@
\fi
%% E-Affiliate 
\vskip\eauthoraffiliateskip
\vskip0pt
\setbox\z@=\vbox{
% v1.91f 
%\eaffiliate@font
\fontsize{11\JQ}{11pt}\selectfont
\make@enaffiliate@content
\begin{center@title}
% v1.91f <-
  \newlength{\affix}
  \settowidth{\affix}{\enaffiliate@content}
  % YYY
  \ifdim \affix > \@affiwidthen
     %\begingroup
     %\begin{tabular}{p{\@affiwidthen}}
     %\enaffiliate@content %% see FFF % koko.
     %\end{tabular}
     %\begin{tabular}{p{\@affiwidthen}}
     %\enaffiliate@content %% see FFF % koko.
     %\end{tabular}
     \hspace{\@spaceenaffimark}%
     \begin{tabular}{l}
     \enaf@cont%
     \end{tabular}
     %\begin{tabular}{l}
     %\enaffiliate@content%
     %\end{tabular}
  \else
     %\begin{tabular}{l}
     %\enaffiliate@content %% see FFF % koko.
     %\end{tabular}
     \begin{tabular}{l}
     \enaffiliate@content%
     \end{tabular}
  \fi
% -> v1.91f
%\begin{tabular}{l}%
%\enaffiliate@content % see FFF % koko
%\end{tabular}%
\end{center@title}
}%
\if@blind
\phantom{\copy\z@}%
\else
\copy\z@
\fi
\addvspace{\eaffiliateabstskip}%
\addvspace{10pt}%
% ------------------------------------
%%%%%%%和文アブストラクト
{\abstract@font
\ifvoid\abstractbox\else
   \begin{center@title}
      \leavevmode\copy\abstractbox
   \end{center@title}
   \prevdepth0pt
\fi
%%%%%%%%%和文キーワード%
\ifvoid\keywordbox\else
   \begin{center@title}
      \leavevmode\copy\keywordbox
   \end{center@title}
   \prevdepth0pt
\fi%
\vskip5pt
%%%%%%%%欧文アブストラクト
\ifvoid\eabstractbox\else
   \begin{center@title}
      \leavevmode \copy\eabstractbox 
   \end{center@title}
   \prevdepth0pt
\fi
%%%%%%%%欧文キーワード
\ifvoid\ekeywordbox\else
   \begin{center@title}
      \leavevmode \copy\ekeywordbox
   \end{center@title}
   \prevdepth0pt
\fi%
\par}%
%%%%%%%%%%%%%%%%
\addvspace{\aftertitleskip}%

%% chousei 
%\addvspace{30pt}%

]%
%%%%%%%%英文表記の出力
% ----------------------------------------------
\else
% ----------------------------------------------
\twocolumn[%
%%%%%%%%%%%%%%%%
\bgroup
\@ifundefined{decoration@title}%
   {\vskip2\baselineskip}%
   {\@tempdima2\baselineskip
    \setbox\z@=\hbox{\decoration@title}%
    \advance\@tempdima-\ht\z@
    \advance\@tempdima-\dp\z@
    \copy\z@\nointerlineskip
    \vskip\@tempdima}
\egroup
%----------------------------------- jtitle 
%\vskip\jtitletopskip
%{\jtitle@font
%\offinterlineskip
%\begin{center@title}
%%\hskip1.2cm
%\renewcommand{\arraystretch}{0.8}
%\begin{tabular}{@{}l@{}}
%\@jtitle
%\end{tabular}
%\end{center@title}
%}%
%\par
%\vskip\jtitleauthorskip
%\noindent
%%%%%%%%%%%%%%%
%\if@manualauthor
%\setbox\z@=\vbox{\jauthor@font
%\def\authorsep{2zw}%
%\tabcolsep\authorsep\relax
%\tabcolsep.5\tabcolsep
%\begin{center@title}
%\author@table
%\end{center@title}
%}%
%\if@blind
%\phantom{\copy\z@}%
%\else
%\copy\z@
%\fi
%%%\prevdepth0pt
%%%%%%%%%%%%%%%
%\else
%\setbox\z@=\vbox{\jauthor@font
%\def\authorsep{2zw}%
%\make@content@jauthor
%\begin{center@title}
%\begin{tabular}{@{}\authortable@preamble}%
%\content@jauthor%
%\end{tabular}%
%\end{center@title}%
%}%
%%%%
%\if@blind
%\phantom{\copy\z@}%
%\else
%\copy\z@
%\fi
%%\prevdepth0pt
%\fi
%\vskip\jauthoraffiliateskip
%\setbox\z@=\vbox{\jaffiliate@font
%\make@affiliate@content
%\begin{center@title}
%\begin{tabular}{r}%
%\affiliate@content
%\end{tabular}%
%\end{center@title}
%}%
%\if@blind
%\phantom{\copy\z@}%
%\else
%\copy\z@
%\fi
\vskip\eauthoraffiliateskip
%\vskip3pt
%\vskip5pt
%----------------------------------- etitle 
{\etitle@font
\offinterlineskip
\begin{center@title}
\renewcommand{\arraystretch}{1.5}
\begin{tabular}{@{}l@{}}
\@etitle
\end{tabular}
\end{center@title}
}%
\vskip\etitleauthorskip
%%\noindent
%%%%%%%%%%%
%% 英文著者
\setbox\z@=\vbox{
\eauthor@font
%\def\authorsep{0zw}%
%\make@content@eauthor2
%{\eauthor@font
%\def\authorsep{0zw}%
\make@content@eauthor2
% e ha koko.
\begin{center@title}
\begin{tabular}{l}%
\content@eauthor2%2
\end{tabular}%
% koko GGG
\end{center@title}
}%
\if@blind
\phantom{\copy\z@}%
\else
\copy\z@
\fi
%% E-Affiliate 
\vskip\eauthoraffiliateskip
\vskip0pt
\setbox\z@=\vbox{\eaffiliate@font
\make@enaffiliate@content
% koko.
%HHHHHHHHHHHHHHHH
%\begin{center@title}
%\begin{tabular}{l}%
%\enaffiliate@content
%\end{tabular}%
%\end{center@title}
\begin{center@title}
% v2.01a <-
  %\baselineskip13
  \newlength{\affix}
  \settowidth{\affix}{\enaffiliate@content}
  % YYY
  %{check: \the\affix}
  \ifdim \affix > \@affiwidthen
     %\begingroup
     %\begin{tabular}{p{\@affiwidthen}}
     %\enaffiliate@content %% see FFF % koko.
     %\end{tabular}
     %\begin{tabular}{p{\@affiwidthen}}
     %\enaffiliate@content %% see FFF % koko.
     %\end{tabular}
     \hspace{\@spaceenaffimark}%
     %\renewcommand{\arraystretch}{2.5}
     %\setlength{\baselineskip}{13H}
     %\baselineskip13
     \begin{tabular}{l}
     \enaf@cont%
     \end{tabular}
     %\renewcommand{\arraystretch}{1.0}
     %\begin{tabular}{l}
     %\enaffiliate@content%
     %\end{tabular}
  \else
     %\begin{tabular}{l}
     %\enaffiliate@content %% see FFF % koko.
     %\end{tabular}
     \begin{tabular}{l}
     \enaffiliate@content%
     \end{tabular}
  \fi
% -> v1.91f
%\begin{tabular}{l}%
%\enaffiliate@content % see FFF % koko
%\end{tabular}%
\end{center@title}
}%
\if@blind
\phantom{\copy\z@}%
\else
\copy\z@
\fi
%
%
%
\addvspace{\eaffiliateabstskip}%
\addvspace{10pt}%
% ------------------------------------
%%%%%%%和文アブストラクト
{\abstract@font
%\ifvoid\abstractbox\else
%   \begin{center@title}
%      \leavevmode\copy\abstractbox
%   \end{center@title}
%   \prevdepth0pt
%\fi
%%%%%%%%%%和文キーワード%
%\ifvoid\keywordbox\else
%   \begin{center@title}
%      \leavevmode\copy\keywordbox
%   \end{center@title}
%   \prevdepth0pt
%\fi%
%\vskip5pt
%%%%%%%%欧文アブストラクト
\ifvoid\eabstractbox\else
   \begin{center@title}
      \leavevmode \copy\eabstractbox 
   \end{center@title}
   \prevdepth0pt
\fi
%%%%%%%%欧文キーワード
\ifvoid\ekeywordbox\else
   \begin{center@title}
      \leavevmode \copy\ekeywordbox
   \end{center@title}
   \prevdepth0pt
\fi%
\par}%
%%%%%%%%%%%%%%%%
\addvspace{\aftertitleskip}%

%% chousei 
%\addvspace{30pt}%

]%
\fi
% ----------------------------------------------
%% CCC
%
\if@delete@eauthor\else
\bgroup
\if@blind
\def\@makefntext##1{%
   \footnotesize\baselineskip13\h\parindent 2.25mm
   \setlength{\leftmargin}{11H}%
   \advance\linewidth-\leftmargin
   \advance\@totalleftmargin\leftmargin
   \@setpar{{\@@par}}%
   \parshape1 \@totalleftmargin \linewidth
   \ignorespaces
   \noindent
   \setbox\z@=\vbox{##1}%
   \phantom{\copy\z@}%
}%
\else
\def\@makefntext##1{%
   \footnotesize\baselineskip13\h\parindent 2.25mm
   \setlength{\leftmargin}{11H}%
   \advance\linewidth-\leftmargin
   \advance\@totalleftmargin\leftmargin
   \@setpar{{\@@par}}%
   \parshape1 \@totalleftmargin \linewidth
   \ignorespaces
   \noindent##1}%
\fi
\if@manual@eauthor
   %%
  %%\footnotetext[1]{\@eauthorfootnot}%
  \footnotetext[1]{\@eauthorfootnot}%
\else
   \make@eaffiliate@group
   \make@member@list
   %%\footnotetext[1]{``\@etitle''\space by\space\output@egroup}%
   %% {``\@etitle''\space by\space\output@egroup}%
\fi
%
\egroup
\fi
%%%%%%%%%%%%%%%
\thispagestyle{TITLEheadings}% matu
}
% CCC
% ----------------------------------------------


%%%%%%%%
\def\center@title{\parsep\z@\topsep\z@\partopsep\z@
                  \trivlist
                  \centering\item\relax}
\def\endcenter@title{\endtrivlist}
%%%%%%%%%%

%%%和文アブストラクト
\newbox\abstractbox

\def\jabstractsetup#1{%
   \@parboxrestore
 %  \hsize123.75mm%%11Q45文字
   \hsize155mm%%11Q45文字
   \linewidth\hsize
   \abstract@font
   \dimen@\baselineskip
   \everypar={\rule[-\Cdp]{\z@}{\dimen@}\textbf{#1}\parindent1zw\everypar={}}
}

\def\abstractsetup#1{%
   \@parboxrestore
   \hsize155mm%
   \linewidth\hsize
   \abstract@font
   \dimen@\baselineskip
   \everypar={\rule[-\Cdp]{\z@}{\dimen@}\textbf{#1}\parindent=1zw\everypar={}}
}


\def\abstract{%
   \global\setbox\abstractbox=\vbox\bgroup%
   \jabstractsetup{\<〈あらまし〉\<\hskip1zw}
}

\def\endabstract{\egroup}%

%%%和文キーワード
\newbox\keywordbox

\def\keyword{%
   \global\setbox\keywordbox=\vbox\bgroup%
   \jabstractsetup{キーワード{\mc ：}}%%設定は和文アブストラクトと共有
}%

\def\endkeyword{\egroup}


%%%欧文アブストラクト
\newbox\eabstractbox

\def\eabstract{%
   \global\setbox\eabstractbox=\vbox\bgroup%
   %\jabstractsetup{\<〈Summary〉\<\hskip1em}%%設定は和文アブストラクトと共有
   %\jabstractsetup{\<$<$Summary$>$\<\hskip1em}%%設定は和文アブストラクトと共有
   \abstractsetup{\<$<$Summary$>$\<\hskip1em}%%設定は和文アブストラクトと共有
}

\def\endeabstract{\egroup}%


%%%欧文キーワード
\newbox\ekeywordbox

\def\ekeyword{%
   \global\setbox\ekeywordbox=\vbox\bgroup%
   %\jabstractsetup{Key~words{\rm :~}}%%設定は和文アブストラクトと共有
   %\jabstractsetup{Keywords{\rm :~}}%%設定は和文アブストラクトと共有
   \abstractsetup{Keywords{\rm :~}}%%設定は和文アブストラクトと共有
}

\def\endekeyword{\egroup}%


%%%%手動の脚注
%\newif\if@manual@eauthor
%
%\def\eauthorfootnote#1{%
%   \@manual@eauthortrue
%   \def\@eauthorfootnot{#1}%
%}
%
%%%%タイトルページの脚注の消去
%\newif\if@delete@eauthor
%
%\def\DeleteAuthorfootnote{\@delete@eauthortrue}


%%%手動の脚注
\newif\if@manual@eauthor

\def\eauthorfootnote#1{%
   \@manual@eauthortrue
   \def\@eauthorfootnot{#1}%
}

%%%タイトルページの脚注の消去
\newif\if@delete@eauthor

\def\DeleteAuthorfootnote{\@delete@eauthortrue}



%%%%%%%%%%%%%%%%パラメータ

%%%会員の種別
\def\m@member{Member}
\def\ms@member{Members}
\def\n@member{Nonmember}
\def\ns@member{Nonmembers}
\def\s@member{Student Member}
\def\m@jmember{正会員}
\def\n@jmember{}
\def\f@jmember{フェロー}
\def\s@jmember{学生会員}
\def\s@emember{Student Member}
\def\m@emember{Member}
\def\ms@emember{Members}
\def\f@emember{Fellow}
\def\n@emember{}


%%%和文著者名で一列に並べる人数
\def\setjauthoroneline#1{%
   \def\num@jauthor@oneline{#1}%
}%
\setjauthoroneline{4}
%%%英文著者名で一列に並べる人数
\def\seteauthoroneline#1{%
   \def\num@eauthor@oneline{#1}%
}%
%\seteauthoroneline{4}
%GGG
\seteauthoroneline{4}
%%%和文タイトルのフォント
\def\jtitle@font{\bfseries\fontsize{18\JQ}{31H}\selectfont}
%%%英文タイトルのフォント
\def\etitle@font{\bfseries\fontsize{16\JQ}{16H}\selectfont}
%\def\etitle@font{\sf\fontsize{16\JQ}{16H}\selectfont}
%\def\etitle@font{\fontsize{16\JQ}{20H}\selectfont}
%%和文著者名のフォントと行間
\def\jauthor@font{\fontsize{14\JQ}{20H}\selectfont}
%%英文著者名のフォントと行間
%\def\eauthor@font{\fontsize{12\JQ}{12H}\selectfont}
\def\eauthor@font{\fontsize{12\JQ}{18H}\selectfont}
%%会員種別のフォントと行間
\def\jmember@font{\fontsize{11Q}{0H}\selectfont}
%%会員種別のフォントと行間
%\def\emember@font{\fontsize{12Q}{0H}\selectfont}
\def\emember@font{\fontsize{11Q}{0H}\selectfont}
%%和文所属のフォントと行間
%\def\jaffiliate@font{\relax}
\def\jaffiliate@font{\fontsize{11\JQ}{18H}\selectfont}
%%英文所属のフォントと行間
%\def\eaffiliate@font{\relax}
%\def\eaffiliate@font{\fontsize{11\JQ}{0H}\selectfont}
\def\eaffiliate@font{\fontsize{11\JQ}{13H}\selectfont}
%%和文タイトル前の空白
\def\jtitletopskip{\baselineskip}
%%英文タイトル前の空白
\def\etitletopskip{\baselineskip}
%%和文タイトルと和文著者名の間の空白
\def\jtitleauthorskip{\baselineskip}
%%英文タイトルと和文著者名の間の空白
%\def\etitleauthorskip{2pt}
\def\etitleauthorskip{\baselineskip}
%%和文著者名と所属の間の空白
\def\jauthoraffiliateskip{\baselineskip}
%%英文著者名と所属の間の空白
\def\eauthoraffiliateskip{\baselineskip}
%%和文所属と本文領域の間の空白
\def\jaffiliateabstskip{\baselineskip}
%%英文所属と本文領域の間の空白
\def\eaffiliateabstskip{\baselineskip}
%%和文アブストラクトのフォントと行間
%\def\abstract@font{\fontsize{11\JQ}{18.5H}\selectfont}
\def\abstract@font{\fontsize{12\JQ}{18.5H}\selectfont}
%%英文アブストラクトのフォントと行間
%\def\eabstract@font{\fontsize{11\JQ}{18.5H}\selectfont}
\def\eabstract@font{\fontsize{12\JQ}{18.5H}\selectfont}

%%%タイトル部分の最後と本文の間隔
\def\aftertitleskip{1.5\baselineskip}
%\def\aftertitleskip{\vfill}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newif\iflong@familyname
\newif\iflong@personalname
\newif\ifwrapped@profile


\def\split@authorname#1 #2 #3\@nil{%
   \def\author@family{#1}%
   \def\author@personal{#2}%
}%

% v1.84
% v1.85
%\def\print@authorname@ruby#1{%
%\bgroup
%\author@ruby@font
%\author@ruby@size
%%\tiny
%#1
%\egroup
%%\vskip-5pt
%\vskip-3pt
%}%


\def\print@authorname{%
\leavevmode
\bgroup
\author@font\author@size
\iflong@familyname%%\author@family
      \hbox{\author@family}%
   \else
      \ifnum\num@family=\@ne
         \hbox to\author@family@width{\author@family\hss}%
      \else
         \hbox to\author@family@width{\kanjiskip0pt plus 1fill\author@family\hss}%
      \fi
\fi%
\hskip\author@name@sep\relax
\iflong@personalname
      \author@personal
   \else
      \ifnum\num@personal=\@ne
         \def\@temp{\hss}%
      \else
         \def\@temp{\kanjiskip0pt plus 1fill}%
      \fi
   \hbox to\author@personal@width{\@temp\author@personal}%
\fi%
\egroup
\long@familynamefalse
\long@personalnamefalse
}%


\def\print@member{%
\bgroup
   \member@font
   \member@size
   \@member
\egroup
}

\def\print@emember{%
\bgroup
   \emember@font
   \emember@size
   %\@emember
   \@kemember
\egroup
}

%%%% nihongo 

\long\def\local@addto@macro#1#2{%
  \begingroup
    \toks@\expandafter{#1#2}%
    \xdef#1{\the\toks@}%
  \endgroup}


\def\calculate@wrapped@or@not#1{%
   \@tempdima\linewidth
   \advance\@tempdima-\pic@width\relax
   \advance\@tempdima-\pic@profile@sep\relax
   \setbox\z@=\vbox{\hsize\@tempdima
      \profile@font
      \profile@size
      #1}%
   \@tempdimb\ht\z@
   \advance\@tempdimb\dp\z@
   \advance\@tempdimb-\pic@profile@sep\relax
%%@tempdimaは紹介文の幅
%%%紹介文領域が，
%%%写真の高さ+下の空き(\pic@profile@sep)以上ならば回り込み
%%%そうでなければ回り込まない
   \ifdim\@tempdimb<\pic@height\relax
      \wrapped@profilefalse%%回り込まない
%  \def\argument@parshape{2 \z@ \linewidth \dimen@ \@tempdima}
   \else
      \wrapped@profiletrue%%回り込む
%%%%%%%%%%%回り込む場合は\parshapeの引数を計算する
      \profile@font
      \profile@size
      \@tempcnta\baselineskip
      \dimen@\pic@height\relax
      \advance\dimen@\pic@profile@sep\relax
      \@tempcntb\dimen@
      \divide\@tempcntb\@tempcnta
%\advance\@tempcntb\@ne
%%%\@tempcntb行分が写真の右に入る
%%したがって，\parshapeは
%%\parshape (\@tempcntb+1) \z@ \linewidth
%%  (\pic@width+\pic@profile@sep)(\linewidth - \pic@width - \pic@profile@sep) 
%%  を \@tempcntb-1 回繰り返す
%%  \z@ \leinwidth
%%となる
%%
      \dimen@\pic@profile@sep
      \advance\dimen@\pic@width
      \@tempdima\linewidth
      \advance\@tempdima-\dimen@
      \@tempcnta\@tempcntb
      \advance\@tempcnta\@ne
      \edef\argument@parshape{\the\@tempcnta \z@ \linewidth}%
      \@tempcnta\@tempcntb
      \advance\@tempcnta\m@ne
      \count@\z@
      \loop\ifnum\count@<\@tempcnta
         \g@addto@macro{\argument@parshape}{\dimen@\@tempdima}%
         \advance\count@\@ne
      \repeat
      \g@addto@macro{\argument@parshape}{\z@ \linewidth}%
%%   \edef\argument@parshape{\argument@parshape}%
%%\typeout{>>>>>\meaning\argument@parshape}%
%%%%%%%%%%%%
   \fi}


\def\wrapped@picture#1{%
   \bgroup
   \leavevmode
   \parshape\argument@parshape
   \vtop to\z@{\hsize\pic@width\leavevmode\hbox{}\par\vskip-\Cht%
%         \includegraphics[width=\pic@width, height=\pic@height]{\author@pic}%
%\IfFileExists{\author@pic.eps}{true}{false}
%   \IfFileExists{\author@pic.eps}
%     {\includegraphics[width=\pic@width,
%       height=\pic@height]{\author@pic}}%
%{{\fboxsep-\fboxrule\fbox{\makebox(10,10){}}}}%
   \IfFileExists{\author@pic.eps}
     {\includegraphics[width=\pic@width, height=\pic@height]{\author@pic}}%
     {\IfFileExists{\author@picd.eps}
     {\includegraphics[width=\pic@width, height=\pic@height]{\author@picd}}%
     {{\fboxsep-\fboxrule\fbox{\makebox(10,10){}}}}}%
      \vss}%
   \hskip\pic@profile@sep\relax
   \profile@font
   \profile@size
   #1
   \par
   \egroup}


% kochira
\def\not@wrapped@picture#1{%
\leavevmode
\bgroup
   \profile@font
   \profile@size
   %\vtop to\z@{\hsize\pic@width\leavevmode\hbox{}\par\vskip-\Cht%
   %\vtop to\z@{\hsize\pic@width\leavevmode\hbox{}\par\vskip-25pt% %v1.85
   \vtop to\z@{\hsize\pic@width\leavevmode\hbox{}\par\vskip-21pt% %v1.87
%      \includegraphics[width=\pic@width, height=\pic@height]{\author@pic}
   \IfFileExists{\author@pic.eps}
     {\includegraphics[width=\pic@width, height=\pic@height]{\author@pic}}%
     {\IfFileExists{\author@picd.eps}
     {\includegraphics[width=\pic@width, height=\pic@height]{\author@picd}}%
     {{\fboxsep-\fboxrule\fbox{\makebox(10,10){}}}}}%
      \vss}%
   \hskip\pic@profile@sep\relax
  % \vtop to\pic@height{\hsize\@tempdima
  %  #1\vss}%
  % #1
   \vtop to26mm{\hsize\@tempdima
    #1\vss}%
  %\vskip1\Cdp
   \par\prevdepth\z@
\egroup}%



\def\biography{\vskip1\Cvs%
   \parindent0pt
   \def\m@member{正会員}%
   \def\f@member{フェロー}%
   \def\s@member{学生会員}%
   \let\n@member\@empty%
   \def\author@family@width{3zw}%
   \def\author@personal@width{3zw}%
   \def\author@name@sep{1zw}%
   %-------------------------
   %\def\author@ruby@font{\normalfont\gtfamily}% v185
   %\def\author@ruby@size{\scriptsize}% %v184
   %\def\author@ruby@size{\tiny}% %v184
   %-------------------------
   \if@epaper
   \def\author@font{\normalfont\bf}%
   \else
   \def\author@font{\normalfont\gtfamily}%
   \fi
   \def\author@size{\normalsize}%
   %\def\author@vsep{2mm}%
   %\def\author@vsep{3mm}%
   \def\author@vsep{5mm}%
   \def\auhor@member@sep{1zw}%
   \def\member@font{\normalfont}%
   \def\member@size{\small}%
   \def\emember@font{\normalfont}%
   \def\emember@size{\small}%
   %\def\name@pic@sep{2mm}%
   \def\name@pic@sep{2mm}% % name no shita 
   \def\pic@width{20mm}%
   \def\pic@height{30mm}%
   \def\profile@font{\normalfont}%
   %\def\profile@size{\small\baselineskip13\h}%{\normalsize}%
   \def\profile@size{\small\baselineskip16\h}%{\normalsize}% % o.k.
   %\def\profile@size{\normalsize\baselineskip18\h}%{\normalsize}% % o.k.
   %\def\pic@profile@sep{9mm}%
   %\def\pic@profile@sep{8mm}%
   %\def\pic@profile@sep{6mm}%
   \def\pic@profile@sep{3mm}%
   \let\@org@newpage\newpage
%  \let\newpage\newpage@biography
   %\let\author\author@biography}%
   \let\bioauthor\bioauthor@biography}%
\def\endbiography{\par}


\newif\if@manual@authorname

\def\author@biography{%
   \@ifstar{\@manual@authornametrue\@@author@biography}%
           {\@manual@authornamefalse\@@author@biography}%
}%
\def\@@author@biography#1#2{%
   \@ifnextchar[{\@author@biography{#1}{#2}}%]
                {\@author@biography{#1}{#2}[\relax]}
}

\def\bioauthor@biography{%
   \@ifstar{\@manual@authornametrue\@@bioauthor@biography}%
           {\@manual@authornamefalse\@@bioauthor@biography}%
}%

\def\@@bioauthor@biography#1#2{%
   \@ifnextchar[{\@bioauthor@biography{#1}{#2}}%]
                {\@bioauthor@biography{#1}{#2}[\relax]}
}
%\def\@@bioauthor@biography#1#2#3{%
%   \@ifnextchar[{\@bioauthor@biography{#1}{#2}{#3}}%]
%                {\@bioauthor@biography{#1}{#2}{#3}[\relax]}
%}

\newcount\num@bibauthor

%\def\@bioauthor@biography#1#2#3[#4]#5{
% CCC
% ---------------------------------------
\def\@bioauthor@biography#1#2[#3]#4{
% ---------------------------------------
\if@ronbun
% ---------------------------------------
%%%#1 会員種別 #2 yomikana #3 姓 名(半角空白区切) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%#3 写真画像名（オプション）#4 紹介文
%%%\@memberには会員種別として最終的に表示される文字列が入る
   \expandafter\let\expandafter\@temp\csname #1@member\endcsname
   \ifx\@temp\@empty\edef\@member{}
      \else\edef\@member{\inhibitglue（\@temp）\inhibitglue}
   \fi
%%%%%%%%%%%%
   \advance\num@bibauthor\@ne
%   \gdef\@bioruby{#2}
%%%著者姓名の分離
   \split@authorname#2 \@nil
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\if@manual@authorname%%%著者名手動のモードの処理
   \long@personalnametrue
   \long@familynametrue
\else
%%%著者姓の文字数
%%%3文字を超える場合は\long@familynametrueとする
   \count@\z@
   \expandafter\@tfor\expandafter\temp\expandafter:\expandafter=\author@family
      \do{\advance\count@\@ne}%
   \edef\num@family{\the\count@}%
   \ifnum\count@>\thr@@\long@familynametrue\fi
%%%著者名の文字数
%%%3文字を超える場合は\long@personalnametrueとする
   \count@\z@
   \expandafter\@tfor\expandafter\temp\expandafter:\expandafter=\author@personal
      \do{\advance\count@\@ne}%
   \edef\num@personal{\the\count@}%
   \ifnum\count@>\thr@@\long@personalnametrue\fi
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\fi
%% v1.85
%\par
\par\prevdepth-1000pt
\vskip\name@pic@sep\relax
\if#3\relax
   \def\author@pic{author\the\num@bibauthor}
   %\def\author@picd{\.\/author\/author\the\num@bibauthor}
   \def\author@picd{author/author\the\num@bibauthor}
   %\def\author@picd{aaa\the\num@bibauthor}
\else
   \def\author@pic{#3}
   %\def\author@picd{#4}
\fi
%%%著者名ルビ表示
%\hspace*{2.8cm}\print@authorname@ruby{#2}  %\\
%\hspace*{2.3cm}\print@authorname@ruby{#2}  %\\ % v1.85
%\hspace*{2.3cm}\print@authorname@ruby{#2}  %\\ % v1.87
%%%著者名表示
%\hspace*{2.8cm}\print@authorname %\\
\hspace*{2.3cm}\print@authorname %\\
%%%著者名と種別表示の間隔
   \hskip\auhor@member@sep\relax
%%%会員種別表示
   \print@member \\
%%
\calculate@wrapped@or@not{#4}%
   \not@wrapped@picture{#4} %v1.85
\par\prevdepth-1000pt
\vskip\author@vsep
% CCC
% ---------------------------------------
\else
% ---------------------------------------
%%%#1 会員種別 #2 yomikana #3 姓 名(半角空白区切) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%#3 写真画像名（オプション）#4 紹介文
%%%\@ememberには会員種別として最終的に表示される文字列が入る
   \expandafter\let\expandafter\@temp\csname #1@emember\endcsname
   \ifx\@temp\@empty\edef\@emember{}
     \gdef\@kemember{}
    %  \else\edef\@emember{(\@temp)}
      \else\edef\@emember{\@temp}
      \gdef\@kemember{(\kern-.05zw{\it \@emember}\kern.10zw)}
   \fi
%%%%%%%%%%%%
   \advance\num@bibauthor\@ne
%   \gdef\@bioruby{#2}
%%%著者姓名の分離
   \split@authorname#2 \@nil
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\if@manual@authorname%%%著者名手動のモードの処理
   \long@personalnametrue
   \long@familynametrue
\else
%%%著者姓の文字数
%%%3文字を超える場合は\long@familynametrueとする
   \count@\z@
   \expandafter\@tfor\expandafter\temp\expandafter:\expandafter=\author@family
      \do{\advance\count@\@ne}%
   \edef\num@family{\the\count@}%
   \ifnum\count@>\thr@@\long@familynametrue\fi
%%%著者名の文字数
%%%3文字を超える場合は\long@personalnametrueとする
   \count@\z@
   \expandafter\@tfor\expandafter\temp\expandafter:\expandafter=\author@personal
      \do{\advance\count@\@ne}%
   \edef\num@personal{\the\count@}%
   \ifnum\count@>\thr@@\long@personalnametrue\fi
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\fi
%% v1.85
%\par
\par\prevdepth-1000pt
\vskip\name@pic@sep\relax
\if#3\relax
   \def\author@pic{author\the\num@bibauthor}
   %\def\author@picd{\.\/author\/author\the\num@bibauthor}
   \def\author@picd{author/author\the\num@bibauthor}
   %\def\author@picd{aaa\the\num@bibauthor}
\else
   \def\author@pic{#3}
   %\def\author@picd{#4}
\fi
%%%著者名ルビ表示
%\hspace*{2.8cm}\print@authorname@ruby{#2}  %\\
%\hspace*{2.3cm}\print@authorname@ruby{#2}  %\\ % v1.85
%\hspace*{2.3cm}\print@authorname@ruby{#2}  %\\ % v1.87
%%%著者名表示
%\hspace*{2.8cm}\print@authorname %\\
\hspace*{2.3cm}\print@authorname %\\
%%%著者名と種別表示の間隔
   \hskip\auhor@member@sep\relax
%%%会員種別表示
   \print@emember \\
%%
\calculate@wrapped@or@not{#4}%
   \not@wrapped@picture{#4} %v1.85
\par\prevdepth-1000pt
\vskip\author@vsep
\fi
% ---------------------------------------
}%
% ---------------------------------------
% CCC

\def\@author@biography#1#2[#3]#4{%%%#1 会員種別 #2 姓 名(半角空白区切) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%#3 写真画像名（オプション）#4 紹介文
%%%\@memberには会員種別として最終的に表示される文字列が入る
   \expandafter\let\expandafter\@temp\csname #1@member\endcsname
   \ifx\@temp\@empty\edef\@member{}
      \else\edef\@member{\inhibitglue（\@temp）\inhibitglue}
   \fi
%%%%%%%%%%%%
   \advance\num@bibauthor\@ne
%%%著者姓名の分離
   \split@authorname#2 \@nil
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\if@manual@authorname%%%著者名手動のモードの処理
   \long@personalnametrue
   \long@familynametrue
\else
%%%著者姓の文字数
%%%3文字を超える場合は\long@familynametrueとする
   \count@\z@
   \expandafter\@tfor\expandafter\temp\expandafter:\expandafter=\author@family
      \do{\advance\count@\@ne}%
   \edef\num@family{\the\count@}%
   \ifnum\count@>\thr@@\long@familynametrue\fi
%%%著者名の文字数
%%%3文字を超える場合は\long@personalnametrueとする
   \count@\z@
   \expandafter\@tfor\expandafter\temp\expandafter:\expandafter=\author@personal
      \do{\advance\count@\@ne}%
   \edef\num@personal{\the\count@}%
   \ifnum\count@>\thr@@\long@personalnametrue\fi
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\fi
%%%著者名表示
   \print@authorname
%%%著者名と種別表示の間隔
   \hskip\auhor@member@sep\relax
%%%会員種別表示
   \print@member
%%
\par
\prevdepth-1000pt
\vskip\name@pic@sep\relax
%%回り込みのための計算
%%回り込まないならば\wrapped@profilefalse
%%回り込むならば\wrapped@profiletrueで
%%\parshapeの引数\argument@parshapeも構築
\if#3\relax
   \def\author@pic{author\the\num@bibauthor}
   %\def\author@picd{\.\/author\/author\the\num@bibauthor}
   \def\author@picd{author/author\the\num@bibauthor}
   %\def\author@picd{aaa\the\num@bibauthor}
\else
   \def\author@pic{#3}
   %\def\author@picd{#3}
\fi
\calculate@wrapped@or@not{#4}%
%%写真表示
%\leavevmode
%%もし#3にファイル名があればそのファイルを使う
%%なければa1.eps，a2.epsなどをつかう．
%%ただし，指定されたファイルが存在しなければ，ダミーの画像にする．
\ifwrapped@profile
   \wrapped@picture{#4}%
\else
%\parshape\argument@parshape
   \not@wrapped@picture{#4}
\fi
\par\prevdepth-1000pt
\vskip\author@vsep
}%

\def\newpage@biography{\newpage}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%欧文用の処理 English
\ifnum\@lang=\z@
% v1.91a
\if@epaper
\newcommand{\received}[3]{\par\hfill{\small(Received 
%
%#1
 \ifcase #2\or 
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\else
   xxx\fi
%
\ #3, #1)}
\vskip5pt
%\par
}
\newcommand{\revised}[3]{%\par
\vskip-8pt
\hfill{\small(Revised 
%
%#1
 \ifcase #2\or 
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\else
   xxx\fi
%
\ #3, #1)}\vskip5pt
%\par
}
\else
\newcommand{\received}[3]{\par\hfill{\normalsize(#1年#2月#3日\ 受付)}\par}
\newcommand{\revised}[3]{\par\hfill{\normalsize(#1年#2月#3日\ 再受付)}\par}
\fi
\else
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%英語論文用 English 

\newcommand{\received}[3]{\par\hfill{\normalsize(Received 
%
%#1
 \ifcase #2\or 
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\else
   xxx\fi
%
\ #3, #1)}\par}
\newcommand{\revised}[3]{\par\hfill{\normalsize(Revised 
%
%#1
 \ifcase #2\or 
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\else
   xxx\fi
%
\ #3, #1)}\par}



\def\title{\@dblarg{\title@}}
\def\title@[#1]#2{%
   \def\hd@jtitle{#1}%%%本当ならば\hd@title
   \def\@jtitle{#2}%本当ならば\hd@jtitle
}%


\newcount\author@num
\author@num\z@

%%%\author
%%% #1 : 会員種別 m，n
%%% #2 : 名前
%%% #3 : 所属ラベル
\def\author#1#2#3{%
   \advance\author@num\@ne
   \@namedef{type@\the\author@num}{#1}
   \@namedef{author@\the\author@num}{#2}
   \expandafter\edef\csname author@labels@\the\author@num\endcsname
      {\zap@space#3 \@empty}%
}%

%%%
%%%\affiliate
%%% #1 : ラベル
%%% #2 : 欧文所属
%%%
%%% すでに使われたラベルが再び使われるとエラーとなる
%%% ラベルは以下のように管理される
%%%
%%% ラベルが <LABEL> であるとき
%%% ラベル番号 \affiliate@label@<LABEL>
%%% 欧文所属 \affiliate@e@<LABEL>
%%% ラベル番号<n>のラベル \affiliate@label@<n>

\newcount\affiliate@num
\affiliate@num\z@

\let\elt@affiliate\relax

\def\affiliate#1#2{%
   \advance\affiliate@num\@ne
   \expandafter\ifx\csname affiliate@label@#1\endcsname\relax
      \expandafter\edef\csname affiliate@label@#1\endcsname
         {\the\affiliate@num}
      \@namedef{affiliate@e@#1}{#2}
   \else
      \def\definedlabel{#1}%
      \redefined@affiliate@label@error%
   \fi
%%%%%%%%%%%%
   \@namedef{affiliate@label@\the\affiliate@num}{#1}
}

%%%ラベルの多重定義のエラー
\def\redefined@affiliate@label@error{%
   \GenericError{\space\space\space\@spaces\@spaces\@spaces}%
       {iieej class Error^^J
        Already defined, ``\definedlabel''}{See the manual}{\@eha}%
}



%%%%%%%%%%%%%%%%%%%%%%

\def\comma@or@empty#1{%
   \ifnum#1=\author@num
      \relax%
   \else
      ,\ %
   \fi
}%


%%%%%%%%%%%%%%%%%%%%%
\def\breakauthorline#1{%
   \edef\temp@list{\zap@space#1 \@empty}%
   \@for\temp:=\temp@list\do{%
      \expandafter\gdef\csname break@author@\temp\endcsname{\unskip\@centercr}%
   }%
}

%%%%%%%%%%%%%%%%%%%%%%

\def\m@e@member{Member}
\let\n@e@member\@empty

\def\output@membership#1{%
   \expandafter\let\expandafter\@temp
      \csname\csname type@#1\endcsname @e@member\endcsname
   \if\@temp\@empty\else
      ~{\member@font(\csname\csname type@#1\endcsname @e@member\endcsname)}%
   \fi
}%

%%%%%%%%%%


\def\output@dagger#1{%
\bgroup
\ifnum\affiliate@num=\@ne
   \relax
\else
   \edef\label@list{\csname author@labels@#1\endcsname}%
   \count@\z@
   \@tempcnta\z@
   \@for\temp:=\label@list\do{\advance\count@\@ne}%
   \null\@textsuperscript{%
      \@for\temp:=\label@list\do{%
%%\typeout{>>>>>>>>>>>\temp}%
         \advance\@tempcnta\@ne%
         \makedagger{\csname affiliate@label@\temp\endcsname}%
         \ifnum\@tempcnta=\count@%
            \relax%
         \else%
            ,%
         \fi%
      }%
   }%
\fi
\egroup
}%


%\def\makedagger#1{%
%   \bgroup%
%      \@tempcnta\z@
%      \@whilenum\@tempcnta<#1\do{${\dagger}$\advance\@tempcnta\@ne}%
%   \egroup%
%}%



%\let\affiliate@content\@empty
%
%\def\make@affiliate@content{%
%\bgroup
%\@tempcnta\z@
%\loop\ifnum\@tempcnta<\affiliate@num
%   \advance\@tempcnta\@ne 
%   \let\\\relax
%   \let\makedagger\relax
%   \ifnum\affiliate@num=\@ne
%      \edef\temp@{%
%         \csname affiliate@e@\csname affiliate@label@\the\@tempcnta\endcsname\endcsname\\}
%%      \xdef\affiliate@content{\affiliate@content\temp@}%
%   \else
%      \edef\temp@{%
%         \makedagger{\the\@tempcnta}&%
%         \csname affiliate@e@\csname affiliate@label@\the\@tempcnta\endcsname\endcsname\\}
%%      \xdef\affiliate@content{\affiliate@content\temp@}%
%   \fi
%   \xdef\affiliate@content{\affiliate@content\temp@}%
%\repeat%
%\egroup
%}


%\let\enaffiliate@content\@empty
%
%\def\make@enaffiliate@content{%
%\bgroup
%\@tempcnta\z@
%\loop\ifnum\@tempcnta<\affiliate@num
%   \advance\@tempcnta\@ne 
%   \let\\\relax
%   \let\makedagger\relax
%   \ifnum\affiliate@num=\@ne
%      \edef\temp@{%
%         \csname affiliate@e@\csname affiliate@label@\the\@tempcnta\endcsname\endcsname\\}
%%      \xdef\affiliate@content{\affiliate@content\temp@}%
%   \else
%      \edef\temp@{%
%         \makedagger{\the\@tempcnta}&%
%         \csname affiliate@e@\csname affiliate@label@\the\@tempcnta\endcsname\endcsname\\}
%%      \xdef\affiliate@content{\affiliate@content\temp@}%
%   \fi
%   \xdef\enaffiliate@content{\enaffiliate@content\temp@}%
%\repeat%
%\egroup
%}
%



\def\maketitle{%
\twocolumn[%
\bgroup
\@ifundefined{decoration@title}%
   {\vskip2\baselineskip}%
   {\@tempdima2\baselineskip
    \setbox\z@=\hbox{\decoration@title}%
    \advance\@tempdima-\ht\z@
    \advance\@tempdima-\dp\z@
    \copy\z@\nointerlineskip
    \vskip\@tempdima}
\egroup
%%%%%%%%タイトル
{\title@font
\offinterlineskip
\begin{center@title}
\begin{tabular}{@{}l@{}}
\@jtitle
\end{tabular}
\end{center@title}}%
%%%%%%%%%%%%%%
\vskip\titleauthorskip
%%%%%%%%著者名
\setbox\z@=\vbox{\author@font
\begin{center@title}
\count@\z@
   \loop\ifnum\count@<\author@num
      \advance\count@\@ne
      \@nameuse{author@\the\count@}%
      \output@dagger{\the\count@}%
      \output@membership{\the\count@}%
      \comma@or@empty{\count@}%
      \csname break@author@\the\count@\endcsname
   \repeat
\end{center@title}%
}%
\if@blind
\phantom{\copy\z@}%
\else
\copy\z@
\fi
\prevdepth-1000pt
%%%%%%%%%%%%%
\vskip\authoraffiliateskip
%%%%%%%%所属
\setbox\z@=\vbox{\affiliate@font
\begin{center@title}
{\make@affiliate@content
\ifnum\affiliate@num=\@ne
   \begin{tabular}{@{}l@{}}
   \affiliate@content
   \end{tabular}%
\else
   \begin{tabular}{@{}r@{~}l@{}}
   \affiliate@content
   \end{tabular}%
\fi}%
\end{center@title}
}%
\if@blind
\phantom{\copy\z@}%
\else
\copy\z@
\fi
\prevdepth-1000pt
%%%%%%%%%%%%%%%%%%%%%%%%%
\vskip\affiliateabstskip
%%%%%%%%%アブストラクト
{%
\ifvoid\abstractbox\else
   \begin{center@title}
      \leavevmode\copy\abstractbox
   \end{center@title}
   \prevdepth0pt
\fi
%%%%%%%%%キーワード%
\ifvoid\keywordbox\else
   \begin{center@title}
      \leavevmode\copy\keywordbox
   \end{center@title}
   \prevdepth0pt
\fi%
}%
%%%%%%%%%%%%%%%%%
\vskip\aftertitleskip
]%
\thispagestyle{TITLEheadings}% matu
}%

%%%%%%%%
\def\center@title{\parsep\z@\topsep\z@\partopsep\z@
                  \trivlist
                  \centering\item\relax}
\def\endcenter@title{\endtrivlist}
%%%%%%%%%%

\def\abstractsetup#1{%
   \@parboxrestore
   \hsize123.75mm%%11Q45文字
   \linewidth\hsize
   \abstract@font
   \dimen@\baselineskip
   \everypar={\rule[-\Cdp]{\z@}{\dimen@}\textbf{#1}\parindent=1em\everypar={}}
}

\newbox\abstractbox

\def\abstract{%
   \global\setbox\abstractbox=\vbox\bgroup%
   %\abstractsetup{\<〈Summary〉\<\hskip1em}%%設定は和文アブストラクトと共有
   \abstractsetup{\<$<$Summary$>$\<\hskip1em}%%設定は和文アブストラクトと共有
}

\def\endabstract{\egroup}%


%%%欧文キーワード
\newbox\keywordbox

\def\keyword{%
   \global\setbox\keywordbox=\vbox\bgroup%
   %\abstractsetup{Key~words:~}%%設定は和文アブストラクトと共有
   \abstractsetup{Keywords:~}%%設定は和文アブストラクトと共有
}

\def\endkeyword{\egroup}%

%%%%%%%%%%%%%%%%%%%%%%%

%%%タイトルのフォント
\def\title@font{\bfseries\fontsize{18\Q}{30H}\selectfont}
%%著者名のフォントと行間
\def\author@font{\fontsize{14\Q}{17H}\selectfont}
%%会員種別のフォントと行間
\def\member@font{\fontsize{11\Q}{0H}\selectfont}
%%所属のフォントと行間
\def\affiliate@font{\relax}
%%アブストラクトのフォントと行間
\def\abstract@font{\fontsize{11\Q}{18.5H}\selectfont}

%%タイトルと和文著者名の間の空白
\def\titleauthorskip{1.625\baselineskip}
%\def\titleeauthorskip{1.625\baselineskip}
%%著者名と所属の間の空白
\def\authoraffiliateskip{1mm}
%%所属とアブストラクトの間の空白
\def\affiliateabstskip{1.625\baselineskip}

%%%タイトル部分の最後と本文の間隔
\def\aftertitleskip{1.625\baselineskip}




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%\newif\iflong@familyname
%\newif\iflong@personalname
%\newif\ifwrapped@profile


\def\split@authorname#1 #2 #3\@nil{%
   \def\author@family{#1}%
   \def\author@personal{#2}%
}%


\def\print@authorname{%
\leavevmode
\bgroup
\author@font\author@size
%\iflong@familyname%%\author@family
      \hbox{\author@family}%
%   \else
%      \ifnum\num@family=\@ne
%         \hbox to\author@family@width{\author@family\hss}%
%      \else
%         \hbox to\author@family@width{\kanjiskip0pt plus 1fill\author@family\hss}%
%      \fi
%\fi%
~%\hskip\author@name@sep\relax
%\iflong@personalname
      \author@personal
%   \else
%      \ifnum\num@personal=\@ne
%         \def\@temp{\hss}%
%      \else
%         \def\@temp{\kanjiskip0pt plus 1fill}%
%      \fi
%   \hbox to\author@personal@width{\@temp\author@personal}%
%\fi%
\egroup
\long@familynamefalse
\long@personalnamefalse
}%




\def\print@member{%
\bgroup
   \member@font
   \member@size
   \@member
\egroup
}



\long\def\local@addto@macro#1#2{%
  \begingroup
    \toks@\expandafter{#1#2}%
    \xdef#1{\the\toks@}%
  \endgroup}


\def\calculate@wrapped@or@not#1{%
   \@tempdima\linewidth
   \advance\@tempdima-\pic@width\relax
   \advance\@tempdima-\pic@profile@sep\relax
   \setbox\z@=\vbox{\hsize\@tempdima
      \profile@font
      \profile@size
      #1}%
   \@tempdimb\ht\z@
   \advance\@tempdimb\dp\z@
   \advance\@tempdimb-\pic@profile@sep\relax
%%@tempdimaは紹介文の幅
%%%紹介文領域が，
%%%写真の高さ+下の空き(\pic@profile@sep)以上ならば回り込み
%%%そうでなければ回り込まない
   \ifdim\@tempdimb<\pic@height\relax
      \wrapped@profilefalse%%回り込まない
%  \def\argument@parshape{2 \z@ \linewidth \dimen@ \@tempdima}
   \else
      \wrapped@profiletrue%%回り込む
%%%%%%%%%%%回り込む場合は\parshapeの引数を計算する
      \profile@font
      \profile@size
      \@tempcnta\baselineskip
      \dimen@\pic@height\relax
      \advance\dimen@\pic@profile@sep\relax
      \@tempcntb\dimen@
      \divide\@tempcntb\@tempcnta
%\advance\@tempcntb\@ne
%%%\@tempcntb行分が写真の右に入る
%%したがって，\parshapeは
%%\parshape (\@tempcntb+1) \z@ \linewidth
%%  (\pic@width+\pic@profile@sep)(\linewidth - \pic@width - \pic@profile@sep) 
%%  を \@tempcntb-1 回繰り返す
%%  \z@ \leinwidth
%%となる
%%
      \dimen@\pic@profile@sep
      \advance\dimen@\pic@width
      \@tempdima\linewidth
      \advance\@tempdima-\dimen@
      \@tempcnta\@tempcntb
      \advance\@tempcnta\@ne
      \edef\argument@parshape{\the\@tempcnta \z@ \linewidth}%
      \@tempcnta\@tempcntb
      \advance\@tempcnta\m@ne
      \count@\z@
      \loop\ifnum\count@<\@tempcnta
         \g@addto@macro{\argument@parshape}{\dimen@\@tempdima}%
         \advance\count@\@ne
      \repeat
      \g@addto@macro{\argument@parshape}{\z@ \linewidth}%
%%   \edef\argument@parshape{\argument@parshape}%
%%\typeout{>>>>>\meaning\argument@parshape}%
%%%%%%%%%%%%
   \fi}


\def\wrapped@picture#1{%
   \bgroup
   \leavevmode
   \parshape\argument@parshape
   \vtop to\z@{\hsize\pic@width\leavevmode\hbox{}\par\vskip-\Cht%
%         \includegraphics[width=\pic@width, height=\pic@height]{\author@pic}%
%      \IfFileExists{\author@pic.eps}
   \IfFileExists{\author@pic.eps}
     {\includegraphics[width=\pic@width, height=\pic@height]{\author@pic}}%
     {\IfFileExists{\author@picd.eps}
     {\includegraphics[width=\pic@width, height=\pic@height]{\author@picd}}%
     {{\fboxsep-\fboxrule\fbox{\makebox(10,10){}}}}}%
      \vss}%
   \hskip\pic@profile@sep\relax
   \profile@font
   \profile@size
   #1
   \par
   \egroup}


% kochira
\def\not@wrapped@picture#1{%
\leavevmode
\bgroup
   \profile@font
   \profile@size
   %\vtop to\z@{\hsize\pic@width\leavevmode\hbox{}\par\vskip-\Cht%
   \vtop to\z@{\hsize\pic@width\leavevmode\hbox{}\par\vskip-\Cht%
%      \includegraphics[width=\pic@width, height=\pic@height]{\author@pic}
    \IfFileExists{\author@pic.eps}
      {\includegraphics[width=\pic@width, height=\pic@height]{\author@pic}}%
      {\IfFileExists{\author@picd.eps}
      {\includegraphics[width=\pic@width, height=\pic@height]{\author@picd}}%
      {{\fboxsep-\fboxrule\fbox{\makebox(10,10){}}}}}%
      \vss}%
   \hskip\pic@profile@sep\relax
\vtop to\pic@height{\hsize\@tempdima
    #1\vss}%
   \vskip1\Cdp
   \par\prevdepth\z@
\egroup}%



\def\biography{%
   \parindent0pt
   \def\m@member{Member}%
   \def\f@member{Fellow}%
   \def\s@member{Student Member}%
   \let\n@member\@empty%
%   \def\author@family@width{3zw}%
%   \def\author@personal@width{3zw}%
%   \def\author@name@sep{1zw}%
   \def\author@font{\normalfont\bfseries}%
   \def\author@size{\normalsize}%
   \def\author@vsep{4mm}%
   \def\auhor@member@sep{1em}%
   \def\member@font{\normalfont}%
   \def\member@size{\small}%
   \def\name@pic@sep{2mm}%
   \def\pic@width{20mm}%
   \def\pic@height{30mm}%
   \def\profile@font{\normalfont}%
   \def\profile@size{\fontsize{11\Q}{13\h}\selectfont}%
   \def\pic@profile@sep{9mm}%
   \let\@org@newpage\newpage
%  \let\newpage\newpage@biography
   \let\author\author@biography}%
\def\endbiography{\par}


%\newif\if@manual@authorname

\def\author@biography{%
   \@ifstar{\@manual@authornametrue\@@author@biography}%
           {\@manual@authornamefalse\@@author@biography}%
}%


\def\@@author@biography#1#2{%
   \@ifnextchar[{\@author@biography{#1}{#2}}%]
                {\@author@biography{#1}{#2}[\relax]}
}

\newcount\num@bibauthor

\def\@author@biography#1#2[#3]#4{%%%#1 会員種別 #2 姓 名(半角空白区切) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%#3 写真画像名（オプション）#4 紹介文
%%%\@memberには会員種別として最終的に表示される文字列が入る
   \expandafter\let\expandafter\@temp\csname #1@member\endcsname
   \ifx\@temp\@empty\edef\@member{}
      \else\edef\@member{(\@temp)}
   \fi
%%%%%%%%%%%%
   \advance\num@bibauthor\@ne
%%%著者姓名の分離
   \split@authorname#2 \@nil
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\if@manual@authorname%%%著者名手動のモードの処理
   \long@personalnametrue
   \long@familynametrue
\else
%%%著者姓の文字数
%%%3文字を超える場合は\long@familynametrueとする
%   \count@\z@
%   \expandafter\@tfor\expandafter\temp\expandafter:\expandafter=\author@family
%      \do{\advance\count@\@ne}%
%   \def\num@family{\the\count@}%
%   \ifnum\count@>\thr@@\long@familynametrue\fi
%%%著者名の文字数
%%%3文字を超える場合は\long@personalnametrueとする
%   \count@\z@
%   \expandafter\@tfor\expandafter\temp\expandafter:\expandafter=\author@personal
%      \do{\advance\count@\@ne}%
%   \def\num@personal{\the\count@}%
%   \ifnum\count@>\thr@@\long@personalnametrue\fi
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\fi
%%%著者名表示
   \print@authorname
%%%著者名と種別表示の間隔
   \hskip\auhor@member@sep\relax
%%%会員種別表示
   \print@member
%%
\par
\prevdepth-1000pt
\vskip\name@pic@sep\relax
%%回り込みのための計算
%%回り込まないならば\wrapped@profilefalse
%%回り込むならば\wrapped@profiletrueで
%%\parshapeの引数\argument@parshapeも構築
\if#3\relax
   \def\author@pic{a\the\num@bibauthor}
\else
   \def\author@pic{#3}
\fi
\calculate@wrapped@or@not{#4}%
%%写真表示
%\leavevmode
%%もし#3にファイル名があればそのファイルを使う
%%なければa1.eps，a2.epsなどをつかう．
%%ただし，指定されたファイルが存在しなければ，ダミーの画像にする．
\ifwrapped@profile
   \wrapped@picture{#4}%
\else
%\parshape\argument@parshape
   \not@wrapped@picture{#4}
\fi
\par\prevdepth-1000pt
\vskip\author@vsep
}%


\def\newpage@biography{\newpage}

\fi

%%%%%%%%%%%%%%%%%
\if@blind
%%\def\biography{\@xverbatim}
\def\biography{%
   \let\par\relax
   \let\do\@makeother \dospecials
   \@biography
}
\begingroup
   \catcode `|=0 
   \catcode `[= 1
   \catcode`]=2 
   \catcode `\{=12 
   \catcode `\}=12
   \catcode`\\=12 
   |long|gdef|@biography#1\end{biography}[|end[biography]]
|endgroup
\fi


\everymath={\def\={\!=\!}}
\everydisplay={\def\={\!=\!}}


%%% \endinput


%
%
%  end Title macro
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%   double float layout sample  %%%%%%%%%%%%%%%%%%%%%%%%%
%%%%
%%  S. Matsuzeki
%%%%%
%% twocolcapj2e.sty (ver.1/9, April 2001) for ieicej.cls
%% 
%% Copyright (C) Matsuzaki in SANBI Printing Co. Ltd.
%%

\newbox\@dummyfigbox

\def\twocolcaption{\refstepcounter\@captype \@dblarg{\@twocolcaption\@captype}}

\long\def\@twocolcaption#1[#2]#3{\par
 \begingroup
  \@parboxrestore
  \if@minipage
   \@setminipage
  \fi
   \small
   \@maketwocolcaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
 \endgroup}

\newdimen\twocolcapwidth
%\twocolcapwidth=.66\textwidth%130mm
\twocolcapwidth=.80\textwidth%130mm
\newdimen\twocolecapwidth
%\twocolecapwidth=.66\textwidth%130mm
\twocolecapwidth=.80\textwidth%130mm



\ifnum\@lang=1
\typeout{lang mode(sanbi) lang=1}
\long\def\@maketwocolcaption#1#2{%
 \vskip\abovecaptionskip
 \setbox\@tempboxa\hbox{{\small\gt%
\bfseries%%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw\shortstack[l]{#2}}%
 \@tempdima\ht\@tempboxa \advance \@tempdima \dp\@tempboxa
 \setbox\@tempboxb\hbox{{\small\gt%
\bfseries%%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw}%% <<
 \ifdim \@tempdima > \baselineskip
  \ifdim \wd\@tempboxa > \twocolcapwidth
   \hbox to\textwidth{\hfil\parbox[t]{\twocolcapwidth}{\hangindent\wd\@tempboxb 
    {\small\gt%
\bfseries%%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw #2}\hfil}\vskip2\JQ
  \else
\hbox to\textwidth{\hss\parbox[t]{\wd\@tempboxa}{\hangindent\wd\@tempboxb 
    {\small\gt%
\bfseries%%%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw #2}\hss}
\vskip2\JQ
  \fi
 \else %% <
  \ifdim \wd\@tempboxa > \twocolcapwidth
   \hbox to\textwidth{\hfil\begin{tabular}{p{\twocolcapwidth}}\hangindent\wd\@tempboxb 
    {\small\gt%
\bfseries%%%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw #2\end{tabular}\hfil}\vskip2\JQ
  \else
   \setbox\@tempboxb\hbox{#2}%
   \ifdim \wd\@tempboxb < 4.5zw %% >
    \hbox to\textwidth{\hss {\small\gt%
\bfseries%%%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw\kintou{5zw}{#2}\hss}%
   \else
   \hbox to\textwidth{\hfil\hbox to\twocolcapwidth
{\hss\box\@tempboxa\hss}\hfil}%
   \fi
  \fi
 \fi
}
\else%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% koko
%\typeout{# lang mode(sanbi) lang=0}
\long\def\@maketwocolcaption#1#2{%
 \vskip\abovecaptionskip
% v1.91a
\if@epaper
 \setbox\@tempboxa\hbox{{\small\gt%\bfseries
 \bfseries
%\fontfamily{phv}\fontseries{m}\selectfont#1}\hskip1zw\shortstack[l]{#2}}%
%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw\shortstack[l]{#2}}%
\else
 \setbox\@tempboxa\hbox{{\small\gt%\bfseries
\fontfamily{phv}\fontseries{m}\selectfont#1}\hskip1zw\shortstack[l]{#2}}%
%\fontfamily{phv}\fontseries{m}\selectfont
%#1}\hskip1zw\shortstack[l]{#2}}%
\fi
 \@tempdima\ht\@tempboxa \advance \@tempdima \dp\@tempboxa
\if@epaper
 \setbox\@tempboxb\hbox{{\small\gt\bfseries
#1}\hskip1zw}%% <<
\else
 \setbox\@tempboxb\hbox{{\small\gt%\bfseries
\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw}%% <<
\fi
 \ifdim \@tempdima > \baselineskip
  \ifdim \wd\@tempboxa > \twocolcapwidth
\if@epaper
   \hbox to\textwidth{\hfil\parbox[t]{\twocolcapwidth}{\hangindent\wd\@tempboxb 
    {\small\gt\bfseries
#1}\hskip1zw #2}\hfil}\vskip2\JQ
\else
   \hbox to\textwidth{\hfil\parbox[t]{\twocolcapwidth}{\hangindent\wd\@tempboxb 
    {\small\gt%\bfseries
\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw #2}\hfil}\vskip2\JQ
\fi
  \else
\if@epaper
\hbox to\textwidth{\hss\parbox[t]{\wd\@tempboxa}{\hangindent\wd\@tempboxb 
    {\small\gt\bfseries
#1}\hskip1zw #2}\hss}
\else
\hbox to\textwidth{\hss\parbox[t]{\wd\@tempboxa}{\hangindent\wd\@tempboxb 
    {\small\gt%\bfseries
\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw #2}\hss}
\fi
\vskip2\JQ
  \fi
 \else %% <
  \ifdim \wd\@tempboxa > \twocolcapwidth
\if@epaper
% koko
   \hbox to\textwidth{\hfil\begin{tabular}{p{\twocolcapwidth}}\hangindent\wd\@tempboxb 
    {\small\gt\bfseries
#1}\hskip1zw #2\end{tabular}\hfil}\vskip2\JQ
\else
   \hbox to\textwidth{\hfil\begin{tabular}{p{\twocolcapwidth}}\hangindent\wd\@tempboxb 
    {\small\gt%\bfseries
\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw #2\end{tabular}\hfil}\vskip2\JQ
\fi
  \else
   \setbox\@tempboxb\hbox{#2}%
   \ifdim \wd\@tempboxb < 4.5zw %% >
\if@epaper
   \hbox to\textwidth{\hss {\small\gt\bfseries
%\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw\kintou{5zw}{#2}\hss}%
\else
    \hbox to\textwidth{\hss {\small\gt%\bfseries
\fontfamily{phv}\fontseries{m}\selectfont
#1}\hskip1zw\kintou{5zw}{#2}\hss}%
\fi
   \else
   \hbox to\textwidth{\hfil\hbox to\twocolcapwidth
{\hss\box\@tempboxa\hss}\hfil}%
   \fi
  \fi
 \fi
}
\fi%%%%% 切替え終わり




\long\def\twocolecaption#1{\small
 \setbox\@tempboxa\hbox{{\small\gt\bfseries\csname fnum@e\@captype\endcsname}\hskip1zw
  \shortstack[l]{#1}}%
 \@tempdima\ht\@tempboxa \advance \@tempdima \dp\@tempboxa
 \setbox\@tempboxb\hbox{{\small\gt\bfseries\csname fnum@e\@captype\endcsname}\hskip1zw}%% <<
 \ifdim \@tempdima > \baselineskip
  \ifdim \wd\@tempboxa > \twocolecapwidth
\hbox to\textwidth{\hss\parbox[t]{\twocolecapwidth}{\hangindent\wd\@tempboxb 
    {\small\gt\bfseries\csname fnum@e\@captype\endcsname}\hskip1zw #1}\hss}\par
  \else
 \hbox to\textwidth{\hss\parbox[t]{\wd\@tempboxa}{\hangindent\wd\@tempboxb 
    {\small\gt\bfseries\csname fnum@e\@captype\endcsname}\hskip1zw #1}\hss}
  \fi
 \else %% <
  \ifdim \wd\@tempboxa > \twocolecapwidth
\hbox to\textwidth{\hfil\begin{tabular}{p{\twocolecapwidth}}\hangindent\wd\@tempboxb 
    {\small\gt\bfseries\csname fnum@e\@captype\endcsname}\hskip1zw #1\end{tabular}\hfil}\par
  \else
   \hbox to\textwidth{\hfil\hbox to\twocolcapwidth
{\hss\box\@tempboxa\hss}\hfil}%
  \fi
 \fi
 \vspace{\belowcaptionskip}\par
}

\def\twocolfig#1{%
\hbox to \columnwidth{%
\hbox to \textwidth{\hss
#1
\hss}\hss}}



\def\dummyfigure#1{%
 \begin{figure}[b]
 \vspace{#1}
 \vskip\abovecaptionskip
 \phantom{\box\@dummyfigbox}\par
 \end{figure}
}

\def\dummyfiguret#1{%
 \begin{figure}[t]
 \vspace{#1}
 \vskip\abovecaptionskip
 \phantom{\box\@dummyfigbox}\par
 \end{figure}
}

%%%%   END douvle float layout macro 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%% b5指定

%%%% 35行
\setlength{\textheight}{45\Cvs}%%%%% 46L
\addtolength{\textheight}{\topskip}% 

%%%% 版面
\setlength{\textwidth}{53\Cwd} %% 行幅 11QX25w X 2 段組み
\setlength\paperheight {257mm}% 	b5正寸を特定する
\setlength\paperwidth  {182mm}%

%\setlength{\footskip}{8mm}
\columnsep=3\Cwd%% 段間 写研では32Qでしたが、計算すると11QX3倍

%%% 段落
\setlength{\parindent}{1zw}
\setlength{\parskip}{0mm}


\setlength{\evensidemargin}{-10mm}
\setlength{\oddsidemargin}{\evensidemargin}
\setlength{\topmargin}{-10mm} % moto
%\setlength{\topmargin}{-25mm}


%% a4指定

%%%% 35行 -> 44行
%\setlength{\textheight}{54\Cvs}%%%%% 46L % moto
\setlength{\textheight}{47\Cvs}%%%%% 46L  

%\setlength{\textheight}{46\Cvs}%%%%% 46L  % moto
\addtolength{\textheight}{\topskip}% 

%%%% 版面
%\setlength{\textwidth}{65\Cwd} %% 行幅 11QX25w X 2 段組み % moto
\setlength{\textwidth}{55\Cwd} %% 行幅 11QX25w X 2 段組み
\setlength\paperheight {297mm}% 	b5正寸を特定する
\setlength\paperwidth  {210mm}%

%\setlength{\footskip}{8mm}
%\columnsep=3\Cwd%% 段間 写研では32Qでしたが、計算すると11QX3倍
%\columnsep=2.5\Cwd%% 段間 写研では32Qでしたが、計算すると11QX3倍
\columnsep=1.5\Cwd%% 段間 写研では32Qでしたが、計算すると11QX3倍

%%% 段落
\setlength{\parindent}{1zw}
\setlength{\parskip}{0mm}


\setlength{\evensidemargin}{-9mm}
%\setlength{\evensidemargin}{-10mm}
\setlength{\oddsidemargin}{\evensidemargin}
%\setlength{\topmargin}{-10mm} % moto koko
\setlength{\topmargin}{-10mm}


\ifnum\@lang=1
\pagestyle{englishheadings}
\else
\pagestyle{headings}
\fi

\endinput
%%
%% End of file `jarticle.cls'.
